"use strict";
exports.__esModule = true;
exports.EXTERNAL_COMPONENTS = exports.isExternalLibrary = exports.ExternalLibrary = void 0;
var path = require("path");
var ExternalLibrary;
(function (ExternalLibrary) {
    ExternalLibrary["PreampPlus"] = "@videoamp-private/preamp-plus";
})(ExternalLibrary = exports.ExternalLibrary || (exports.ExternalLibrary = {}));
function isExternalLibrary(filePath) {
    return Object.values(ExternalLibrary).some(function (externalLibrary) {
        return filePath.includes(externalLibrary);
    });
}
exports.isExternalLibrary = isExternalLibrary;
// external library: @videoamp-private/preamp-plus
var PREAMPPLUS = {
    components: path.join('packages', 'documentation', 'node_modules', ExternalLibrary.PreampPlus, 'src', 'components'),
    examples: path.join('packages', 'documentation', 'src', 'preamp-plus', 'examples')
};
exports.EXTERNAL_COMPONENTS = {
    CardTable: {
        componentFilename: 'index.js',
        componentFolder: path.join(PREAMPPLUS.components, 'CardTable'),
        componentPropertyFilename: 'index.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'cardTable', 'CardTable'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'cardTable', 'cardTable.md')
    },
    DataTable: {
        componentFilename: 'DataTable.js',
        componentFolder: path.join(PREAMPPLUS.components, 'DataTable'),
        componentPropertyFilename: 'DataTable.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'dataTable', 'DataTable'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'dataTable', 'dataTable.md')
    },
    Draggable: {
        componentFilename: 'index.js',
        componentFolder: path.join(PREAMPPLUS.components, 'DragNDrop', 'Draggable'),
        componentGroup: 'DragNDrop',
        componentPropertyFilename: 'index.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'dragNDrop', 'Draggable'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'dragNDrop', 'draggable.md')
    },
    DragNDropContext: {
        componentFilename: 'index.js',
        componentFolder: path.join(PREAMPPLUS.components, 'DragNDrop', 'DragNDropContext'),
        componentGroup: 'DragNDrop',
        componentPropertyFilename: 'index.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'dragNDrop', 'DragNDropContext'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'dragNDrop', 'dragNDropContext.md')
    },
    Droppable: {
        componentFilename: 'index.js',
        componentFolder: path.join(PREAMPPLUS.components, 'DragNDrop', 'Droppable'),
        componentGroup: 'DragNDrop',
        componentPropertyFilename: 'index.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'dragNDrop', 'Droppable'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'dragNDrop', 'droppable.md')
    },
    TreeAmp: {
        componentFilename: 'index.js',
        componentFolder: path.join(PREAMPPLUS.components, 'TreeAmp'),
        componentPropertyFilename: 'index.d.ts',
        exampleFolder: path.join(PREAMPPLUS.examples, 'treeAmp', 'TreeAmp'),
        markdownFilePath: path.join(PREAMPPLUS.examples, 'treeAmp', 'treeAmp.md')
    }
};
