"use strict";
exports.__esModule = true;
exports.errorLog = exports.getErrorList = exports.addError = void 0;
var list = [];
function addError(namespace, message) {
    list.push({ namespace: namespace, message: message });
}
exports.addError = addError;
function getErrorList(namespace) {
    return list
        .filter(function (item) { return item.namespace === namespace; })
        .map(function (item) { return item.message; });
}
exports.getErrorList = getErrorList;
function errorLog() {
    if (list.length) {
        var error_1 = new Error('An error has occurred ◔_◔');
        list.map(function (_a) {
            var namespace = _a.namespace, message = _a.message;
            error_1.message += "\n(" + namespace + "): " + message;
        });
        throw error_1;
    }
}
exports.errorLog = errorLog;
