"use strict";
exports.__esModule = true;
exports.getProgram = void 0;
var ts = require("typescript");
var fileUtils_1 = require("./fileUtils");
var program;
function getProgram() {
    if (program) {
        return program;
    }
    program = ts.createProgram({
        rootNames: fileUtils_1.getAllComponentFiles(),
        options: {
            esModuleInterop: true,
            jsx: ts.JsxEmit.React,
            module: ts.ModuleKind.CommonJS,
            moduleResolution: ts.ModuleResolutionKind.NodeJs,
            target: ts.ScriptTarget.Latest
        }
    });
    return program;
}
exports.getProgram = getProgram;
