import * as chalk from 'chalk';
import * as path from 'path';

type PrintStatusParams = {
    msg: string;
    status?: 'error' | 'info' | 'success' | 'warn';
    statusMsg?: string;
};

export function getStatusLine({
    msg,
    status,
    statusMsg
}: PrintStatusParams): string {
    const output: {} = {
        error: chalk.bgRed.white.bold,
        info: chalk.bgBlue.black.bold,
        success: chalk.bgGreen.black.bold,
        warn: chalk.bgYellow.black.bold
    };

    return `${output[status](` ${statusMsg} `)} ${msg}`;
}

export function absToRelative(absPath: string): string {
    return path.relative('../../', absPath);
}
