import { IError, TemplateType } from '../../../types';

const list: IError[] = [];

export function addError(namespace: TemplateType, message: string): void {
    list.push({ namespace, message });
}

export function getErrorList(namespace: TemplateType): string[] {
    return list
        .filter((item: IError): boolean => item.namespace === namespace)
        .map((item: IError): string => item.message);
}

export function errorLog(): void {
    if (list.length) {
        const error: Error = new Error('An error has occurred ◔_◔');

        list.map(({ namespace, message }: IError): void => {
            error.message += `\n(${namespace}): ${message}`;
        });
        throw error;
    }
}
