import * as ts from 'typescript';

import { getAllComponentFiles } from './fileUtils';

let program: ts.Program;
export function getProgram(): ts.Program {
    if (program) {
        return program;
    }

    program = ts.createProgram({
        rootNames: getAllComponentFiles(),
        options: {
            esModuleInterop: true,
            jsx: ts.JsxEmit.React,
            module: ts.ModuleKind.CommonJS,
            moduleResolution: ts.ModuleResolutionKind.NodeJs,
            target: ts.ScriptTarget.Latest
        }
    });

    return program;
}
