import React, { ReactElement, useMemo } from 'react';

import hljs from 'highlight.js';
import javascript from 'highlight.js/lib/languages/javascript';

import 'highlight.js/styles/vs.css';

import * as styles from './CodeExample.scss';

interface CodeExampleProps {
    code: string;
}

export const CodeExample = ({ code }: CodeExampleProps): ReactElement => {
    hljs.registerLanguage('javascript', javascript);

    const highlightedCode = useMemo(
        (): string => hljs.highlight('javascript', code).value,
        [code]
    );

    return (
        <pre className={styles.codeExample}>
            <code dangerouslySetInnerHTML={{ __html: highlightedCode }} />
        </pre>
    );
};
