import React from 'react';
import { INavigationLink } from '../../../../types';
import { NavigationLink } from '../../components';
import * as styles from './FloatingNavigation.scss';

export interface IFloatingNavigationProps {
    currentPath: string;
    navItems: INavigationLink[];
}

export const FloatingNavigation: React.SFC<IFloatingNavigationProps> = (
    props: IFloatingNavigationProps
): React.ReactElement => {
    const navItems: JSX.Element[] = props.navItems.map(
        (item: INavigationLink, index: number): any => (
            <li key={index}>
                <NavigationLink
                    currentPath={item.currentPath}
                    scrollToSelector={item.scrollToSelector}
                    to={item.to}
                >
                    {item.children}
                </NavigationLink>
            </li>
        )
    );

    return (
        <div className={styles.floatingNavigationContainer}>
            <ul className={styles.floatingNavigation}>{navItems}</ul>
        </div>
    );
};
