import React from 'react';

import { Button, ButtonTheme } from '@preamp/core';

interface IBasicButtonState {
    count: number;
}

/**
 * Button that takes up the entire width of its container.
 */
class ExampleFullWidthButton extends React.Component<{}, IBasicButtonState> {
    state: IBasicButtonState = {
        count: 0
    };

    clickButton = (): void => {
        this.setState((prevState: IBasicButtonState): any => ({
            count: prevState.count + 1
        }));
    };

    render(): React.ReactNode {
        return (
            <>
                <Button
                    dataUI="secondary"
                    isFullWidth={true}
                    onClick={this.clickButton}
                    theme={ButtonTheme.Secondary}
                >
                    Full Width Button
                </Button>
                <br />
                <br />
                <p>Counter: {this.state.count} times</p>
            </>
        );
    }
}

export default ExampleFullWidthButton;
