import React, { ReactElement, useState } from 'react';

import { Button, ButtonTheme } from '@preamp/core';

/**
 * Standard Button component  using Hooks to manage state
 */
function ButtonWithHooks(): ReactElement<{}> {
    const [counter, setCounter] = useState(0);

    function buttonClick(): void {
        setCounter(counter + 1);
    }

    return (
        <>
            <div>
                <Button
                    dataUI="primary"
                    onClick={buttonClick}
                    theme={ButtonTheme.Primary}
                >
                    Count Up
                </Button>
            </div>
            <p>Counter: {counter}</p>
        </>
    );
}

export default ButtonWithHooks;
