import React from 'react';

import { Button, ButtonTheme } from '@preamp/core';

/**
 * Card Button example.
 */
function CardButton(): React.ReactElement<{}> {
    const [count, setCount] = React.useState(0);

    function clickButton(): void {
        setCount(count + 1);
    }

    return (
        <>
            <Button
                dataUI="secondary"
                isFullWidth={true}
                onClick={clickButton}
                theme={ButtonTheme.Card}
            >
                + Add Something
            </Button>
            <br />
            <br />
            <p>Counter: {count} times</p>
        </>
    );
}

export default CardButton;
