import * as React from 'react';

import { Help } from '@preamp/signal';

import { IconButton, TooltipPosition } from '@preamp/core';

/**
 * IconButton with tooltips
 */
class ExampleIconButton extends React.Component {
    clickIconButton = (): void => {
        // eslint-disable-next-line no-console
        console.log('clickIconButton');
    };

    render(): React.ReactNode {
        return (
            <div className="va-grid va-columns-default">
                <div className="col-span-3">
                    <IconButton
                        dataUI="primary"
                        icon={Help}
                        onClick={this.clickIconButton}
                        size="lg"
                        tooltip={
                            <span>
                                You know what? It is beets. I&apos;ve crashed
                                into a beet truck. Remind me to thank John for a
                                lovely weekend.
                            </span>
                        }
                        tooltipPosition={TooltipPosition.Left}
                    />
                    <div className="u-body-2">TooltipPosition.Left</div>
                </div>
                <div className="col-span-3">
                    <IconButton
                        dataUI="primary"
                        icon={Help}
                        onClick={this.clickIconButton}
                        size="lg"
                        tooltip={
                            <span>
                                God help us, we&apos;re in the hands of
                                engineers.
                            </span>
                        }
                        tooltipPosition={TooltipPosition.Right}
                    />
                    <div className="u-body-2">TooltipPosition.Right</div>
                </div>
                <div className="col-span-3">
                    <IconButton
                        dataUI="primary"
                        icon={Help}
                        onClick={this.clickIconButton}
                        size="lg"
                        tooltip={
                            <span>
                                Do you have any idea how long it takes those
                                cups to decompose.
                            </span>
                        }
                        tooltipPosition={TooltipPosition.Top}
                    />
                    <div className="u-body-2">TooltipPosition.Top</div>
                </div>
                <div className="col-span-3">
                    <IconButton
                        dataUI="primary"
                        icon={Help}
                        onClick={this.clickIconButton}
                        size="lg"
                        tooltip={
                            <span>
                                Is this my espresso machine? Wh-what is-h-how
                                did you get my espresso machine?
                            </span>
                        }
                        tooltipPosition={TooltipPosition.Bottom}
                        tooltipWidth={250}
                    />
                    <div className="u-body-2">TooltipPosition.Bottom</div>
                </div>
                <div className="col-span-3">
                    <IconButton
                        dataUI="primary"
                        icon={Help}
                        label="testing"
                        onClick={this.clickIconButton}
                        size="lg"
                        tooltip="Tooltip with a label"
                        tooltipPosition={TooltipPosition.Bottom}
                    />
                    <div className="u-body-2">Tooltip w/ Label</div>
                </div>
            </div>
        );
    }
}

export default ExampleIconButton;
