import React from 'react';

import { Button, ButtonTheme, Modal } from '@preamp/core';

interface IBasicModalState {
    isModalOpen: boolean;
}

/**
 * This is a description for the example Modal
 */
class ExampleModal extends React.Component<{}, IBasicModalState> {
    state: IBasicModalState = {
        isModalOpen: false
    };

    toggleModal = (): void => {
        this.setState((prevState: IBasicModalState): any => ({
            isModalOpen: !prevState.isModalOpen
        }));
    };

    renderFooter = (): React.ReactNode => (
        <>
            <Button onClick={this.toggleModal} theme={ButtonTheme.Secondary}>
                Discard Changes
            </Button>
            <Button onClick={this.toggleModal}>Save Changes</Button>
        </>
    );

    render(): React.ReactNode {
        return (
            <>
                <Button onClick={this.toggleModal}>Open Modal</Button>
                <Modal
                    actions={this.renderFooter()}
                    description="Lorem ipsum dolor sit amet"
                    isOpen={this.state.isModalOpen}
                    onHide={this.toggleModal}
                    title="Sample Modal"
                >
                    Some Content
                </Modal>
            </>
        );
    }
}

export default ExampleModal;
