import * as React from 'react';

import { ActionBar, Button, ButtonTheme } from '@preamp/core';

interface IActionState {
    notification: string;
}

class BasicActionBar extends React.Component<{}, IActionState> {
    state: IActionState = {
        notification: 'initial state notification'
    };

    clickButtonPrimary = (): void => {
        this.setState((): any => ({
            notification: 'You clicked the primary button.'
        }));
    };
    clickButtonSecondary = (): void => {
        this.setState((): any => ({
            notification: 'Secondary button has been clicked.'
        }));
    };

    render(): React.ReactNode {
        return (
            <div style={{ marginBottom: '40px' }}>
                <ActionBar
                    action={
                        <>
                            <Button
                                dataUI="secondary"
                                onClick={this.clickButtonSecondary}
                                theme={ButtonTheme.Secondary}
                            >
                                Secondary
                            </Button>
                            <Button
                                dataUI="primary"
                                onClick={this.clickButtonPrimary}
                                theme={ButtonTheme.Primary}
                            >
                                Primary
                            </Button>
                        </>
                    }
                    notificationText={this.state.notification}
                />
            </div>
        );
    }
}

export default BasicActionBar;
