import React, { ReactElement } from 'react';

import { Breadcrumb, Breadcrumbs } from '@preamp/core';
import { ForwardArrow } from '@preamp/signal';

const ITEMS: Breadcrumb[] = [
    { onClick: (): void => {}, title: 'First' },
    { href: '#/core/navigation/Breadcrumbs', title: 'Second' },
    { onClick: (): void => {}, title: 'Third' },
    { title: 'Fourth' }
];

/**
 * Custom separator
 */
function BreadcrumbsCustomSeparatorExample(): ReactElement {
    return (
        <>
            <Breadcrumbs items={ITEMS} separator={<ForwardArrow />} />
            <Breadcrumbs items={ITEMS} separator="and" />
            <Breadcrumbs
                items={ITEMS}
                separator={<span className="va-caption">or</span>}
            />
            <Breadcrumbs items={ITEMS} separator="|" />
            <Breadcrumbs items={ITEMS} separator="→" />
        </>
    );
}

export default BreadcrumbsCustomSeparatorExample;
