import React from 'react';

import { IStep, Stepper } from '@preamp/core';

const steps: IStep[] = [
    {
        id: 1,
        label: 'Label 1',
        title: 1
    },
    {
        id: 2,
        label: 'Label 2 - It is very long and will take up a lot of space',
        title: 2
    },
    {
        id: 3,
        label: 'Label 3 - It is very long and will take up a lot of space',
        title: 3
    },
    {
        id: 4,
        label: 'Label 4 - It is very long and will take up a lot of space',
        title: 4
    },
    {
        id: 5,
        label: 'Label 5',
        title: 5
    }
];

/**
 * Example of the Stepper component with long labels that will be truncated depending on the space that contains it.
 */

function StepperWithLongLabel(): React.ReactElement<{}> {
    return (
        <section className="mt-6 mb-9 pt-4 pb-4">
            <Stepper steps={steps} />
        </section>
    );
}

export default StepperWithLongLabel;
