import * as React from 'react';

import { IconButton, TitleBar } from '@preamp/core';
import { Clear } from '@preamp/signal';

interface IActionState {
    count: number;
}

class BasicTitleBar extends React.Component<{}, IActionState> {
    state: IActionState = {
        count: 0
    };

    clickButton = (): void => {
        this.setState((prevState: IActionState): any => ({
            count: prevState.count + 1
        }));
    };

    render(): React.ReactNode {
        return (
            <div className="mb-8">
                <h4>Basic example of the TitleBar</h4>
                <TitleBar
                    action={
                        <IconButton
                            dataUI="close"
                            icon={Clear}
                            onClick={this.clickButton}
                            size="lg"
                        />
                    }
                    title="Title"
                />
            </div>
        );
    }
}

export default BasicTitleBar;
