import React from 'react';

import { IconButton, TooltipPosition, UtilityBar } from '@preamp/core';
import { Business, Help, Power } from '@preamp/signal';

/**
 * Examples of the UtilityBar component in different states
 */
class ExampleUtilityBar extends React.Component {
    handleClick(): void {
        // eslint-disable-next-line no-console
        console.log('CLICKED');
    }

    render(): React.ReactNode {
        return (
            <>
                <p>UtilityBar</p>
                <UtilityBar id="utility-bar-id">
                    <IconButton
                        icon={Business}
                        label="Label Text for IconButton"
                        onClick={this.handleClick}
                        size="1.5rem"
                    />
                    <IconButton
                        icon={Help}
                        onClick={this.handleClick}
                        size="1.5rem"
                        tooltip="Support"
                        tooltipPosition={TooltipPosition.Left}
                    />
                    <IconButton
                        icon={Power}
                        onClick={this.handleClick}
                        size="1.5rem"
                        tooltip="Logout"
                        tooltipPosition={TooltipPosition.Left}
                    />
                </UtilityBar>
            </>
        );
    }
}

export default ExampleUtilityBar;
