import * as React from 'react';

import { Card, IconButton } from '@preamp/core';
import { Edit } from '@preamp/signal';

/**
 * Examples of the Card component
 */
function ExampleHoverActions(): React.ReactElement<{}> {
    const [count, setCount] = React.useState(0);

    function clickButton(): void {
        setCount(count + 1);
    }

    return (
        <>
            <p className="my-4">Card with actions visible on hover:</p>
            <Card
                action={
                    <>
                        <IconButton
                            dataUI="edit"
                            icon={Edit}
                            onClick={clickButton}
                        >
                            Button
                        </IconButton>
                    </>
                }
                hoverActions
                title="Example 2: Content with button"
            >
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Suspendisse dolor arcu, luctus et nibh vel, consequat
                    feugiat diam. Aenean rutrum, est eu rhoncus gravida, nulla
                    eros finibus turpis, in fermentum dolor leo nec magna. Morbi
                    vel ex at eros commodo fringilla a at sapien. Vestibulum
                    fermentum nisi nisi, ac dictum turpis placerat at. In
                    facilisis facilisis ipsum non euismod. Duis non mauris
                    pretium, pretium ante sed, molestie dolor. Nulla facilisi.
                    Integer non iaculis arcu. Donec faucibus nulla ut nunc
                    euismod dictum.
                </p>
                Action Clicks: {count}
            </Card>
        </>
    );
}

export default ExampleHoverActions;
