import * as React from 'react';

import { DividerTitle } from '@preamp/core';

export const DividerTitleExample: React.FC = (): React.ReactElement<HTMLElement> => {
    return (
        <section className="mt-5">
            <h4>Horizontal Alignment</h4>
            <div className="mt-2 mb-5">
                Use the flex layout to align titles horizontally.
            </div>

            <div className="my-12">
                <div className="flex mb-2">
                    <DividerTitle className="mr-3" text="Short title" />
                    <DividerTitle
                        className="mr-3"
                        text="This is a long title that should be wrapped"
                        textAlign="justify"
                        textMaxWidth={200}
                    />
                    <DividerTitle text="Third title" />
                </div>
                <div className="flex">
                    <div className="flex-1 mr-3 u-body-2">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                        sed do eiusmod tempor incididunt ut labore et dolore
                        magna aliqua. Ut enim ad minim veniam, quis knostrud
                        exercitation ullamco laboris nisi ut aliquip ex ea
                        commodo consequat.
                    </div>
                    <div className="flex-1 mr-3 u-body-2">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                        sed do eiusmod tempor incididunt ut labore et dolore
                        magna aliqua. Ut enim ad minim veniam, quis knostrud
                        exercitation ullamco laboris nisi ut aliquip ex ea
                        commodo consequat. Duis aute irure dolor in
                        reprehenderit in voluptate velit esse cillum dolore eu
                        fugiat nulla pariatur. Excepteur sint occaecat cupidatat
                        non proident, sunt in culpa qui officia deserunt mollit
                        anim id est laborum.
                    </div>
                    <div className="flex-1 u-body-2">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                        sed do eiusmod tempor incididunt ut labore et dolore
                        magna aliqua.
                    </div>
                </div>
            </div>
        </section>
    );
};

export default DividerTitleExample;
