import React, { ReactElement } from 'react';

import { Meter } from '@preamp/core';

/**
 * A Meter component with custom number formats.
 */
function NumberFormatMeter(): ReactElement {
    return (
        <Meter
            label="Total"
            max={2000000}
            min={500000}
            percentageFormat="0,0.[00]%"
            value={1234567}
            valueFormat="0.[0]a"
        />
    );
}

export default NumberFormatMeter;
