import React, { ReactElement } from 'react';

import { MetricGrid, MetricTypes } from '@preamp/core';

const EXAMPLE_METRICS: MetricTypes[] = [
    {
        items: [
            {
                dataUI: 'metric-grid_impressions',
                id: '1',
                label: 'Impressions',
                metric: '2.475M',
                tooltipContent: 'Lorem ipsum dolor sit amet'
            },
            {
                dataUI: 'metric-grid_reach',
                id: '2',
                label: 'HH Reach',
                metric: '1.123M',
                tooltipContent: (
                    <>
                        Consectetur adipiscing elit{' '}
                        <strong>sed do eiusmod</strong> tempor incididunt ut
                        labore et dolore magna aliqua
                    </>
                )
            },
            {
                dataUI: 'metric-grid_reach-percentage',
                id: '3',
                label: 'HH Reach %',
                metric: '85%',
                tooltipContent: 'Ut enim ad minim veniam'
            },
            {
                dataUI: 'metric-grid_estimated-spend',
                id: '4',
                label: 'Estimated Spend',
                metric: '$2.456M'
            }
        ]
    }
];

/**
 * Example of the Metric Grid component with tooltips
 */
function TooltipMetricGrid(): ReactElement {
    return <MetricGrid metricList={EXAMPLE_METRICS} />;
}

export default TooltipMetricGrid;
