import React, { ReactElement } from 'react';

import { MetricGrid, MetricTypes } from '@preamp/core';

const EXAMPLE_METRICS: MetricTypes[] = [
    {
        items: [
            {
                dataUI: 'metric-grid_impressions',
                id: '1',
                label: 'Impressions',
                metric: '2.475M',
                tooltipContent: 'Lorem ipsum dolor sit amet',
                tooltipPosition: 'top-end'
            },
            {
                dataUI: 'metric-grid_reach',
                id: '2',
                label: 'HH Reach',
                metric: '1.123M',
                tooltipContent: 'Ut enim ad minim veniam'
            },
            {
                id: '3',
                label: 'HH Reach %',
                metric: '85%',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'top-start'
            },
            {
                id: '4',
                label: 'Estimated Spend',
                metric: '$2.456M',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'left'
            },
            {
                id: '5',
                label: 'Impression CPM',
                metric: '$999'
            },
            {
                id: '6',
                label: 'Estimated Spend',
                metric: '$2.456M',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'right'
            },
            {
                id: '7',
                label: 'HH Reach',
                metric: '1.123M',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'bottom-end'
            },
            {
                id: '8',
                label: 'HH Reach %',
                metric: '85%',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'bottom'
            },
            {
                id: '9',
                label: 'Impressions',
                metric: '2.475M',
                tooltipContent: 'Ut enim ad minim veniam',
                tooltipPosition: 'bottom-start'
            }
        ]
    }
];

/**
 * Example of the Metric Grid component with differently positioned tooltips
 */
const CustomPositionedTooltipsExample = (): ReactElement => {
    return <MetricGrid columnGutter="5rem" metricList={EXAMPLE_METRICS} />;
};

export default CustomPositionedTooltipsExample;
