import React, { ReactElement } from 'react';

import { MetricGrid, MetricTypes } from '@preamp/core';

const EXAMPLE_METRICS: MetricTypes[] = [
    {
        items: [
            {
                id: '1',
                label: 'Impressions',
                metric: '2.475M',
                tooltipContent: 'Lorem ipsum dolor sit amet'
            },
            {
                id: '2',
                label: 'HH Reach',
                metric: '1.123M',
                tooltipContent: (
                    <>
                        Consectetur adipiscing elit{' '}
                        <strong>sed do eiusmod</strong> tempor incididunt ut
                        labore et dolore magna aliqua
                    </>
                )
            }
        ]
    }
];

/**
 * Example of the Metric Grid component with tooltips Delay
 */
function MetricGridTooltipDelay(): ReactElement {
    return <MetricGrid metricList={EXAMPLE_METRICS} showDelayTime={2000} />;
}

export default MetricGridTooltipDelay;
