import React, { ReactElement, useState } from 'react';

import {
    Button,
    ButtonTheme,
    ProcessingIndicator,
    ProcessingStatus,
    ProcessingTheme
} from '@preamp/core';

function BasicProcessingIndicator(): ReactElement<{}> {
    const [status, setStatus] = useState(ProcessingStatus.Processing);

    function setProcessing(): void {
        setStatus(ProcessingStatus.Processing);
    }
    function setSuccess(): void {
        setStatus(ProcessingStatus.Success);
    }
    function setError(): void {
        setStatus(ProcessingStatus.Error);
    }

    return (
        <>
            <div>Indeterminate Loading Indicator</div>
            <h4>Large</h4>
            <ProcessingIndicator
                status={status}
                theme={ProcessingTheme.Large}
            />
            <label className="ml-2">Label</label>
            {status === ProcessingStatus.Processing && (
                <span> (Processing)</span>
            )}
            <h4 className="mt-4">Small</h4>
            <ProcessingIndicator
                status={status}
                theme={ProcessingTheme.Small}
            />
            <span className="u-body-1 ml-2">
                Label
                {status === ProcessingStatus.Processing && (
                    <span> (Processing)</span>
                )}
            </span>
            <h4 className="mt-4">Small - Component disappears when complete</h4>
            {status !== ProcessingStatus.Success && (
                <ProcessingIndicator
                    status={status}
                    theme={ProcessingTheme.Small}
                />
            )}
            <span className="u-body-1 ml-2">
                Label
                {status === ProcessingStatus.Processing && (
                    <span> (Processing)</span>
                )}
            </span>
            <div className="my-4">
                <Button onClick={setProcessing} theme={ButtonTheme.Secondary}>
                    Set Status to Processing
                </Button>
                <Button onClick={setSuccess} theme={ButtonTheme.Success}>
                    Set Status to Success
                </Button>
                <Button onClick={setError} theme={ButtonTheme.Destructive}>
                    Set Status to Error
                </Button>
            </div>
        </>
    );
}

export default BasicProcessingIndicator;
