import React from 'react';

import { ProgressPill, ProgressPillStatus } from '@preamp/core';

/**
 * Examples of the Progress Pill component in different states
 */
class ExampleProgressPill extends React.Component {
    render(): React.ReactNode {
        return (
            <>
                <div className="va-grid va-columns-default my-4">
                    <div className="col-span-3">
                        <ProgressPill status={ProgressPillStatus.Full} />
                        <label className="ml-2">Progress Pill - full</label>
                    </div>
                    <div className="col-span-3">
                        <ProgressPill status={ProgressPillStatus.Mid} />
                        <label className="ml-2">Progress Pill - mid</label>
                    </div>
                    <div className="col-span-3">
                        <ProgressPill status={ProgressPillStatus.Low} />
                        <label className="ml-2">Progress Pill - low</label>
                    </div>
                </div>
            </>
        );
    }
}

export default ExampleProgressPill;
