import React from 'react';

import { Button, ButtonTheme, RightRail, RightRailTheme } from '@preamp/core';

function onClick(): void {
    // eslint-disable-next-line no-console
    console.log('Footer Action Clicked');
}

/**
 * RightRail with a Footer
 */
class RightRailFooter extends React.Component {
    handleClick(): void {
        // eslint-disable-next-line no-console
        console.log('Action Clicked');
    }

    render(): React.ReactNode {
        return (
            <>
                <section className="mb-6" style={{ maxWidth: '256px' }}>
                    <RightRail
                        action={{
                            title: 'An Action',
                            href: 'https://www.videoamp.com'
                        }}
                        footer={
                            <div className="text-right">
                                <Button
                                    onClick={onClick}
                                    theme={ButtonTheme.Secondary}
                                >
                                    Cancel
                                </Button>
                                <Button
                                    onClick={onClick}
                                    theme={ButtonTheme.Primary}
                                >
                                    Save
                                </Button>
                            </div>
                        }
                        style={{ height: '500px' }}
                        theme={RightRailTheme.Item}
                        title="An Item Title"
                    >
                        <p className="mb-4">
                            Life finds a way. Hey, take a look at the
                            earthlings. Goodbye! God help us, we&apos;re in the
                            hands of engineers. Just my luck, no ice. Yeah, but
                            John, if The Pirates of the Caribbean breaks down,
                            the pirates don’t eat the tourists. I was part of
                            something special.
                        </p>
                        <p className="mb-4">
                            Eventually, you do plan to have dinosaurs on your
                            dinosaur tour, right? Must go faster. Must go
                            faster. What do they got in there? King Kong? God
                            help us, we&apos;re in the hands of engineers.
                            Checkmate... Yes, Yes, without the oops! God creates
                            dinosaurs. God destroys dinosaurs. God creates Man.
                            Man destroys God. Man creates Dinosaurs.
                        </p>
                        <p className="mb-4">
                            Forget the fat lady! You&apos;re obsessed with the
                            fat lady! Drive us out of here! Yeah, but your
                            scientists were so preoccupied with whether or not
                            they could, they didn&apos;t stop to think if they
                            should. Forget the fat lady! You&apos;re obsessed
                            with the fat lady! Drive us out of here!
                        </p>
                        <p>
                            Life finds a way. Do you have any idea how long it
                            takes those cups to decompose. God help us,
                            we&apos;re in the hands of engineers. Did he just
                            throw my cat out of the window? Yeah, but your
                            scientists were so preoccupied with whether or not
                            they could, they didn&apos;t stop to think if they
                            should.
                        </p>
                    </RightRail>
                </section>
            </>
        );
    }
}

export default RightRailFooter;
