import * as React from 'react';

import { Button, RadioButton, Tooltip } from '@preamp/core';
import { TextField } from '@preamp/core';
import { Select } from '@preamp/select';

/**
 * Example of tooltips in disabled elements
 */
const TooltipsForDisabledElementsExample: React.FunctionComponent<HTMLDivElement> = (): React.ReactElement => {
    return (
        <div className="flex justify-around items-center">
            <Tooltip
                content="Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
                hasArrow
            >
                <Button disabled>Hover over me!</Button>
            </Tooltip>
            <Tooltip
                content="Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
                hasArrow
            >
                <TextField disabled value="I'm disabled" />
            </Tooltip>
            <Tooltip
                content="Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
                hasArrow
            >
                <RadioButton
                    checked
                    disabled
                    label="Disabled Checked Radio Button"
                    name="radio-button-field"
                    onChange={(): void => {}}
                />
            </Tooltip>
            <Tooltip
                content="Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
                hasArrow
            >
                <Select isDisabled label="Disabled Select" />
            </Tooltip>
        </div>
    );
};

export default TooltipsForDisabledElementsExample;
