import React from 'react';

import dateFnsFormat from 'date-fns/format';

import { DatePicker, SLASH_DATE_FORMAT } from '@preamp/datepicker';

interface ISingleDatePickerState {
    selectedDay: Date;
}
/**
 * Single Date Picker Example
 */
class ExampleSingleDatePicker extends React.Component<
    {},
    ISingleDatePickerState
> {
    state: ISingleDatePickerState = {
        selectedDay: null
    };

    handleDayClick = (day: Date, { selected }: any): void => {
        this.setState({
            selectedDay: selected ? undefined : day
        });
    };

    render(): React.ReactNode {
        const { selectedDay } = this.state;
        const selectedDate: string = selectedDay
            ? dateFnsFormat(selectedDay, SLASH_DATE_FORMAT)
            : '';

        return (
            <>
                <div className="mt-4 mb-4">
                    <DatePicker
                        initialMonth={new Date(2014, 5, 1)}
                        onDayClick={this.handleDayClick}
                        selectedDays={selectedDay}
                    />
                </div>
                <div>{`Selected Date: ${selectedDate}`}</div>
            </>
        );
    }
}

export default ExampleSingleDatePicker;
