import React, { ReactElement, useState } from 'react';

import { Button } from '@preamp/core';
import { DateRangeInput } from '@preamp/datepicker';

/**
 * Date Range Input Pass Error
 */

function DateRangeInputPassError(): ReactElement<{}> {
    const [hasError, setError] = useState(true);

    function removeError(): void {
        setError(false);
    }

    return (
        <>
            <div className="mb-4">
                <DateRangeInput
                    errorMessage="This is an error message"
                    hasError={hasError}
                />
            </div>
            <Button onClick={removeError}>Remove error message</Button>
        </>
    );
}

export default DateRangeInputPassError;
