export interface ColorArray {
    name: string;
    variable: string;
    hex: string;
    usage: string;
}

export const color: ColorArray[] = [
    // red
    {
        name: '',
        variable: '--va-red-25',
        hex: '#fff6f6',
        usage:
            'css class name: .va-red-25 | css property value: var(--va-red-25)'
    },
    {
        name: '',
        variable: '--va-red-50',
        hex: '#ffebee',
        usage:
            'css class name: .va-red-50 | css property value: var(--va-red-50)'
    },
    {
        name: '',
        variable: '--va-red-75',
        hex: '#ffdcdc',
        usage:
            'css class name: .va-red-75 | css property value: var(--va-red-75)'
    },
    {
        name: '',
        variable: '--va-red-100',
        hex: '#fff2f2',
        usage:
            'css class name: .va-red-100 | css property value: var(--va-red-100)'
    },
    {
        name: '',
        variable: '--va-red-200',
        hex: '#ffe6e6',
        usage:
            'css class name: .va-red-200 | css property value: var(--va-red-200)'
    },
    {
        name: '',
        variable: '--va-red-300',
        hex: '#ffbfbf',
        usage:
            'css class name: .va-red-300 | css property value: var(--va-red-300)'
    },
    {
        name: '',
        variable: '--va-red-400',
        hex: '#f27979',
        usage:
            'css class name: .va-red-400 | css property value: var(--va-red-400)'
    },
    {
        name: '',
        variable: '--va-red-500',
        hex: '#f23d3d',
        usage:
            'css class name: .va-red-500 | css property value: var(--va-red-500)'
    },
    {
        name: '',
        variable: '--va-red-600',
        hex: '#d93636',
        usage:
            'css class name: .va-red-600 | css property value: var(--va-red-600)'
    },
    {
        name: '',
        variable: '--va-red-700',
        hex: '#d32f2f',
        usage:
            'css class name: .va-red-700 | css property value: var(--va-red-700)'
    },
    {
        name: '',
        variable: '--va-red-800',
        hex: '#c62828',
        usage:
            'css class name: .va-red-800 | css property value: var(--va-red-800)'
    },
    {
        name: '',
        variable: '--va-red-900',
        hex: '#b71c1c',
        usage:
            'css class name: .va-red-900 | css property value: var(--va-red-900)'
    },
    {
        name: '',
        variable: '--va-red-A100',
        hex: '#ff8a80',
        usage:
            'css class name: .va-red-A100 | css property value: var(--va-red-A100)'
    },
    {
        name: '',
        variable: '--va-red-A200',
        hex: '#ff5252',
        usage:
            'css class name: .va-red-A200 | css property value: var(--va-red-A200)'
    },
    {
        name: '',
        variable: '--va-red-A400',
        hex: '#ff1744',
        usage:
            'css class name: .va-red-A400 | css property value: var(--va-red-A400)'
    },
    {
        name: '',
        variable: '--va-red-A700',
        hex: '#d50000',
        usage:
            'css class name: .va-red-A700 | css property value: var(--va-red-A700)'
    },
    // pink:
    {
        name: '',
        variable: '--va-pink-50',
        hex: '#fce4ec',
        usage:
            'css class name: .va-pink-50 | css property value: var(--va-pink-50)'
    },
    {
        name: '',
        variable: '--va-pink-100',
        hex: '#f8bbd0',
        usage:
            'css class name: .va-pink-100 | css property value: var(--va-pink-100)'
    },
    {
        name: '',
        variable: '--va-pink-200',
        hex: '#f48fb1',
        usage:
            'css class name: .va-pink-200 | css property value: var(--va-pink-200)'
    },
    {
        name: '',
        variable: '--va-pink-300',
        hex: '#f06292',
        usage:
            'css class name: .va-pink-300 | css property value: var(--va-pink-300)'
    },
    {
        name: '',
        variable: '--va-pink-400',
        hex: '#ec407a',
        usage:
            'css class name: .va-pink-400 | css property value: var(--va-pink-400)'
    },
    {
        name: '',
        variable: '--va-pink-500',
        hex: '#e91e63',
        usage:
            'css class name: .va-pink-500 | css property value: var(--va-pink-500)'
    },
    {
        name: '',
        variable: '--va-pink-600',
        hex: '#d81b60',
        usage:
            'css class name: .va-pink-600 | css property value: var(--va-pink-600)'
    },
    {
        name: '',
        variable: '--va-pink-700',
        hex: '#c2185b',
        usage:
            'css class name: .va-pink-700 | css property value: var(--va-pink-700)'
    },
    {
        name: '',
        variable: '--va-pink-800',
        hex: '#ad1457',
        usage:
            'css class name: .va-pink-800 | css property value: var(--va-pink-800)'
    },
    {
        name: '',
        variable: '--va-pink-900',
        hex: '#880e4f',
        usage:
            'css class name: .va-pink-900 | css property value: var(--va-pink-900)'
    },
    {
        name: '',
        variable: '--va-pink-A100',
        hex: '#ff80ab',
        usage:
            'css class name: .va-pink-A100 | css property value: var(--va-pink-A100)'
    },
    {
        name: '',
        variable: '--va-pink-A200',
        hex: '#ff4081',
        usage:
            'css class name: .va-pink-A200 | css property value: var(--va-pink-A200)'
    },
    {
        name: '',
        variable: '--va-pink-A400',
        hex: '#f50057',
        usage:
            'css class name: .va-pink-A400 | css property value: var(--va-pink-A400)'
    },
    {
        name: '',
        variable: '--va-pink-A700',
        hex: '#c51162',
        usage:
            'css class name: .va-pink-A700 | css property value: var(--va-pink-A700)'
    },
    //     'purple':
    {
        name: '',
        variable: '--va-purple-50',
        hex: '#f3e5f5',
        usage:
            'css class name: .va-purple-50 | css property value: var(--va-purple-50)'
    },
    {
        name: '',
        variable: '--va-purple-100',
        hex: '#e1bee7',
        usage:
            'css class name: .va-purple-100 | css property value: var(--va-purple-100)'
    },
    {
        name: '',
        variable: '--va-purple-200',
        hex: '#ce93d8',
        usage:
            'css class name: .va-purple-200 | css property value: var(--va-purple-200)'
    },
    {
        name: '',
        variable: '--va-purple-300',
        hex: '#ba68c8',
        usage:
            'css class name: .va-purple-300 | css property value: var(--va-purple-300)'
    },
    {
        name: '',
        variable: '--va-purple-400',
        hex: '#ab47bc',
        usage:
            'css class name: .va-purple-400 | css property value: var(--va-purple-400)'
    },
    {
        name: '',
        variable: '--va-purple-500',
        hex: '#9c27b0',
        usage:
            'css class name: .va-purple-500 | css property value: var(--va-purple-500)'
    },
    {
        name: '',
        variable: '--va-purple-600',
        hex: '#8e24aa',
        usage:
            'css class name: .va-purple-600 | css property value: var(--va-purple-600)'
    },
    {
        name: '',
        variable: '--va-purple-700',
        hex: '#7b1fa2',
        usage:
            'css class name: .va-purple-700 | css property value: var(--va-purple-700)'
    },
    {
        name: '',
        variable: '--va-purple-800',
        hex: '#6a1b9a',
        usage:
            'css class name: .va-purple-800 | css property value: var(--va-purple-800)'
    },
    {
        name: '',
        variable: '--va-purple-900',
        hex: '#4a148c',
        usage:
            'css class name: .va-purple-900 | css property value: var(--va-purple-900)'
    },
    {
        name: '',
        variable: '--va-purple-A100',
        hex: '#ea80fc',
        usage:
            'css class name: .va-purple-A100 | css property value: var(--va-purple-A100)'
    },
    {
        name: '',
        variable: '--va-purple-A200',
        hex: '#e040fb',
        usage:
            'css class name: .va-purple-A200 | css property value: var(--va-purple-A200)'
    },
    {
        name: '',
        variable: '--va-purple-A400',
        hex: '#d500f9',
        usage:
            'css class name: .va-purple-A400 | css property value: var(--va-purple-A400)'
    },
    {
        name: '',
        variable: '--va-purple-A700',
        hex: '#aa00ff',
        usage:
            'css class name: .va-purple-A700 | css property value: var(--va-purple-A700)'
    },
    // deep-purple
    {
        name: '',
        variable: '--va-deep-purple-50',
        hex: '#ede7f6',
        usage:
            'css class name: .va-deep-purple-50 | css property value: var(--va-deep-purple-50)'
    },
    {
        name: '',
        variable: '--va-deep-purple-100',
        hex: '#d1c4e9',
        usage:
            'css class name: .va-deep-purple-100 | css property value: var(--va-deep-purple-100)'
    },
    {
        name: '',
        variable: '--va-deep-purple-200',
        hex: '#b39ddb',
        usage:
            'css class name: .va-deep-purple-200 | css property value: var(--va-deep-purple-200)'
    },
    {
        name: '',
        variable: '--va-deep-purple-300',
        hex: '#9575cd',
        usage:
            'css class name: .va-deep-purple-300 | css property value: var(--va-deep-purple-300)'
    },
    {
        name: '',
        variable: '--va-deep-purple-400',
        hex: '#7e57c2',
        usage:
            'css class name: .va-deep-purple-400 | css property value: var(--va-deep-purple-400)'
    },
    {
        name: '',
        variable: '--va-deep-purple-500',
        hex: '#673ab7',
        usage:
            'css class name: .va-deep-purple-500 | css property value: var(--va-deep-purple-500)'
    },
    {
        name: '',
        variable: '--va-deep-purple-600',
        hex: '#5e35b1',
        usage:
            'css class name: .va-deep-purple-600 | css property value: var(--va-deep-purple-600)'
    },
    {
        name: '',
        variable: '--va-deep-purple-700',
        hex: '#512da8',
        usage:
            'css class name: .va-deep-purple-700 | css property value: var(--va-deep-purple-700)'
    },
    {
        name: '',
        variable: '--va-deep-purple-800',
        hex: '#4527a0',
        usage:
            'css class name: .va-deep-purple-800 | css property value: var(--va-deep-purple-800)'
    },
    {
        name: '',
        variable: '--va-deep-purple-900',
        hex: '#311b92',
        usage:
            'css class name: .va-deep-purple-900 | css property value: var(--va-deep-purple-900)'
    },
    {
        name: '',
        variable: '--va-deep-purple-A100',
        hex: '#b388ff',
        usage:
            'css class name: .va-deep-purple-A100 | css property value: var(--va-deep-purple-A100)'
    },
    {
        name: '',
        variable: '--va-deep-purple-A200',
        hex: '#7c4dff',
        usage:
            'css class name: .va-deep-purple-A200 | css property value: var(--va-deep-purple-A200)'
    },
    {
        name: '',
        variable: '--va-deep-purple-A400',
        hex: '#651fff',
        usage:
            'css class name: .va-deep-purple-A400 | css property value: var(--va-deep-purple-A400)'
    },
    {
        name: '',
        variable: '--va-deep-purple-A700',
        hex: '#6200ea',
        usage:
            'css class name: .va-deep-purple-A700 | css property value: var(--va-deep-purple-A700)'
    },
    // indigo
    {
        name: '',
        variable: '--va-indigo-50',
        hex: '#e8eaf6',
        usage:
            'css class name: .va-indigo-50 | css property value: var(--va-indigo-50)'
    },
    {
        name: '',
        variable: '--va-indigo-100',
        hex: '#f2f4ff',
        usage:
            'css class name: .va-indigo-50 | css property value: var(--va-indigo-50)'
    },
    {
        name: '',
        variable: '--va-indigo-200',
        hex: '#e6eaff',
        usage:
            'css class name: .va-indigo-200 | css property value: var(--va-indigo-200)'
    },
    {
        name: '',
        variable: '--va-indigo-250',
        hex: '#dae0fa',
        usage:
            'css class name: .va-indigo-250 | css property value: var(--va-indigo-250)'
    },
    {
        name: '',
        variable: '--va-indigo-300',
        hex: '#b6c0f2',
        usage:
            'css class name: .va-indigo-300 | css property value: var(--va-indigo-300)'
    },
    {
        name: '',
        variable: '--va-indigo-400',
        hex: '#6e80e6',
        usage:
            'css class name: .va-indigo-400 | css property value: var(--va-indigo-400)'
    },
    {
        name: '',
        variable: '--va-indigo-500',
        hex: '#3f51b5',
        usage:
            'css class name: .va-indigo-500 | css property value: var(--va-indigo-500)'
    },
    {
        name: '',
        variable: '--va-indigo-600',
        hex: '#3949ab',
        usage:
            'css class name: .va-indigo-600 | css property value: var(--va-indigo-600)'
    },
    {
        name: '',
        variable: '--va-indigo-700',
        hex: '#303f9f',
        usage:
            'css class name: .va-indigo-700 | css property value: var(--va-indigo-700)'
    },
    {
        name: '',
        variable: '--va-indigo-800',
        hex: '#283593',
        usage:
            'css class name: .va-indigo-800 | css property value: var(--va-indigo-800)'
    },
    {
        name: '',
        variable: '--va-indigo-900',
        hex: '#1a237e',
        usage:
            'css class name: .va-indigo-900 | css property value: var(--va-indigo-900)'
    },
    {
        name: '',
        variable: '--va-indigo-A100',
        hex: '#8c9eff',
        usage:
            'css class name: .va-indigo-A100 | css property value: var(--va-indigo-A100)'
    },
    {
        name: '',
        variable: '--va-indigo-A200',
        hex: '#536dfe',
        usage:
            'css class name: .va-indigo-A200 | css property value: var(--va-indigo-A200)'
    },
    {
        name: '',
        variable: '--va-indigo-A400',
        hex: '#3d5afe',
        usage:
            'css class name: .va-indigo-A400 | css property value: var(--va-indigo-A400)'
    },
    {
        name: '',
        variable: '--va-indigo-A700',
        hex: '#304ffe',
        usage:
            'css class name: .va-indigo-A700 | css property value: var(--va-indigo-A700)'
    },

    // blue
    {
        name: '',
        variable: '--va-blue-50',
        hex: '#e3f2fd',
        usage:
            'css class name: .va-blue-50 | css property value: var(--va-blue-50)'
    },
    {
        name: '',
        variable: '--va-blue-100',
        hex: '#bbdefb',
        usage:
            'css class name: .va-blue-100 | css property value: var(--va-blue-100)'
    },
    {
        name: '',
        variable: '--va-blue-200',
        hex: '#90caf9',
        usage:
            'css class name: .va-blue-200 | css property value: var(--va-blue-200)'
    },
    {
        name: '',
        variable: '--va-blue-300',
        hex: '#64b5f6',
        usage:
            'css class name: .va-blue-300 | css property value: var(--va-blue-300)'
    },
    {
        name: '',
        variable: '--va-blue-400',
        hex: '#42a5f5',
        usage:
            'css class name: .va-blue-400 | css property value: var(--va-blue-400)'
    },
    {
        name: '',
        variable: '--va-blue-500',
        hex: '#2196f3',
        usage:
            'css class name: .va-blue-500 | css property value: var(--va-blue-500)'
    },
    {
        name: '',
        variable: '--va-blue-600',
        hex: '#1e88e5',
        usage:
            'css class name: .va-blue-600 | css property value: var(--va-blue-600)'
    },
    {
        name: '',
        variable: '--va-blue-700',
        hex: '#1976d2',
        usage:
            'css class name: .va-blue-700 | css property value: var(--va-blue-700)'
    },
    {
        name: '',
        variable: '--va-blue-800',
        hex: '#1565c0',
        usage:
            'css class name: .va-blue-800 | css property value: var(--va-blue-800)'
    },
    {
        name: '',
        variable: '--va-blue-900',
        hex: '#0d47a1',
        usage:
            'css class name: .va-blue-900 | css property value: var(--va-blue-900)'
    },
    {
        name: '',
        variable: '--va-blue-A100',
        hex: '#82b1ff',
        usage:
            'css class name: .va-blue-A100 | css property value: var(--va-blue-A100)'
    },
    {
        name: '',
        variable: '--va-blue-A200',
        hex: '#448aff',
        usage:
            'css class name: .va-blue-A200 | css property value: var(--va-blue-A200)'
    },
    {
        name: '',
        variable: '--va-blue-A400',
        hex: '#2979ff',
        usage:
            'css class name: .va-blue-A400 | css property value: var(--va-blue-A400)'
    },
    {
        name: '',
        variable: '--va-blue-A700',
        hex: '#2962ff',
        usage:
            'css class name: .va-blue-A700 | css property value: var(--va-blue-A700)'
    },

    // blue-grey :

    {
        name: '',
        variable: '--va-blue-grey-100',
        hex: '#f2f4fa',
        usage:
            'css class name: .va-blue-grey-100 | css property value: var(--va-blue-grey-100)'
    },
    {
        name: '',
        variable: '--va-blue-grey-200',
        hex: '#dce1f2',
        usage:
            'css class name: .va-blue-grey-200 | css property value: var(--va-blue-grey-200)'
    },
    {
        name: '',
        variable: '--va-blue-grey-250',
        hex: '#d3d9ef',
        usage:
            'css class name: .va-blue-grey-250 | css property value: var(--va-blue-grey-250)'
    },
    {
        name: '',
        variable: '--va-blue-grey-300',
        hex: '#d5d9e6',
        usage:
            'css class name: .va-blue-grey-300 | css property value: var(--va-blue-grey-300)'
    },
    {
        name: '',
        variable: '--va-blue-grey-350',
        hex: '#cdd3e7',
        usage:
            'css class name: .va-blue-grey-350 | css property value: var(--va-blue-grey-350)'
    },
    {
        name: '',
        variable: '--va-blue-grey-400',
        hex: '#b4bacc',
        usage:
            'css class name: .va-blue-grey-400 | css property value: var(--va-blue-grey-400)'
    },
    {
        name: '',
        variable: '--va-blue-grey-500',
        hex: '#70748c',
        usage:
            'css class name: .va-blue-grey-500 | css property value: var(--va-blue-grey-500)'
    },
    {
        name: '',
        variable: '--va-blue-grey-600',
        hex: '#525566',
        usage:
            'css class name: .va-blue-grey-600 | css property value: var(--va-blue-grey-600)'
    },

    //light-blue
    {
        name: '',
        variable: '--va-light-blue-50',
        hex: '#e1f5fe',
        usage:
            'css class name: .va-light-blue-50 | css property value: var(--va-light-blue-50)'
    },
    {
        name: '',
        variable: '--va-light-blue-100',
        hex: '#b3e5fc',
        usage:
            'css class name: .va-light-blue-100 | css property value: var(--va-light-blue-100)'
    },
    {
        name: '',
        variable: '--va-light-blue-200',
        hex: '#81d4fa',
        usage:
            'css class name: .va-light-blue-200 | css property value: var(--va-light-blue-200)'
    },
    {
        name: '',
        variable: '--va-light-blue-300',
        hex: '#4fc3f7',
        usage:
            'css class name: .va-light-blue-300 | css property value: var(--va-light-blue-300)'
    },
    {
        name: '',
        variable: '--va-light-blue-400',
        hex: '#29b6f6',
        usage:
            'css class name: .va-light-blue-400 | css property value: var(--va-light-blue-400)'
    },
    {
        name: '',
        variable: '--va-light-blue-500',
        hex: '#03a9f4',
        usage:
            'css class name: .va-light-blue-500 | css property value: var(--va-light-blue-500)'
    },
    {
        name: '',
        variable: '--va-light-blue-600',
        hex: '#039be5',
        usage:
            'css class name: .va-light-blue-600 | css property value: var(--va-light-blue-600)'
    },
    {
        name: '',
        variable: '--va-light-blue-700',
        hex: '#0288d1',
        usage:
            'css class name: .va-light-blue-700 | css property value: var(--va-light-blue-700)'
    },
    {
        name: '',
        variable: '--va-light-blue-800',
        hex: '#0277bd',
        usage:
            'css class name: .va-light-blue-800 | css property value: var(--va-light-blue-800)'
    },
    {
        name: '',
        variable: '--va-light-blue-900',
        hex: '#01579b',
        usage:
            'css class name: .va-light-blue-900 | css property value: var(--va-light-blue-900)'
    },
    {
        name: '',
        variable: '--va-light-blue-A100',
        hex: '#80d8ff',
        usage:
            'css class name: .va-light-blue-A100 | css property value: var(--va-light-blue-A100)'
    },
    {
        name: '',
        variable: '--va-light-blue-A200',
        hex: '#40c4ff',
        usage:
            'css class name: .va-light-blue-A200 | css property value: var(--va-light-blue-A200)'
    },
    {
        name: '',
        variable: '--va-light-blue-A400',
        hex: '#00b0ff',
        usage:
            'css class name: .va-light-blue-A400 | css property value: var(--va-light-blue-A400)'
    },
    {
        name: '',
        variable: '--va-light-blue-A700',
        hex: '#0091ea',
        usage:
            'css class name: .va-light-blue-A700 | css property value: var(--va-light-blue-A700)'
    },
    //cyan
    {
        name: '',
        variable: '--va-cyan-50',
        hex: '#e0f7fa',
        usage:
            'css class name: .va-cyan-50 | css property value: var(--va-cyan-50)'
    },
    {
        name: '',
        variable: '--va-cyan-100',
        hex: '#b2ebf2',
        usage:
            'css class name: .va-cyan-100 | css property value: var(--va-cyan-100)'
    },
    {
        name: '',
        variable: '--va-cyan-200',
        hex: '#80deea',
        usage:
            'css class name: .va-cyan-200 | css property value: var(--va-cyan-200)'
    },
    {
        name: '',
        variable: '--va-cyan-300',
        hex: '#4dd0e1',
        usage:
            'css class name: .va-cyan-300 | css property value: var(--va-cyan-300)'
    },
    {
        name: '',
        variable: '--va-cyan-400',
        hex: '#26c6da',
        usage:
            'css class name: .va-cyan-400 | css property value: var(--va-cyan-400)'
    },
    {
        name: '',
        variable: '--va-cyan-500',
        hex: '#00bcd4',
        usage:
            'css class name: .va-cyan-500 | css property value: var(--va-cyan-500)'
    },
    {
        name: '',
        variable: '--va-cyan-600',
        hex: '#00acc1',
        usage:
            'css class name: .va-cyan-600 | css property value: var(--va-cyan-600)'
    },
    {
        name: '',
        variable: '--va-cyan-700',
        hex: '#0097a7',
        usage:
            'css class name: .va-cyan-700 | css property value: var(--va-cyan-700)'
    },
    {
        name: '',
        variable: '--va-cyan-800',
        hex: '#00838f',
        usage:
            'css class name: .va-cyan-800 | css property value: var(--va-cyan-800)'
    },
    {
        name: '',
        variable: '--va-cyan-900',
        hex: '#006064',
        usage:
            'css class name: .va-cyan-900 | css property value: var(--va-cyan-900)'
    },
    {
        name: '',
        variable: '--va-cyan-A100',
        hex: '#84ffff',
        usage:
            'css class name: .va-cyan-A100 | css property value: var(--va-cyan-A100)'
    },
    {
        name: '',
        variable: '--va-cyan-A200',
        hex: '#18ffff',
        usage:
            'css class name: .va-cyan-A200 | css property value: var(--va-cyan-A200)'
    },
    {
        name: '',
        variable: '--va-cyan-A400',
        hex: '#00e5ff',
        usage:
            'css class name: .va-cyan-A400 | css property value: var(--va-cyan-A400)'
    },
    {
        name: '',
        variable: '--va-cyan-A700',
        hex: '#00b8d4',
        usage:
            'css class name: .va-cyan-A700 | css property value: var(--va-cyan-A700)'
    },

    //teal:
    {
        name: '',
        variable: '--va-teal-100',
        hex: '#effafc',
        usage:
            'css class name: .va-teal-100 | css property value: var(--va-teal-100)'
    },
    {
        name: '',
        variable: '--va-teal-200',
        hex: '#d8f3f8',
        usage:
            'css class name: .va-teal-200 | css property value: var(--va-teal-200)'
    },
    {
        name: '',
        variable: '--va-teal-225',
        hex: '#a4e5ef',
        usage:
            'css class name: .va-teal-225 | css property value: var(--va-teal-225)'
    },
    {
        name: '',
        variable: '--va-teal-250',
        hex: '#6fd7e6',
        usage:
            'css class name: .va-teal-250 | css property value: var(--va-teal-250)'
    },
    {
        name: '',
        variable: '--va-teal-275',
        hex: '#3bcadd',
        usage:
            'css class name: .va-teal-275 | css property value: var(--va-teal-275)'
    },
    {
        name: '',
        variable: '--va-teal-300',
        hex: '#06bcd4',
        usage:
            'css class name: .va-teal-300 | css property value: var(--va-teal-300)'
    },
    {
        name: '',
        variable: '--va-teal-325',
        hex: '#04bdd4',
        usage:
            'css class name: .va-teal-325 | css property value: var(--va-teal-325)'
    },
    {
        name: '',
        variable: '--va-teal-350',
        hex: '#03b0cb',
        usage:
            'css class name: .va-teal-350 | css property value: var(--va-teal-350)'
    },
    {
        name: '',
        variable: '--va-teal-400',
        hex: '#00a3bd',
        usage:
            'css class name: .va-teal-400 | css property value: var(--va-teal-400)'
    },
    {
        name: '',
        variable: '--va-teal-450',
        hex: '#05839e',
        usage:
            'css class name: .va-teal-450 | css property value: var(--va-teal-450)'
    },
    {
        name: '',
        variable: '--va-teal-500',
        hex: '#0b6380',
        usage:
            'css class name: .va-teal-500 | css property value: var(--va-teal-500)'
    },
    {
        name: '',
        variable: '--va-teal-550',
        hex: '#0bbcd4',
        usage:
            'css class name: .va-teal-550 | css property value: var(--va-teal-550)'
    },
    {
        name: '',
        variable: '--va-teal-600',
        hex: '#47e4bd',
        usage:
            'css class name: .va-teal-600 | css property value: var(--va-teal-600)'
    },
    {
        name: '',
        variable: '--va-teal-650',
        hex: '#00bfbe',
        usage:
            'css class name: .va-teal-650 | css property value: var(--va-teal-650)'
    },
    {
        name: '',
        variable: '--va-teal-A400',
        hex: '#1de9b6', //left over color that will likely change
        usage:
            'css class name: .va-teal-A400 | css property value: var(--va-teal-A400)'
    },
    //magenta:

    {
        name: '',
        variable: '--va-magenta-500',
        hex: '#ec3cbe',
        usage:
            'css class name: .va-magenta-500 | css property value: var(--va-magenta-500)'
    },
    {
        name: '',
        variable: '--va-magenta-550',
        hex: '#e71e63',
        usage:
            'css class name: .va-magenta-550 | css property value: var(--va-magenta-550)'
    },
    {
        name: '',
        variable: '--va-magenta-600',
        hex: '#bf0060',
        usage:
            'css class name: .va-magenta-600 | css property value: var(--va-magenta-600)'
    },

    //royal:
    {
        name: '',
        variable: '--va-royal-500',
        hex: '#4555a5',
        usage:
            'css class name: .va-royal-500 | css property value: var(--va-royal-500)'
    },

    //sky:
    {
        name: '',
        variable: '--va-sky-500',
        hex: '#38a4dd',
        usage:
            'css class name: .va-sky-500 | css property value: var(--va-sky-500)'
    },
    {
        name: '',
        variable: '--va-sky-550',
        hex: '#1b7494',
        usage:
            'css class name: .va-sky-550 | css property value: var(--va-sky-550)'
    },

    //violet
    {
        name: '',
        variable: '--va-violet-500',
        hex: '#903f98',
        usage:
            'css class name: .va-violet-500 | css property value: var(--va-violet-500)'
    },
    {
        name: '',
        variable: '--va-violet-550',
        hex: '#592364',
        usage:
            'css class name: .va-violet-550 | css property value: var(--va-violet-550)'
    },

    //charcoal:
    {
        name: '',
        variable: '--va-charcoal-500',
        hex: '#808080',
        usage:
            'css class name: .va-charcoal-500 | css property value: var(--va-charcoal-500)'
    },
    {
        name: '',
        variable: '--va-charcoal-550',
        hex: '#4d4d4d',
        usage:
            'css class name: .va-charcoal-550 | css property value: var(--va-charcoal-550)'
    },

    //variant:
    {
        name: '',
        variable: '--va-variant-500',
        hex: '#27386d',
        usage:
            'css class name: .va-variant-500 | css property value: var(--va-variant-500)'
    },

    //green:
    {
        name: '',
        variable: '--va-green-50',
        hex: '#e8f5e9',
        usage:
            'css class name: .va-green-50 | css property value: var(--va-green-50)'
    },
    {
        name: '',
        variable: '--va-green-100',
        hex: '#f2fff9',
        usage:
            'css class name: .va-green-100 | css property value: var(--va-green-100)'
    },
    {
        name: '',
        variable: '--va-green-200',
        hex: '#e1fcef',
        usage:
            'css class name: .va-green-200 | css property value: var(--va-green-200)'
    },
    {
        name: '',
        variable: '--va-green-300',
        hex: '#b9f6ca',
        usage:
            'css class name: .va-green-50 | css property value: var(--va-green-50)'
    },
    {
        name: '',
        variable: '--va-green-400',
        hex: '#69f0ae',
        usage:
            'css class name: .va-green-300 | css property value: var(--va-green-300)'
    },
    {
        name: '',
        variable: '--va-green-500',
        hex: '#45dda3',
        usage:
            'css class name: .va-green-500 | css property value: var(--va-green-500)'
    },
    {
        name: '',
        variable: '--va-green-600',
        hex: '#16c79b',
        usage:
            'css class name: .va-green-600 | css property value: var(--va-green-600)'
    },
    {
        name: '',
        variable: '--va-green-700',
        hex: '#388e3c',
        usage:
            'css class name: .va-green-700 | css property value: var(--va-green-700)'
    },
    {
        name: '',
        variable: '--va-green-800',
        hex: '#2e7d32',
        usage:
            'css class name: .va-green-800 | css property value: var(--va-green-800)'
    },
    {
        name: '',
        variable: '--va-green-900',
        hex: '#1b5e20',
        usage:
            'css class name: .va-green-900 | css property value: var(--va-green-900)'
    },
    {
        name: '',
        variable: '--va-green-A100',
        hex: '#b9f6ca',
        usage:
            'css class name: .va-green-A100 | css property value: var(--va-green-A100)'
    },
    {
        name: '',
        variable: '--va-green-A200',
        hex: '#69f0ae',
        usage:
            'css class name: .va-green-A200 | css property value: var(--va-green-A200)'
    },
    {
        name: '',
        variable: '--va-green-A400',
        hex: '#00e676',
        usage:
            'css class name: .va-green-A400 | css property value: var(--va-green-A400)'
    },
    {
        name: '',
        variable: '--va-green-A700',
        hex: '#00c853',
        usage:
            'css class name: .va-green-A700 | css property value: var(--va-green-A700)'
    },
    //light-green:
    {
        name: '',
        variable: '--va-light-green-50',
        hex: '#f1f8e9',
        usage:
            'css class name: .va-light-green-50 | css property value: var(--va-light-green-50)'
    },
    {
        name: '',
        variable: '--va-light-green-100',
        hex: '#dcedc8',
        usage:
            'css class name: .va-light-green-100 | css property value: var(--va-light-green-100)'
    },
    {
        name: '',
        variable: '--va-light-green-200',
        hex: '#c5e1a5',
        usage:
            'css class name: .va-light-green-200 | css property value: var(--va-light-green-200)'
    },
    {
        name: '',
        variable: '--va-light-green-300',
        hex: '#aed581',
        usage:
            'css class name: .va-light-green-300 | css property value: var(--va-light-green-300)'
    },
    {
        name: '',
        variable: '--va-light-green-400',
        hex: '#9ccc65',
        usage:
            'css class name: .va-light-green-400 | css property value: var(--va-light-green-400)'
    },
    {
        name: '',
        variable: '--va-light-green-500',
        hex: '#8bc34a',
        usage:
            'css class name: .va-light-green-500 | css property value: var(--va-light-green-500)'
    },
    {
        name: '',
        variable: '--va-light-green-600',
        hex: '#7cb342',
        usage:
            'css class name: .va-light-green-600 | css property value: var(--va-light-green-600)'
    },
    {
        name: '',
        variable: '--va-light-green-700',
        hex: '#689f38',
        usage:
            'css class name: .va-light-green-700 | css property value: var(--va-light-green-700)'
    },
    {
        name: '',
        variable: '--va-light-green-800',
        hex: '#558b2f',
        usage:
            'css class name: .va-light-green-800 | css property value: var(--va-light-green-800)'
    },
    {
        name: '',
        variable: '--va-light-green-900',
        hex: '#33691e',
        usage:
            'css class name: .va-light-green-900 | css property value: var(--va-light-green-900)'
    },
    {
        name: '',
        variable: '--va-light-green-A100',
        hex: '#ccff90',
        usage:
            'css class name: .va-light-green-A100 | css property value: var(--va-light-green-A100)'
    },
    {
        name: '',
        variable: '--va-light-green-A200',
        hex: '#b2ff59',
        usage:
            'css class name: .va-light-green-A200 | css property value: var(--va-light-green-A200)'
    },
    {
        name: '',
        variable: '--va-light-green-A400',
        hex: '#76ff03',
        usage:
            'css class name: .va-light-green-A400 | css property value: var(--va-light-green-A400)'
    },
    {
        name: '',
        variable: '--va-light-green-A700',
        hex: '#64dd17',
        usage:
            'css class name: .va-light-green-A700 | css property value: var(--va-light-green-A700)'
    },
    //lime :
    {
        name: '',
        variable: '--va-lime-50',
        hex: '#f9fbe7',
        usage:
            'css class name: .va-lime-50 | css property value: var(--va-lime-50)'
    },
    {
        name: '',
        variable: '--va-lime-100',
        hex: '#f0f4c3',
        usage:
            'css class name: .va-lime-100 | css property value: var(--va-lime-100)'
    },
    {
        name: '',
        variable: '--va-lime-200',
        hex: '#e6ee9c',
        usage:
            'css class name: .va-lime-200 | css property value: var(--va-lime-200)'
    },
    {
        name: '',
        variable: '--va-lime-300',
        hex: '#dce775',
        usage:
            'css class name: .va-lime-300 | css property value: var(--va-lime-300)'
    },
    {
        name: '',
        variable: '--va-lime-400',
        hex: '#d4e157',
        usage:
            'css class name: .va-lime-400 | css property value: var(--va-lime-400)'
    },
    {
        name: '',
        variable: '--va-lime-500',
        hex: '#cddc39',
        usage:
            'css class name: .va-lime-500 | css property value: var(--va-lime-500)'
    },

    {
        name: '',
        variable: '--va-lime-600',
        hex: '#c0ca33',
        usage:
            'css class name: .va-lime-600 | css property value: var(--va-lime-600)'
    },
    {
        name: '',
        variable: '--va-lime-700',
        hex: '#afb42b',
        usage:
            'css class name: .va-lime-700 | css property value: var(--va-lime-700)'
    },
    {
        name: '',
        variable: '--va-lime-800',
        hex: '#9e9d24',
        usage:
            'css class name: .va-lime-800 | css property value: var(--va-lime-800)'
    },
    {
        name: '',
        variable: '--va-lime-900',
        hex: '#827717',
        usage:
            'css class name: .va-lime-900 | css property value: var(--va-lime-900)'
    },
    {
        name: '',
        variable: '--va-lime-A100',
        hex: '#f4ff81',
        usage:
            'css class name: .va-lime-A100 | css property value: var(--va-lime-A100)'
    },
    {
        name: '',
        variable: '--va-lime-A200',
        hex: '#eeff41',
        usage:
            'css class name: .va-lime-A200 | css property value: var(--va-lime-A200)'
    },
    {
        name: '',
        variable: '--va-lime-A400',
        hex: '#c6ff00',
        usage:
            'css class name: .va-lime-A400 | css property value: var(--va-lime-A400)'
    },
    {
        name: '',
        variable: '--va-lime-A700',
        hex: '#aeea00',
        usage:
            'css class name: .va-lime-A700 | css property value: var(--va-lime-A700)'
    },
    // yellow :
    {
        name: '',
        variable: '--va-yellow-50',
        hex: '#fffde7',
        usage:
            'css class name: .va-yellow-50 | css property value: var(--va-yellow-50)'
    },
    {
        name: '',
        variable: '--va-yellow-100',
        hex: '#fffbf2',
        usage:
            'css class name: .va-yellow-100 | css property value: var(--va-yellow-100)'
    },
    {
        name: '',
        variable: '--va-yellow-200',
        hex: '#fff7e6',
        usage:
            'css class name: .va-yellow-200 | css property value: var(--va-yellow-200)'
    },
    {
        name: '',
        variable: '--va-yellow-300',
        hex: '#ffefbf',
        usage:
            'css class name: .va-yellow-300 | css property value: var(--va-yellow-300)'
    },
    {
        name: '',
        variable: '--va-yellow-400',
        hex: '#f2de79',
        usage:
            'css class name: .va-yellow-400 | css property value: var(--va-yellow-400)'
    },
    {
        name: '',
        variable: '--va-yellow-500',
        hex: '#ffbf00',
        usage:
            'css class name: .va-yellow-500 | css property value: var(--va-yellow-500)'
    },
    {
        name: '',
        variable: '--va-yellow-600',
        hex: '#ff9500',
        usage:
            'css class name: .va-yellow-600 | css property value: var(--va-yellow-600)'
    },
    {
        name: '',
        variable: '--va-yellow-700',
        hex: '#fbc02d',
        usage:
            'css class name: .va-yellow-700 | css property value: var(--va-yellow-700)'
    },
    {
        name: '',
        variable: '--va-yellow-800',
        hex: '#f9a825',
        usage:
            'css class name: .va-yellow-800 | css property value: var(--va-yellow-800)'
    },
    {
        name: '',
        variable: '--va-yellow-900',
        hex: '#f57f17',
        usage:
            'css class name: .va-yellow-900 | css property value: var(--va-yellow-900)'
    },
    {
        name: '',
        variable: '--va-yellow-A100',
        hex: '#ffff8d',
        usage:
            'css class name: .va-yellow-A100 | css property value: var(--va-yellow-A100)'
    },
    {
        name: '',
        variable: '--va-yellow-A200',
        hex: '#ffff00',
        usage:
            'css class name: .va-yellow-A200 | css property value: var(--va-yellow-A200)'
    },
    {
        name: '',
        variable: '--va-yellow-A400',
        hex: '#ffea00',
        usage:
            'css class name: .va-yellow-A400 | css property value: var(--va-yellow-A400)'
    },
    {
        name: '',
        variable: '--va-yellow-A700',
        hex: '#ffd600',
        usage:
            'css class name: .va-yellow-A700 | css property value: var(--va-yellow-A700)'
    },
    // amber:
    {
        name: '',
        variable: '--va-amber-50',
        hex: '#fff8e1',
        usage:
            'css class name: .va-amber-50 | css property value: var(--va-amber-50)'
    },
    {
        name: '',
        variable: '--va-amber-100',
        hex: '#ffecb3',
        usage:
            'css class name: .va-amber-100 | css property value: var(--va-amber-100)'
    },
    {
        name: '',
        variable: '--va-amber-200',
        hex: '#ffe082',
        usage:
            'css class name: .va-amber-200 | css property value: var(--va-amber-200)'
    },
    {
        name: '',
        variable: '--va-amber-300',
        hex: '#ffd54f',
        usage:
            'css class name: .va-amber-300 | css property value: var(--va-amber-300)'
    },
    {
        name: '',
        variable: '--va-amber-400',
        hex: '#ffca28',
        usage:
            'css class name: .va-amber-400 | css property value: var(--va-amber-400)'
    },
    {
        name: '',
        variable: '--va-amber-500',
        hex: '#ffc107',
        usage:
            'css class name: .va-amber-500 | css property value: var(--va-amber-500)'
    },
    {
        name: '',
        variable: '--va-amber-600',
        hex: '#ffb300',
        usage:
            'css class name: .va-amber-600 | css property value: var(--va-amber-600)'
    },
    {
        name: '',
        variable: '--va-amber-700',
        hex: '#ffa000',
        usage:
            'css class name: .va-amber-700 | css property value: var(--va-amber-700)'
    },
    {
        name: '',
        variable: '--va-amber-800',
        hex: '#ff8f00',
        usage:
            'css class name: .va-amber-800 | css property value: var(--va-amber-800)'
    },
    {
        name: '',
        variable: '--va-amber-900',
        hex: '#ff6f00',
        usage:
            'css class name: .va-amber-900 | css property value: var(--va-amber-900)'
    },
    {
        name: '',
        variable: '--va-amber-A100',
        hex: '#ffe57f',
        usage:
            'css class name: .va-amber-A100 | css property value: var(--va-amber-A100)'
    },
    {
        name: '',
        variable: '--va-amber-A200',
        hex: '#ffd740',
        usage:
            'css class name: .va-amber-A200 | css property value: var(--va-amber-A200)'
    },
    {
        name: '',
        variable: '--va-amber-A400',
        hex: '#ffc400',
        usage:
            'css class name: .va-amber-A400 | css property value: var(--va-amber-A400)'
    },
    {
        name: '',
        variable: '--va-amber-A700',
        hex: '#ffab00',
        usage:
            'css class name: .va-amber-A700 | css property value: var(--va-amber-A700)'
    },
    // orange :
    {
        name: '',
        variable: '--va-orange-50',
        hex: '#fff3e0',
        usage:
            'css class name: .va-orange-50 | css property value: var(--va-orange-50)'
    },
    {
        name: '',
        variable: '--va-orange-100',
        hex: '#ffe0b2',
        usage:
            'css class name: .va-orange-100 | css property value: var(--va-orange-100)'
    },
    {
        name: '',
        variable: '--va-orange-200',
        hex: '#ffcc80',
        usage:
            'css class name: .va-orange-200 | css property value: var(--va-orange-200)'
    },
    {
        name: '',
        variable: '--va-orange-300',
        hex: '#ffb74d',
        usage:
            'css class name: .va-orange-300 | css property value: var(--va-orange-300)'
    },
    {
        name: '',
        variable: '--va-orange-400',
        hex: '#ffa726',
        usage:
            'css class name: .va-orange-400 | css property value: var(--va-orange-400)'
    },
    {
        name: '',
        variable: '--va-orange-500',
        hex: '#ff9800',
        usage:
            'css class name: .va-orange-500 | css property value: var(--va-orange-500)'
    },
    {
        name: '',
        variable: '--va-orange-600',
        hex: '#fb8c00',
        usage:
            'css class name: .va-orange-600 | css property value: var(--va-orange-600)'
    },
    {
        name: '',
        variable: '--va-orange-700',
        hex: '#f57c00',
        usage:
            'css class name: .va-orange-700 | css property value: var(--va-orange-700)'
    },
    {
        name: '',
        variable: '--va-orange-800',
        hex: '#ef6c00',
        usage:
            'css class name: .va-orange-800 | css property value: var(--va-orange-800)'
    },
    {
        name: '',
        variable: '--va-orange-900',
        hex: '#e65100',
        usage:
            'css class name: .va-orange-900 | css property value: var(--va-orange-900)'
    },
    {
        name: '',
        variable: '--va-orange-A100',
        hex: '#ffd180',
        usage:
            'css class name: .va-orange-A100 | css property value: var(--va-orange-A100)'
    },
    {
        name: '',
        variable: '--va-orange-A200',
        hex: '#ffab40',
        usage:
            'css class name: .va-orange-A200 | css property value: var(--va-orange-A200)'
    },
    {
        name: '',
        variable: '--va-orange-A400',
        hex: '#ff9100',
        usage:
            'css class name: .va-orange-A400 | css property value: var(--va-orange-A400)'
    },
    {
        name: '',
        variable: '--va-orange-A700',
        hex: '#ff6d00',
        usage:
            'css class name: .va-orange-A700 | css property value: var(--va-orange-A700)'
    },

    // deep-orange :
    {
        name: '',
        variable: '--va-deep-orange-50',
        hex: '#fbe9e7',
        usage:
            'css class name: .va-deep-orange-50 | css property value: var(--va-deep-orange-50)'
    },
    {
        name: '',
        variable: '--va-deep-orange-100',
        hex: '#ffccbc',
        usage:
            'css class name: .va-deep-orange-100 | css property value: var(--va-deep-orange-100)'
    },
    {
        name: '',
        variable: '--va-deep-orange-200',
        hex: '#ffab91',
        usage:
            'css class name: .va-deep-orange-200 | css property value: var(--va-deep-orange-200)'
    },
    {
        name: '',
        variable: '--va-deep-orange-300',
        hex: '#ff8a65',
        usage:
            'css class name: .va-deep-orange-300 | css property value: var(--va-deep-orange-300)'
    },
    {
        name: '',
        variable: '--va-deep-orange-400',
        hex: '#ff7043',
        usage:
            'css class name: .va-deep-orange-400 | css property value: var(--va-deep-orange-400)'
    },
    {
        name: '',
        variable: '--va-deep-orange-500',
        hex: '#ff5722',
        usage:
            'css class name: .va-deep-orange-500 | css property value: var(--va-deep-orange-500)'
    },
    {
        name: '',
        variable: '--va-deep-orange-600',
        hex: '#f4511e',
        usage:
            'css class name: .va-deep-orange-600 | css property value: var(--va-deep-orange-600)'
    },
    {
        name: '',
        variable: '--va-deep-orange-700',
        hex: '#e64a19',
        usage:
            'css class name: .va-deep-orange-700 | css property value: var(--va-deep-orange-700)'
    },
    {
        name: '',
        variable: '--va-deep-orange-800',
        hex: '#d84315',
        usage:
            'css class name: .va-deep-orange-800 | css property value: var(--va-deep-orange-800)'
    },
    {
        name: '',
        variable: '--va-deep-orange-900',
        hex: '#bf360c',
        usage:
            'css class name: .va-deep-orange-900 | css property value: var(--va-deep-orange-900)'
    },
    {
        name: '',
        variable: '--va-deep-orange-A100',
        hex: '#ff9e80',
        usage:
            'css class name: .va-deep-orange-A100 | css property value: var(--va-deep-orange-A100)'
    },
    {
        name: '',
        variable: '--va-deep-orange-A200',
        hex: '#ff6e40',
        usage:
            'css class name: .va-deep-orange-A200 | css property value: var(--va-deep-orange-A200)'
    },
    {
        name: '',
        variable: '--va-deep-orange-A400',
        hex: '#ff3d00',
        usage:
            'css class name: .va-deep-orange-A400 | css property value: var(--va-deep-orange-A400)'
    },
    {
        name: '',
        variable: '--va-deep-orange-A700',
        hex: '#dd2c00',
        usage:
            'css class name: .va-deep-orange-A700 | css property value: var(--va-deep-orange-A700)'
    },
    //grey :

    {
        name: '',
        variable: '--va-grey-0',
        hex: '#ffffff',
        usage:
            'css class name: .va-grey-0 | css property value: var(--va-grey-0)'
    },

    {
        name: '',
        variable: '--va-grey-10',
        hex: '#f3f3f3',
        usage:
            'css class name: .va-grey-10 | css property value: var(--va-grey-10)'
    },
    {
        name: '',
        variable: '--va-grey-20',
        hex: '#e7e7e7',
        usage:
            'css class name: .va-grey-20 | css property value: var(--va-grey-20)'
    },
    {
        name: '',
        variable: '--va-grey-30',
        hex: '#cfcfcf',
        usage:
            'css class name: .va-grey-30 | css property value: var(--va-grey-30)'
    },
    {
        name: '',
        variable: '--va-grey-40',
        hex: '#b4b4b4',
        usage:
            'css class name: .va-grey-40 | css property value: var(--va-grey-40)'
    },
    {
        name: '',
        variable: '--va-grey-50',
        hex: '#a0a0a0',
        usage:
            'css class name: .va-grey-50 | css property value: var(--va-grey-50)'
    },
    {
        name: '',
        variable: '--va-grey-60',
        hex: '#666666',
        usage:
            'css class name: .va-grey-60 | css property value: var(--va-grey-60)'
    },
    {
        name: '',
        variable: '--va-grey-70',
        hex: '#414141',
        usage:
            'css class name: .va-grey-70 | css property value: var(--va-grey-70)'
    },
    {
        name: '',
        variable: '--va-grey-80',
        hex: '#333333',
        usage:
            'css class name: .va-grey-80 | css property value: var(--va-grey-80)'
    },
    {
        name: '',
        variable: '--va-grey-90',
        hex: '#1a1a1a',
        usage:
            'css class name: .va-grey-90 | css property value: var(--va-grey-90)'
    },
    {
        name: '',
        variable: '--va-grey-100',
        hex: '#fdfdfd',
        usage:
            'css class name: .va-grey-100 | css property value: var(--va-grey-100)'
    },
    {
        name: '',
        variable: '--va-grey-200',
        hex: '#f5f5f5',
        usage:
            'css class name: .va-grey-200 | css property value: var(--va-grey-200)'
    },
    {
        name: '',
        variable: '--va-grey-300',
        hex: '#e6e6e6',
        usage:
            'css class name: .va-grey-300 | css property value: var(--va-grey-300)'
    },
    {
        name: '',
        variable: '--va-grey-400',
        hex: '#cccccc',
        usage:
            'css class name: .va-grey-400 | css property value: var(--va-grey-400)'
    },
    {
        name: '',
        variable: '--va-grey-450',
        hex: '#c5c5c5',
        usage:
            'css class name: .va-grey-450 | css property value: var(--va-grey-450)'
    },
    {
        name: '',
        variable: '--va-grey-500',
        hex: '#a6a6a6',
        usage:
            'css class name: .va-grey-500 | css property value: var(--va-grey-500)'
    },
    {
        name: '',
        variable: '--va-grey-550',
        hex: '#a2a2a2',
        usage:
            'css class name: .va-grey-550 | css property value: var(--va-grey-550)'
    },
    {
        name: '',
        variable: '--va-grey-600',
        hex: '#777777',
        usage:
            'css class name: .va-grey-600 | css property value: var(--va-grey-600)'
    },
    {
        name: '',
        variable: '--va-grey-700',
        hex: '#616161',
        usage:
            'css class name: .va-grey-700 | css property value: var(--va-grey-700)'
    },
    {
        name: '',
        variable: '--va-grey-750',
        hex: '#555555',
        usage:
            'css class name: .va-grey-750 | css property value: var(--va-grey-750)'
    },
    {
        name: '',
        variable: '--va-grey-800',
        hex: '#444444',
        usage:
            'css class name: .va-grey-800 | css property value: var(--va-grey-800)'
    },
    {
        name: '',
        variable: '--va-grey-900',
        hex: '#111111',
        usage:
            'css class name: .va-grey-900 | css property value: var(--va-grey-900)'
    },
    {
        name: '',
        variable: '--va-black-0',
        hex: '#000000',
        usage:
            'css class name: .--va-black-0 | css property value: var(--va-black-0)'
    }
];
