import React from 'react';
import ReactMarkdown from 'react-markdown';
import { IMarkdownFile } from '../../../../types';
import { getMarkdownFileByName } from '../../utils/findFile';

export const grid: React.SFC = (): React.ReactElement => {
    const mixerDoc: IMarkdownFile = getMarkdownFileByName(
        'mixer/grid',
        'grid.md'
    );

    return (
        <div>
            <ReactMarkdown source={mixerDoc.contents} />
            <h3>Examples</h3>
            <label className="u-body-2">
                Full Width Column: <code>.va-grid .va-columns-default</code>
            </label>
            <div className="va-grid va-columns-default mb-4">
                <div className="col-span-12 bg-va-grey-200 p-2">
                    .col-span-12
                </div>
            </div>
            <label className="u-body-2">
                2 Columns with gutters:{' '}
                <code>.va-grid .va-columns-default</code>
            </label>
            <div className="va-grid va-columns-default mb-4">
                <div className="col-span-6 bg-va-grey-400 p-2">.col-span-6</div>
                <div className="col-span-6 bg-va-grey-400 p-2">.col-span-6</div>
            </div>
            <label className="u-body-2">
                3 Columns with no-gutters:{' '}
                <code>.va-grid .va-columns-default .no-gutters</code>
            </label>
            <div className="va-grid va-columns-default no-gutters mb-4">
                <div className="col-span-4 bg-va-grey-600 text-white p-2">
                    .col-span-4
                </div>
                <div className="col-span-4 bg-va-grey-700 text-white p-2">
                    .col-span-4
                </div>
                <div className="col-span-4 bg-va-grey-600 text-white p-2">
                    .col-span-4
                </div>
            </div>
            <label className="u-body-2">
                3 Columns that fills the space evenly:{' '}
                <code>.va-grid .va-columns-fluid</code>
            </label>
            <div className="va-grid va-columns-fluid  mb-4">
                <div className="bg-va-grey-200 p-2">no className needed</div>
                <div className="bg-va-grey-200 p-2">no className needed</div>
                <div className="bg-va-grey-200 p-2">no className needed</div>
            </div>
            <label className="u-body-2">
                Responsive - 3 columns for large browsers and 1 column for
                smaller browsers: <code>.va-grid .va-columns-default</code>
            </label>
            <div className="va-grid va-columns-default  mb-4">
                <div className="col-span-12 col-span-lg-4 bg-va-grey-600 text-white p-2">
                    .col-span-12 .col-span-lg-4
                </div>
                <div className="col-span-12 col-span-lg-4 bg-va-grey-700 text-white p-2">
                    .col-span-12 .col-span-lg-4
                </div>
                <div className="col-span-12 col-span-lg-4 bg-va-grey-600 text-white p-2">
                    .col-span-12 .col-span-lg-4
                </div>
            </div>
        </div>
    );
};
