import React from 'react';
import ReactMarkdown from 'react-markdown';
import { IMarkdownFile } from '../../../../types';
import { getMarkdownFileByName } from '../../utils/findFile';

export const typography: React.SFC = (): React.ReactElement => {
    const mixerDoc: IMarkdownFile = getMarkdownFileByName(
        'mixer/typography',
        'typography.md'
    );

    return (
        <div>
            <ReactMarkdown source={mixerDoc.contents} />
            <h4>Examples:</h4>
            <div className="u-title-1 mb-4">Example of .u-title-1</div>
            <div className="u-title-2 mb-4">Example of .u-title-2</div>
            <div className="u-title-3 mb-4">Example of .u-title-3</div>
            <div className="u-title-4 mb-4">Example of .u-title-4</div>
            <div className="u-title-5 mb-8">Example of .u-title-5</div>

            <div className="u-body-1 mb-4">Example of .u-body-1</div>
            <div className="u-body-2 mb-4">Example of .u-body-2</div>
            <div className="u-body-3 mb-4">Example of .u-body-3</div>
            <div className="u-body-4 mb-8">Example of .u-body-4</div>

            <h4>Font Weights:</h4>
            <div className="u-font-thin mb-4">Example of .u-font-thin</div>
            <div className="u-font-light mb-4">Example of .u-font-light</div>
            <div className="u-font-medium mb-4">Example of .u-font-medium</div>
            <div className="u-font-bold mb-8">Example of .u-font-bold</div>

            <hr className="my-4" />
            <h5>Deprecated Examples:</h5>

            <div className="va-title mb-4">Example of .va-title</div>
            <div className="va-label mb-4">Example of .va-label</div>
            <div className="va-display-1 mb-4">Example of .va-display-1</div>
            <div className="va-display-2 mb-4">Example of .va-display-2</div>
            <div className="va-display-3 mb-4">Example of .va-display-3</div>
            <div className="va-caption mb-4">Example of .va-caption</div>
            <div className="va-headline mb-4">Example of .va-headline</div>
            <div className="va-body-1 mb-4">Example of .va-body-1</div>
            <div className="va-body-2 mb-4">Example of .va-body-2</div>

            <h4>Font Weights:</h4>
            <div className="va-font-thin mb-4">Example of .va-font-thin</div>
            <div className="va-font-light mb-4">Example of .va-font-light</div>
            <div className="va-font-bold mb-4">Example of .va-font-bold</div>
        </div>
    );
};
