### Utilities

#### Screen Readers

Utility classes to assist in visual display and layout.

| className               | purpose                                                                 |
| ----------------------- | :---------------------------------------------------------------------- |
| `.va-sr-only`           | Only display content to screen readers                                  |
| `.va-sr-only-focusable` | Use with .va-sr-only to display screen reader content when it's focused |

Text inside the anchor will only be available to screenreaders and hidden from view.

```tsx
<a href="#">
    <span className="va-sr-only">Offscreen text</span>
</a>
```

Skip content link that is hidden from view but shown when it's focused.

```tsx
<a href="#main-content">
    <span className="va-sr-only va-sr-only-focusable">
        Skip to main content
    </span>
</a>
```

#### Elevation

To manage our stack order, we've created elevation CSS custom properties to use as values for `z-index`.

| variable                 | z-index value |
| ------------------------ | :------------ |
| `--u-elevation-default`  | auto          |
| `--u-elevation-negative` | -1            |
| `--u-elevation-minor`    | 1             |
| `--u-elevation-dropdown` | 1000          |
| `--u-elevation-sticky`   | 1010          |
| `--u-elevation-fixed`    | 1020          |
| `--u-elevation-tooltip`  | 1030          |
| `--u-elevation-modal-bg` | 1040          |
| `--u-elevation-modal`    | 1050          |
