import React, { ReactElement } from 'react';

import {
    CardTable,
    CardTableContext,
    ColumnToggles
} from '@videoamp-private/preamp-plus';

const COLUMN_DATA = [
    { columnKey: 'firstName', columnName: 'First Name' },
    { columnKey: 'lastName', columnName: 'Last Name' },
    { columnKey: 'age', columnName: 'Age' },
    { columnKey: 'visits', columnName: 'Visits' },
    { columnKey: 'status', columnName: 'Status' }
];

const PEOPLE = [
    {
        firstName: 'Sam',
        lastName: 'Smith',
        age: 41,
        visits: 8,
        status: 'complicated'
    },
    {
        firstName: 'Alex',
        lastName: 'Turner',
        age: 35,
        visits: 18,
        status: 'complicated'
    },
    {
        firstName: 'Bruce',
        lastName: 'Wayne',
        age: 40,
        visits: 945,
        status: 'single'
    },
    {
        firstName: 'Selena',
        lastName: 'Gomez',
        age: 28,
        visits: 50,
        status: 'relationship'
    }
];

const BasicCardTableExample = (): ReactElement => {
    return (
        <>
            <div className="mb-4">Basic Example</div>
            <CardTableContext columns={COLUMN_DATA} rows={PEOPLE}>
                <div className="flex row">
                    <ColumnToggles />
                    <CardTable tableWidth={700} />
                </div>
            </CardTableContext>
        </>
    );
};

export default BasicCardTableExample;
