import React, { ReactElement } from 'react';

import {
    CardTable,
    CardTableContext,
    ColumnToggles
} from '@videoamp-private/preamp-plus';
import { createRandomData } from './utils/createRandomData';
import './styles/styles.scss';

const { columns, rows } = createRandomData(100, 'column-1', 1000);

const VirtualRowsExample = (): ReactElement => {
    return (
        <>
            <p className="my-4">Table uses Row Virtualization by default.</p>
            <p className="mt-1 mb-6 text-right u-body-2">{rows.length} Rows</p>
            <CardTableContext columns={columns} rows={rows}>
                <div className="flex row">
                    <ColumnToggles />
                    <CardTable tableHeight={500} tableWidth={700} />
                </div>
            </CardTableContext>
        </>
    );
};

export default VirtualRowsExample;
