import React, { ReactElement } from 'react';

import {
    CardTable,
    CardTableContext,
    ColumnToggles
} from '@videoamp-private/preamp-plus';
import { createRandomData } from './utils/createRandomData';
import './styles/styles.scss';

const { columns, rows } = createRandomData(5, 'column-2', 5);

const DisabledHeadersExample = (): ReactElement => {
    return (
        <>
            <h2>Disabling Headers</h2>
            <p className="mt-1 mb-6 text-right u-body-2">
                Disabled headers ids: 1 ,3, 4
            </p>
            <CardTableContext columns={columns} rows={rows}>
                <div className="flex row">
                    <ColumnToggles />
                    <CardTable disabledHeaders={[1, 3, 4]} tableWidth={700} />
                </div>
            </CardTableContext>
        </>
    );
};

export default DisabledHeadersExample;
