import React, { ReactElement } from 'react';

import {
    CardTable,
    CardTableContext,
    ColumnToggles
} from '@videoamp-private/preamp-plus';

type Company = {
    name: string;
    employees: number;
    country: string;
};

const GROUP_COLUMNS = [
    {
        accessorKey: 'name',
        header: 'Name',
        columns: [{ columnKey: 'name', columnName: 'Name' }]
    },
    {
        accessorKey: 'info',
        header: 'Info',
        columns: [
            { columnKey: 'employees', columnName: 'Employees' },
            { columnKey: 'country', columnName: 'Country' }
        ]
    }
];

const COMPANIES: Company[] = [
    {
        name: 'ACME',
        employees: 8,
        country: 'US'
    },
    {
        name: 'T.S',
        employees: 18,
        country: 'Spain'
    },
    {
        name: 'S.A',
        employees: 50,
        country: 'Germany'
    }
];

const BasicCardTableExample = (): ReactElement => {
    return (
        <>
            <div className="mb-4">Basic Example</div>
            <CardTableContext columns={GROUP_COLUMNS} rows={COMPANIES}>
                <div className="flex row">
                    <ColumnToggles />
                    <CardTable tableWidth={500} />
                </div>
            </CardTableContext>
        </>
    );
};

export default BasicCardTableExample;
