import { times } from 'lodash';

type ColumnData = {
    columnKey: string;
    columnName: string;
};

export const createRandomData = (
    columnCount: number,
    columnId: string,
    rowCount: number
): any => {
    const columnData = [
        ...times(columnCount).map(
            (_, x): ColumnData => ({
                columnKey: columnId + x,
                columnName: `Column ${x + 1}`
            })
        )
    ];

    const rowData = times(rowCount).map(() => {
        const rowObject = times(columnCount)
            .map(key => `${columnId}${key}`)
            .reduce(
                (acc: any, curr) => (
                    (acc[curr] = Math.floor(Math.random() * 100)), acc
                ),
                {}
            );

        return rowObject;
    });

    return { columns: columnData, rows: rowData };
};
