import React, { ReactElement } from 'react';

import { DataTable } from '@videoamp-private/preamp-plus';

import { useMockData } from './utils/useMockData';

/**
 *  Initial sorting state
 */
const InitialSortingStateExample = (): ReactElement<HTMLElement> => {
    const { columns, rows, summary } = useMockData({
        columnCount: 50,
        minColumnWidth: 150,
        rowCount: 10000
    });

    return (
        <>
            <DataTable
                columns={columns}
                rows={rows}
                sortingOptions={{
                    enableSorting: true,
                    initialSortingState: [
                        { id: 'column-1', desc: false },
                        { id: 'column-3', desc: true }
                    ],
                    maxMultiSortColCount: 3
                }}
                tableHeight={300}
            />
            <p className="mt-1 text-right u-body-2">{summary}</p>
        </>
    );
};

export default InitialSortingStateExample;
