import React, { ReactElement } from 'react';

import { DataTable, DataTableBorder } from '@videoamp-private/preamp-plus';

import { useMockData } from './utils/useMockData';

const PAGINATION_OPTIONS = {
    resultsPerPage: [10, 50, 100, 500, 1000]
};

const PaginationExample = (): ReactElement => {
    const { columns, rows } = useMockData({
        columnCount: 100,
        minColumnWidth: 150,
        rowCount: 1000
    });

    return (
        <>
            <p className="my-4">Row Pagination</p>
            <DataTable
                border={DataTableBorder.Vertical}
                columns={columns}
                pagination={PAGINATION_OPTIONS}
                rows={rows}
                tableHeight={300}
            />
        </>
    );
};

export default PaginationExample;
