import React, { ReactElement } from 'react';

import { DataTable } from '@videoamp-private/preamp-plus';

import { useMockData } from './utils/useMockData';

const OverflowShadowsExample = (): ReactElement => {
    const { columns, isLoading, rows, summary } = useMockData({
        columnCount: 100,
        minColumnWidth: 150,
        rowCount: 10000
    });

    return (
        <>
            <p className="mb-4">Overflow shadows table</p>
            <div className="flex justify-between items-center mb-3">
                <p>This table shows overflow shadows</p>
            </div>

            <DataTable
                columns={columns}
                enableShadows={true}
                isLoading={isLoading}
                rows={rows}
                tableHeight={300}
            />
            {!isLoading && (
                <p className="mt-1 text-right u-body-2">{summary}</p>
            )}
        </>
    );
};

export default OverflowShadowsExample;
