### Overview

External component from `@videoamp-private/preamp-plus`.
&nbsp;

### Column Defs

**Column Defs** are the single most important part of building a table. They are responsible for:

-   _1._ Building the underlying data model that will be used for everything including sorting, filtering, grouping, etc.
-   _2._ Formatting the data model into what will be displayed in the table.
-   _3._ Creating header groups, headers and footers.
-   _4._ Creating columns for display-only purposes, eg. action buttons, checkboxes, expanders, sparklines, etc.
-   &nbsp;

#### Please see [ColumnDef](https://tanstack.com/table/v8/docs/guide/column-defs) from TanStack.

&nbsp;

### Sorting Options

**Sorting options** are a set of properties to allow data sorting. Example:

```jsx
<DataTable
    sortingOptions={{
        enableSorting: true, // optionally enables/disables sorting
        initialSortingState: [
            // optional initial state
            { id: 'column-id', desc: false },
            { id: 'column-id-2', desc: true }
            // ... other columns
        ],
        maxMultiSortColCount: 4, // optional, when present and greater the 1,
        // it'll mean a multiple column sorting
        onManualSorting: (state: SortingState): void => {
            // optional
            // some logic to sort data manually (API call or similar)
        },
        sortDescFirst: false // optional, it toggles to start in the desc direction
    }}
    // ... other props
/>
```
