### Overview

External component from `@videoamp-private/preamp-plus`

### DragNDrop

**DragNDrop** consists of three main components:

-   1. **DragNDropContext:** Wraps the part of your application you want to have drag and drop enabled for.
-   2. **Droppable:** Area that can be dropped into.
-   3. **Draggable:** Elements to be dragged.

&nbsp;

```jsx
<DragNDropContext
    afterDrop={callback} // Optional: Callback used after updating the state of droppable zones
    droppables={droppables} // Array of droppable zones
    onDrop={callback} // Callback used to update the state of droppable zones
>
    <Droppable
        className='class-1' // Additional CSS classes to pass through
        element={<div />} // Optional: Type for the droppable element. Defaulted to div
        id={0} //Identifier
    >
        <Draggable
            className='class-1' // Additional CSS classes to pass through
            droppableId={0} // Optional: Droppable identifier
            element={<div />} // Optional: Type for the droppable element. Defaulted to div
            id={0} //Identifier
        >
            {element to make draggable}
        </Draggable>
    </Droppable>
</DragNDropContext>
```
