import React from 'react';
import { TreeAmp } from '@videoamp-private/preamp-plus';

import { basicColumns } from '../columns';

export const rowChildrenData = [
    {
        children: [
            {
                data: {
                    name: 'Child a-0',
                    value: 'value a-0',
                    value2: 'value2 a-0'
                },
                key: 'a-0'
            }
        ],
        data: {
            description: 'Description of parent a',
            name: 'Parent a',
            value: 'value a',
            value2: 'value2 a'
        },
        key: 'a'
    },
    {
        data: {
            description: 'Description of parent b',
            name: 'Parent b',
            value: 'value b',
            value2: 'value2 b'
        },
        key: 'b',
        leaf: false
    },
    {
        data: {
            description: 'Description of parent c',
            name: 'Parent c',
            value: 'value c',
            value2: 'value2 c'
        },
        hasChildren: true,
        key: 'c'
    }
];

/**
 * Children - multiple ways to render togglers
 */
export const HasChildren = (): React.ReactElement => {
    return <TreeAmp columns={basicColumns} data={rowChildrenData} />;
};

export default HasChildren;
