import React, { useState } from 'react';
import { Button } from '@preamp/core';
import { TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Programmatic expand nodes
 */
export const ProgrammaticExpand = (): React.ReactElement => {
    const [expandedNodes, setExpandedNodes] = useState({});

    const toggleNodes = (): void => {
        if (Object.keys(expandedNodes).length === 0) {
            return setExpandedNodes({
                b: true,
                '1': true,
                '1-0': true
            });
        }
        setExpandedNodes({});
    };

    return (
        <>
            <Button onClick={toggleNodes}>Toggle nodes</Button>

            <TreeAmp
                columns={basicColumns}
                data={rowData}
                expandedNodes={expandedNodes}
            />
        </>
    );
};

export default ProgrammaticExpand;
