import React from 'react';
import { RowObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Toggler - lazy load enabled
 */
export const TogglerLazy = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={basicColumns}
            data={rowData}
            enableExpandLazyLoading={(node: RowObj): Promise<RowObj[]> => {
                console.log('Node =', node);
                const lazyLoadRows = [...rowData];

                lazyLoadRows.length = 5;

                return new Promise<RowObj[]>((resolve): void => {
                    setTimeout((): void => resolve(lazyLoadRows), 2000);
                });
            }}
        />
    );
};

export default TogglerLazy;
