import React from 'react';
import {
    EnableLazyLoadingObj,
    RowObj,
    TreeAmp
} from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Pagination - lazy load enabled
 */
export const PaginationLazyLoad = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={basicColumns}
            data={rowData}
            enableLazyLoading={(
                obj: EnableLazyLoadingObj
            ): Promise<RowObj[]> => {
                console.log('Page obj =', obj);
                const lazyLoadRows = [...rowData];

                lazyLoadRows.length = 5;

                return new Promise((resolve): void => {
                    setTimeout((): void => resolve(lazyLoadRows), 2000);
                });
            }}
            enablePagination
            totalRecords={30}
        />
    );
};

export default PaginationLazyLoad;
