import React from 'react';
import { RowObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Search - lazy load enabled
 */
export const SearchLazyLoad = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={basicColumns}
            data={rowData}
            enableLazyLoading={(): Promise<[]> =>
                new Promise((resolve): void => resolve([]))
            }
            enableSearch={(value: string): Promise<RowObj[]> => {
                console.log('Search value =', value);
                const lazyLoadRows = [...rowData];

                lazyLoadRows.length = 5;

                return new Promise((resolve): void => {
                    setTimeout((): void => resolve(lazyLoadRows), 2000);
                });
            }}
        />
    );
};

export default SearchLazyLoad;
