import React from 'react';
import { EnableSelectObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Select - propagation down, disabled child checkboxes
 */
export const SelectPropagationDownDisabledCheckboxes = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={basicColumns}
            data={rowData}
            disableSelectedChildren
            enableSelect={(obj: EnableSelectObj): void => {
                console.log('Selected nodes -', obj);
            }}
            propagateSelectDown
        />
    );
};

export default SelectPropagationDownDisabledCheckboxes;
