import React from 'react';
import { EnableSortObj, RowObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';
import { basicColumns } from '../columns';

/**
 * Sort - lazy load enabled
 */
export const SortLazyLoadTreeAmp = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={basicColumns}
            data={rowData}
            enableHeaders
            enableLazyLoading={(): Promise<[]> =>
                new Promise((resolve): void => resolve([]))
            }
            enableSort={(obj: EnableSortObj): Promise<RowObj[]> => {
                console.log('Sort params -', obj);
                const lazyLoadRows = [...rowData];

                lazyLoadRows.length = 5;

                return new Promise((resolve): void => {
                    setTimeout((): void => resolve(lazyLoadRows), 2000);
                });
            }}
        />
    );
};

export default SortLazyLoadTreeAmp;
