import React from 'react';
import { Audiences, Build, Buy } from '@preamp/signal';
import { RowObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';

const customActionColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        actions: [
            {
                command: (row: RowObj): void => {
                    console.log('custom action 1', row);
                },
                icon: Audiences
            },
            {
                command: (row: RowObj): void => {
                    console.log('custom action 2', row);
                },
                icon: Buy
            }
        ]
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        actions: [
            {
                command: (row: RowObj): React.FC => {
                    console.log('custom action 3', row);
                    const icons = [Audiences, Build, Buy];

                    return icons[Math.floor(Math.random() * icons.length)];
                },
                icon: Build
            }
        ]
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    }
];

/**
 * Custom Action
 */
export const CustomActionTreeAmp = (): React.ReactElement => {
    return <TreeAmp columns={customActionColumns} data={rowData} />;
};

export default CustomActionTreeAmp;
