import React from 'react';
import { Audiences, Buy } from '@preamp/signal';
import { TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';

const actionLinkColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        actions: [
            {
                icon: Audiences,
                shouldOpenInNewTab: false,
                url: (): string => 'http://www.videoamp.com'
            },
            {
                icon: Buy,
                shouldOpenInNewTab: true,
                url: (): string => 'http://www.google.com'
            }
        ]
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    }
];

/**
 * Custom Action - links
 */
export const CustomActionLinkTreeAmp = (): React.ReactElement => {
    return <TreeAmp columns={actionLinkColumns} data={rowData} />;
};

export default CustomActionLinkTreeAmp;
