import React from 'react';
import { Audiences, Build } from '@preamp/signal';
import { EnableSelectObj, TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';

const builtInSelectColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        actions: [
            {
                builtInAction: 'select',
                icon: Audiences,
                iconAlternate: Build
            }
        ]
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    }
];

/**
 * Custom Action - Built-in select
 */
export const CustomActionBuiltInSelectTreeAmp = (): React.ReactElement => {
    return (
        <TreeAmp
            columns={builtInSelectColumns}
            data={rowData}
            enableSelect={(obj: EnableSelectObj): void => {
                console.log('Selected nodes -', obj);
            }}
        />
    );
};

export default CustomActionBuiltInSelectTreeAmp;
