import React from 'react';
import { Audiences, Build, Buy } from '@preamp/signal';
import { TreeAmp } from '@videoamp-private/preamp-plus';

import { rowData } from '../data';

export const hoverColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        actions: [
            {
                command: (): void => undefined,
                icon: Audiences
            },
            {
                command: (): void => undefined,
                icon: Buy
            }
        ],
        hoverReveal: true
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        actions: [
            {
                command: (): void => undefined,
                icon: Audiences
            },
            {
                command: (): void => undefined,
                icon: Buy
            }
        ]
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    },
    {
        actions: [
            {
                command: (): void => undefined,
                icon: Build
            }
        ],
        hoverReveal: true
    }
];

/**
 * Custom Action - Built-in hover
 */
export const CustomActionBuildInHoverTreeAmp = (): React.ReactElement => {
    return <TreeAmp columns={hoverColumns} data={rowData} />;
};

export default CustomActionBuildInHoverTreeAmp;
