import { Audiences, Build, Buy } from '@preamp/signal';
import {
    keyNode,
    linkNode,
    nameDescriptionNode
} from '@videoamp-private/preamp-plus';

export const basicColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    }
];

export const builtInMenuColumns = [
    {
        field: 'name',
        headerText: 'Entity name'
    },
    {
        actions: [
            {
                builtInAction: 'menu',
                icon: Audiences,
                menuItems: [
                    {
                        command: (e: unknown): void => {
                            console.log('e', e);
                        },
                        data: 'select',
                        icon: Audiences,
                        label: 'Item 1'
                    },
                    {
                        command: (e: unknown): void => {
                            console.log('e', e);
                        },
                        data: 'select',
                        icon: Build,
                        label: 'Item 2'
                    },
                    {
                        command: (e: unknown): React.FC => {
                            console.log('e', e);
                            const icons = [Audiences, Build, Buy];
                            return icons[
                                Math.floor(Math.random() * icons.length)
                            ];
                        },
                        data: 'select',
                        icon: Buy,
                        label: 'Item 3'
                    }
                ]
            }
        ]
    },
    {
        field: 'value',
        headerText: 'Data point'
    },
    {
        field: 'value2',
        headerText: 'Data point 2'
    }
];

export const customNodeColumns = [
    {
        component: nameDescriptionNode({
            description: 'description',
            name: 'name'
        }),
        field: 'name',
        headerText: 'Entity name'
    },
    {
        component: linkNode({
            link: 'link1',
            text: 'value'
        }),
        field: 'value',
        headerText: 'Data point'
    },
    {
        component: linkNode({
            link: 'link2',
            text: 'value2'
        }),
        field: 'value2',
        headerText: 'Data point 2'
    },
    {
        component: keyNode(),
        field: 'key',
        headerText: 'ID'
    }
];
