import React, { ReactElement, useState } from 'react';

import { Slider } from '../../../rev/components/components/Slider';
import * as Icons from '../../../rev/components/icons';
import { ThemeProvider } from '../../../rev/theme';

export function Rev(): ReactElement {
    const [fontSize, setFontSize] = useState<number>(24);

    return (
        <ThemeProvider>
            <header className="w-64">
                <h1>All Icons</h1>
                <Slider
                    className="mt-6"
                    marks
                    max={64}
                    min={8}
                    onChange={(_, value: number): void => {
                        setFontSize(value);
                    }}
                    step={4}
                    value={fontSize}
                />
            </header>
            <div
                className="flex flex-wrap mt-6"
                style={{
                    gap: '1rem'
                }}
            >
                {Object.entries(Icons).map(
                    ([key, Icon]): ReactElement => (
                        <span key={key} title={key}>
                            <Icon sx={{ fontSize }} />
                        </span>
                    )
                )}
            </div>
        </ThemeProvider>
    );
}
