import React, { ReactElement } from 'react';

import { Box, Alert, AlertTitle, ThemeProvider, Typography } from '@preamp/rev';

const AlertExample = (): ReactElement => {
    return (
        <ThemeProvider>
            <Box sx={{ mb: 2 }}>
                <Typography component="h2" gutterBottom variant="h5">
                    Info (default) Alert
                </Typography>
                <Alert severity="info">
                    <AlertTitle>This is a standard default Alert</AlertTitle>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Maecenas eros nisi, facilisis rhoncus accumsan ut, mattis a
                    nisi. Integer quis suscipit mauris.
                </Alert>
            </Box>
            <Box sx={{ mb: 2 }}>
                <Typography component="h2" gutterBottom variant="h5">
                    Error Alert!
                </Typography>
                <Alert severity="error">
                    <AlertTitle>This is an error alert</AlertTitle>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Maecenas eros nisi, facilisis rhoncus accumsan ut, mattis a
                    nisi. Integer quis suscipit mauris.
                </Alert>
            </Box>
            <Box sx={{ mb: 2 }}>
                <Typography component="h2" gutterBottom variant="h5">
                    Warning Alert!
                </Typography>
                <Alert severity="warning">
                    <AlertTitle>This is a warning alert</AlertTitle>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Maecenas eros nisi, facilisis rhoncus accumsan ut, mattis a
                    nisi. Integer quis suscipit mauris.
                </Alert>
            </Box>
            <Box sx={{ mb: 2 }}>
                <Typography component="h2" gutterBottom variant="h5">
                    Success Alert!
                </Typography>
                <Alert severity="success">
                    <AlertTitle>This is an success alert</AlertTitle>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Maecenas eros nisi, facilisis rhoncus accumsan ut, mattis a
                    nisi. Integer quis suscipit mauris.
                </Alert>
            </Box>
        </ThemeProvider>
    );
};

export default AlertExample;
