import React, { ReactElement } from 'react';

import {
    AppBar,
    Avatar,
    IconButton,
    ThemeProvider,
    Toolbar,
    Typography,
    VideoAmp
} from '@preamp/rev';

const AppBarExample = (): ReactElement => (
    <ThemeProvider>
        <AppBar data-ui="app-bar" position="static">
            <Toolbar sx={{ gap: 2 }}>
                <IconButton aria-label="Home" color="inherit">
                    <VideoAmp />
                </IconButton>
                <Typography
                    color="inherit"
                    component="h1"
                    sx={{ flexGrow: 1 }}
                    variant="h3"
                >
                    Lorem Ipsum
                </Typography>
                <Typography variant="body2">Dolor Sit Amet!</Typography>
                <Avatar />
            </Toolbar>
        </AppBar>
    </ThemeProvider>
);

export default AppBarExample;
