import React, { ReactElement } from 'react';

import {
    AddCircleOutline,
    Box,
    Button,
    ThemeProvider,
    Typography
} from '@preamp/rev';

const ButtonExample = (): ReactElement => (
    <ThemeProvider>
        <Box component="section">
            <Typography component="h2" gutterBottom variant="h5">
                Buttons
            </Typography>
            <Box
                sx={{
                    display: 'flex',
                    flexWrap: 'wrap',
                    gap: 1
                }}
            >
                <Button data-ui="primary">Primary</Button>
                <Button color="secondary" data-ui="secondary">
                    Secondary
                </Button>
                <Button color="success" data-ui="success">
                    Success
                </Button>
                <Button color="error" data-ui="destructive">
                    Destructive
                </Button>
                <Button data-ui="link" variant="text">
                    Link
                </Button>
                <Button data-ui="disabled" disabled>
                    Disabled
                </Button>
                <Button data-ui="with-icon" startIcon={<AddCircleOutline />}>
                    With Icon
                </Button>
            </Box>
        </Box>
        <Box component="section" sx={{ mt: 4 }}>
            <Typography component="h2" gutterBottom variant="h5">
                Anchors
            </Typography>
            <Box
                sx={{
                    display: 'flex',
                    flexWrap: 'wrap',
                    gap: 1
                }}
            >
                <Button
                    data-ui="primary"
                    href="https://www.videoamp.com/"
                    target="_blank"
                >
                    Primary
                </Button>
                <Button
                    color="secondary"
                    data-ui="secondary"
                    href="https://www.videoamp.com/"
                    target="_blank"
                >
                    Secondary
                </Button>
                <Button
                    color="success"
                    data-ui="success"
                    href="https://www.videoamp.com/"
                    target="_blank"
                >
                    Success
                </Button>
                <Button
                    color="error"
                    data-ui="destructive"
                    href="https://www.videoamp.com/"
                    target="_blank"
                >
                    Destructive
                </Button>
                <Button
                    data-ui="link"
                    href="https://www.videoamp.com/"
                    target="_blank"
                    variant="text"
                >
                    Link
                </Button>
                <Button
                    data-ui="disabled"
                    disabled
                    href="https://www.videoamp.com/"
                    target="_blank"
                >
                    Disabled
                </Button>
                <Button
                    data-ui="with-icon"
                    href="https://www.videoamp.com/"
                    startIcon={<AddCircleOutline />}
                    target="_blank"
                >
                    With Icon
                </Button>
            </Box>
        </Box>
        <Box component="section" sx={{ mt: 4 }}>
            <Typography component="h2" gutterBottom variant="h5">
                Large
            </Typography>
            <Box
                sx={{
                    display: 'flex',
                    flexWrap: 'wrap',
                    gap: 1
                }}
            >
                <Button data-ui="large" size="large">
                    Large
                </Button>
                <Button
                    data-ui="large-with-icon"
                    size="large"
                    startIcon={<AddCircleOutline />}
                >
                    With Icon
                </Button>
            </Box>
        </Box>
        <Box component="section" sx={{ mt: 4 }}>
            <Typography component="h2" gutterBottom variant="h5">
                Full Width
            </Typography>
            <Button color="secondary" data-ui="full-width" fullWidth>
                Full Width
            </Button>
        </Box>
    </ThemeProvider>
);

export default ButtonExample;
