import React, { ReactElement } from 'react';

import {
    Audiences,
    Card,
    CardActionArea,
    CardContent,
    CardHeader,
    ThemeProvider,
    Typography
} from '@preamp/rev';

const CardExample = (): ReactElement => (
    <ThemeProvider>
        <Typography
            gutterBottom
            sx={{
                fontSize: '1rem',
                lineHeight: 1.1
            }}
        >
            Basic Card
        </Typography>
        <Card data-ui="card" sx={{ width: 120 }}>
            <CardActionArea
                href="https://www.videoamp.com/"
                sx={{
                    '&:hover': {
                        backgroundColor: 'action.hover',
                        color: 'text.primary'
                    },
                    '&:focus': {
                        color: 'text.primary'
                    }
                }}
                target="_blank"
            >
                <CardHeader
                    avatar={<Audiences color="primary" fontSize="inherit" />}
                    sx={{
                        fontSize: '1rem',
                        pb: 0
                    }}
                />
                <CardContent sx={{ pt: 0.5 }}>
                    <Typography
                        sx={{
                            fontFamily: 'var(--font-semibold)',
                            fontSize: '0.8125rem',
                            lineHeight: 1.1
                        }}
                    >
                        Lorem ipsum dolor sit amet
                    </Typography>
                </CardContent>
            </CardActionArea>
        </Card>
    </ThemeProvider>
);

export default CardExample;
