import React, { ReactElement } from 'react';

import { Box, CircularProgress, ThemeProvider, Typography } from '@preamp/rev';

const CircularProgressExample = (): ReactElement => (
    <ThemeProvider>
        <Box
            sx={{
                display: 'flex',
                flexDirection: 'column',
                gap: 4
            }}
        >
            <section>
                <Typography gutterBottom variant="h4">
                    Large
                </Typography>
                <CircularProgress />
            </section>
            <section>
                <Typography gutterBottom variant="h4">
                    Medium
                </Typography>
                <CircularProgress size="medium" />
            </section>
            <section>
                <Typography gutterBottom variant="h4">
                    Small
                </Typography>
                <CircularProgress size="small" />
            </section>
            <section>
                <Typography gutterBottom variant="h4">
                    Custom Size
                </Typography>
                <CircularProgress
                    size="medium"
                    style={{
                        margin: -8,
                        transform: 'scale(0.5)'
                    }}
                />
            </section>
        </Box>
    </ThemeProvider>
);

export default CircularProgressExample;
