import React, { ReactElement, useEffect, useState } from 'react';
import { Box, CircularProgress, ThemeProvider, Typography } from '@preamp/rev';

const CircularDeterminateExample = (): ReactElement => {
    const [progress, setProgress] = useState<number>(0);

    useEffect((): (() => void) => {
        const timer = setInterval((): void => {
            setProgress((prevProgress): number =>
                prevProgress >= 100 ? 0 : prevProgress + 10
            );
        }, 800);

        return (): void => {
            clearInterval(timer);
        };
    }, []);

    return (
        <ThemeProvider>
            <Box component="section">
                <Typography gutterBottom variant="h4">
                    Circular determinate
                </Typography>
                <Box
                    sx={{
                        display: 'flex',
                        flexWrap: 'wrap',
                        gap: 4
                    }}
                >
                    <CircularProgress
                        size="medium"
                        value={25}
                        variant="determinate"
                    />
                    <CircularProgress
                        size="medium"
                        value={50}
                        variant="determinate"
                    />
                    <CircularProgress
                        size="medium"
                        value={75}
                        variant="determinate"
                    />
                    <CircularProgress
                        size="medium"
                        value={100}
                        variant="determinate"
                    />
                    <CircularProgress
                        size="medium"
                        value={progress}
                        variant="determinate"
                    />
                </Box>
            </Box>
        </ThemeProvider>
    );
};

export default CircularDeterminateExample;
