import React, { ReactElement, useState } from 'react';

import { DatePicker, ThemeProvider, Typography } from '@preamp/rev';

import { dateFormatter } from '../../../utils';

const DatePickerExample = (): ReactElement => {
    const [date, setDate] = useState<Date | null>(new Date());

    return (
        <ThemeProvider>
            <Typography component="h2" gutterBottom variant="h5">
                Basic DatePicker
            </Typography>
            <DatePicker onChange={setDate} value={date} />
            <Typography paragraph sx={{ mt: 2 }}>
                {`Selected Date: ${dateFormatter(date)}`}
            </Typography>
        </ThemeProvider>
    );
};

export default DatePickerExample;
