import React, { ReactElement, useState } from 'react';

import { DatePicker, ThemeProvider, Typography } from '@preamp/rev';

import { dateFormatter } from '../../../utils';

function shouldDisableDate(date: Date): boolean {
    return date.getDay() === 0 || date.getDay() === 6;
}

const DatePickerExample = (): ReactElement => {
    const [date, setDate] = useState<Date | null>(new Date());

    return (
        <ThemeProvider>
            <Typography component="h2" gutterBottom variant="h5">
                DatePicker with Disabled Dates (Weekends)
            </Typography>
            <DatePicker
                onChange={setDate}
                shouldDisableDate={shouldDisableDate}
                value={date}
            />
            <Typography paragraph sx={{ mt: 2 }}>
                {`Selected Date: ${dateFormatter(date)}`}
            </Typography>
        </ThemeProvider>
    );
};

export default DatePickerExample;
