import React, { ReactElement, useState } from 'react';
import { DatePickerInput, ThemeProvider, Typography } from '@preamp/rev';

const DatePickerExample = (): ReactElement => {
    const [date, setDate] = useState<Date | null>(
        new Date('2020-06-32T18:30:00.000Z')
    );

    const selectedDate: string = date
        ? date.toLocaleString('en-US', {
              day: '2-digit',
              month: '2-digit',
              year: 'numeric'
          })
        : '';

    return (
        <ThemeProvider>
            <DatePickerInput onChange={setDate} value={date} />
            <Typography
                paragraph
            >{`Selected Date: ${selectedDate}`}</Typography>
        </ThemeProvider>
    );
};
export default DatePickerExample;
