import React, { ReactElement, useState } from 'react';

import {
    DateRange,
    DateRangePicker,
    ThemeProvider,
    Typography
} from '@preamp/rev';

import { dateFormatter } from '../../../utils';

const DateRangePickerDefaultExample = (): ReactElement => {
    const [value, setValue] = useState<DateRange<Date>>([null, null]);

    const [from, to] = value;
    const fromDate = dateFormatter(from);
    const toDate = dateFormatter(to);

    return (
        <ThemeProvider>
            <Typography component="h2" gutterBottom variant="h5">
                Basic DateRangePicker
            </Typography>
            <DateRangePicker onChange={setValue} value={value} />
            <Typography paragraph sx={{ mt: 2 }}>
                {`Selected Date Range: ${fromDate} — ${toDate}`}
            </Typography>
        </ThemeProvider>
    );
};

export default DateRangePickerDefaultExample;
