import React, { ReactElement, useState } from 'react';

import {
    DateRange,
    DateRangePicker,
    ThemeProvider,
    Typography
} from '@preamp/rev';
import { addWeeks } from 'date-fns';

import { dateFormatter } from '../../../utils';

const minDate = new Date();
const maxDate = addWeeks(minDate, 3);

const DateRangePickerWithDisabledRangeExample = (): ReactElement => {
    const [value, setValue] = useState<DateRange<Date>>([null, null]);

    const [from, to] = value;
    const fromDate = dateFormatter(from);
    const toDate = dateFormatter(to);

    return (
        <ThemeProvider>
            <Typography component="h2" gutterBottom variant="h5">
                DateRangePicker with Disabled Range
            </Typography>
            <DateRangePicker
                maxDate={maxDate}
                minDate={minDate}
                onChange={setValue}
                value={value}
            />
            <Typography paragraph sx={{ mt: 2 }}>
                {`Selected Date Range: ${fromDate} — ${toDate}`}
            </Typography>
        </ThemeProvider>
    );
};

export default DateRangePickerWithDisabledRangeExample;
