import React, { ReactElement, useCallback, useState } from 'react';

import {
    Audiences,
    Box,
    Button,
    Divider,
    Drawer,
    IconButton,
    Measure,
    Plan,
    Power,
    ThemeProvider
} from '@preamp/rev';

const DrawerExample = (): ReactElement => {
    const [open, setOpen] = useState(false);
    const onClose = useCallback((): void => {
        setOpen(false);
    }, []);
    const onOpen = useCallback((): void => {
        setOpen(true);
    }, []);

    return (
        <ThemeProvider>
            <Button onClick={onOpen}>Open Drawer</Button>
            <Drawer data-ui="drawer" onClose={onClose} open={open}>
                <Box
                    sx={{
                        display: 'flex',
                        flexDirection: 'column',
                        flexGrow: 1,
                        gap: 1,
                        p: 2
                    }}
                >
                    <IconButton onClick={onClose}>
                        <Measure />
                    </IconButton>
                    <IconButton onClick={onClose}>
                        <Audiences />
                    </IconButton>
                    <IconButton onClick={onClose}>
                        <Plan />
                    </IconButton>
                </Box>
                <Divider />
                <Box
                    sx={{
                        display: 'flex',
                        flexDirection: 'column',
                        gap: 1,
                        p: 2
                    }}
                >
                    <IconButton onClick={onClose}>
                        <Power />
                    </IconButton>
                </Box>
            </Drawer>
        </ThemeProvider>
    );
};

export default DrawerExample;
