import React, { ReactElement, useCallback, useState } from 'react';

import {
    Box,
    FileUpload,
    FileUploadFile,
    ThemeProvider,
    Typography
} from '@preamp/rev';

const BasicFileUploadExample = (): ReactElement => {
    const [files, setFiles] = useState<FileUploadFile[]>([]);

    const onAdd = useCallback((selectedFiles: FileUploadFile[]): void => {
        setFiles(selectedFiles);

        console.log('added', selectedFiles);
    }, []);
    const onRemove = useCallback((selectedFiles: FileUploadFile[]): void => {
        setFiles([]);

        console.log('removed', selectedFiles);
    }, []);

    return (
        <ThemeProvider>
            <Box
                sx={{
                    maxWidth: 360
                }}
            >
                <Typography component="h2" gutterBottom variant="h4">
                    Basic
                </Typography>
                <FileUpload files={files} onAdd={onAdd} onRemove={onRemove} />
            </Box>
        </ThemeProvider>
    );
};

export default BasicFileUploadExample;
