import React, { ReactElement } from 'react';

import { Box, Grid, ThemeProvider, Typography } from '@preamp/rev';

const GridExample = (): ReactElement => {
    const boxStyles = { mb: 4 };
    const gridStyles = {
        backgroundColor: 'var(--va-teal-100)',
        padding: 1
    };

    return (
        <ThemeProvider>
            <Box sx={boxStyles}>
                <Typography>Basic Grid</Typography>
                <Grid container spacing={2} sx={{ mt: 0 }}>
                    <Grid item xs={8}>
                        <Typography sx={gridStyles}>xs=8</Typography>
                    </Grid>
                    <Grid item xs={4}>
                        <Typography sx={gridStyles}>xs=4</Typography>
                    </Grid>
                    <Grid item xs={4}>
                        <Typography sx={gridStyles}>xs=4</Typography>
                    </Grid>
                    <Grid item xs={8}>
                        <Typography sx={gridStyles}>xs=8</Typography>
                    </Grid>
                </Grid>
            </Box>
            <Box sx={boxStyles}>
                <Typography>Basic Grid with Multiple Breakpoints</Typography>
                <Grid container spacing={2} sx={{ mt: 0 }}>
                    <Grid item md={7} xs={12}>
                        <Typography sx={gridStyles}>xs=12 md=7</Typography>
                    </Grid>
                    <Grid item md={5} xs={12}>
                        <Typography sx={gridStyles}>xs=12 md=5</Typography>
                    </Grid>
                    <Grid item md={5} xs={12}>
                        <Typography sx={gridStyles}>xs=12 md=5</Typography>
                    </Grid>
                    <Grid item md={7} xs={12}>
                        <Typography sx={gridStyles}>xs=12 md=7</Typography>
                    </Grid>
                </Grid>
            </Box>
        </ThemeProvider>
    );
};

export default GridExample;
