import React, { ReactElement } from 'react';

import { Box, Grid, ThemeProvider, Typography } from '@preamp/rev';

const MetricGridExample = (): ReactElement => {
    const boxStyles = { mb: 4, width: 768 };

    return (
        <ThemeProvider>
            <Box sx={boxStyles}>
                <Typography>Metric Grid</Typography>
                <Grid
                    columnSpacing="3.5rem"
                    container
                    rowSpacing="0.75rem"
                    sx={{ mt: 0 }}
                >
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">2.475M</Typography>
                            <Typography>Impressions</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">1.123M</Typography>
                            <Typography>HH Reach</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">85%</Typography>
                            <Typography>HH Reach %</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$2.456M</Typography>
                            <Typography>Estimated Spend</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$999</Typography>
                            <Typography>Impression CPM</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">85%</Typography>
                            <Typography>HH Reach %</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$2.456M</Typography>
                            <Typography>Estimated Spend</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$999</Typography>
                            <Typography>Impression CPM</Typography>
                        </Box>
                    </Grid>
                </Grid>
            </Box>
            <Box sx={boxStyles}>
                <Typography>Metric Grid with Group Titles</Typography>
                <Grid
                    columnSpacing="3.5rem"
                    container
                    rowSpacing="0.75rem"
                    sx={{ mt: 0 }}
                >
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">2.075M</Typography>
                            <Typography>On-Target Impressions</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Box
                                sx={{ display: 'flex', alignItems: 'flex-end' }}
                            >
                                <Typography variant="h3">923.2K</Typography>
                                <Typography
                                    sx={{ color: 'var(--va-grey-500)', ml: 1 }}
                                >
                                    84%
                                </Typography>
                            </Box>
                            <Typography>On-Target HH Reach</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">67%</Typography>
                            <Typography>On-TargetHH Reach %</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$2.255M</Typography>
                            <Typography>Estimated Spend</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">$1,300</Typography>
                            <Typography>On-Target Impression CPM</Typography>
                        </Box>
                    </Grid>
                    <Grid item md={3} width={150} xs={6}>
                        <Box>
                            <Typography variant="h3">72%</Typography>
                            <Typography>HH Reach %</Typography>
                        </Box>
                    </Grid>
                </Grid>
            </Box>
        </ThemeProvider>
    );
};

export default MetricGridExample;
