import React, { ReactElement } from 'react';

import { Box, IconButton, Star, ThemeProvider, Typography } from '@preamp/rev';

const IconButtonExample = (): ReactElement => (
    <ThemeProvider>
        <Box component="section">
            <Typography component="h2" gutterBottom variant="h5">
                Buttons
            </Typography>
            <Box
                sx={{
                    alignItems: 'center',
                    display: 'flex',
                    flexWrap: 'wrap',
                    gap: 1
                }}
            >
                <IconButton data-ui="standard">
                    <Star />
                </IconButton>
                <IconButton color="primary" data-ui="primary">
                    <Star />
                </IconButton>
                <IconButton color="success" data-ui="success">
                    <Star />
                </IconButton>
                <IconButton color="error" data-ui="error">
                    <Star />
                </IconButton>
                <IconButton data-ui="disabled" disabled>
                    <Star />
                </IconButton>
                <IconButton data-ui="small" size="small">
                    <Star fontSize="small" />
                </IconButton>
                <IconButton data-ui="large" size="large">
                    <Star />
                </IconButton>
            </Box>
        </Box>
        <Box component="section" sx={{ mt: 4 }}>
            <Typography component="h2" gutterBottom variant="h5">
                Anchors
            </Typography>
            <Box
                sx={{
                    alignItems: 'center',
                    display: 'flex',
                    flexWrap: 'wrap',
                    gap: 1
                }}
            >
                <IconButton
                    data-ui="href-standard"
                    href="https://www.videoamp.com/"
                >
                    <Star />
                </IconButton>
                <IconButton
                    color="primary"
                    data-ui="href-primary"
                    href="https://www.videoamp.com/"
                >
                    <Star />
                </IconButton>
                <IconButton
                    color="success"
                    data-ui="href-success"
                    href="https://www.videoamp.com/"
                >
                    <Star />
                </IconButton>
                <IconButton
                    color="error"
                    data-ui="href-error"
                    href="https://www.videoamp.com/"
                >
                    <Star />
                </IconButton>
                <IconButton
                    data-ui="href-disabled"
                    disabled
                    href="https://www.videoamp.com/"
                >
                    <Star />
                </IconButton>
                <IconButton
                    data-ui="href-small"
                    href="https://www.videoamp.com/"
                    size="small"
                >
                    <Star fontSize="small" />
                </IconButton>
                <IconButton
                    data-ui="href-large"
                    href="https://www.videoamp.com/"
                    size="large"
                >
                    <Star />
                </IconButton>
            </Box>
        </Box>
    </ThemeProvider>
);

export default IconButtonExample;
