import React, { ReactElement, useEffect, useState } from 'react';

import { Box, LinearProgress, ThemeProvider, Typography } from '@preamp/rev';

const LinearProgressDeterminateExample = (): ReactElement => {
    const [progress, setProgress] = useState<number>(0);

    useEffect((): (() => void) => {
        const timer = setInterval((): void => {
            setProgress((prevProgress): number =>
                prevProgress >= 100 ? 0 : prevProgress + 10
            );
        }, 800);

        return (): void => {
            clearInterval(timer);
        };
    }, []);

    return (
        <ThemeProvider>
            <Typography gutterBottom variant="h4">
                Linear determinate
            </Typography>
            <Box
                sx={{
                    width: '100%',
                    display: 'flex',
                    flexDirection: 'column',
                    gap: 4
                }}
            >
                <section>
                    <LinearProgress value={35} variant="determinate" />
                </section>
                <section>
                    <LinearProgress value={50} variant="determinate" />
                </section>
                <section>
                    <LinearProgress value={progress} variant="determinate" />
                </section>
            </Box>
        </ThemeProvider>
    );
};

export default LinearProgressDeterminateExample;
