import React, { ReactElement, useState } from 'react';

import { ThemeProvider, Box, Radio, FormControlLabel } from '@preamp/rev';

const RadioExample = (): ReactElement => {
    const [selected, setSelected] = useState('a');

    const handleCheck = (event): void => {
        setSelected(event.target.value);
    };

    return (
        <ThemeProvider>
            <Box
                sx={{
                    alignItems: 'flex-start',
                    display: 'flex',
                    flexDirection: 'column',
                    gap: 0
                }}
            >
                <FormControlLabel
                    control={
                        <Radio
                            checked={selected === 'a'}
                            onChange={handleCheck}
                            value="a"
                        />
                    }
                    label="First Radio Button"
                />
                <FormControlLabel
                    control={
                        <Radio
                            checked={selected === 'b'}
                            onChange={handleCheck}
                            value="b"
                        />
                    }
                    label="Second Radio Button"
                />
                <FormControlLabel
                    control={<Radio />}
                    disabled
                    label="Disabled Radio Button"
                />
                <FormControlLabel
                    checked
                    control={<Radio />}
                    disabled
                    label="Disabled Checked Radio Button"
                />
            </Box>
        </ThemeProvider>
    );
};

export default RadioExample;
