import React, { ReactElement } from 'react';

import {
    Table,
    TableBody,
    TableCell,
    TableContainer,
    TableHead,
    TableRow,
    ThemeProvider,
    Typography
} from '@preamp/rev';

const userList = [
    {
        name: 'Tony Stark',
        description: 'Some Description',
        createdAt: '01/03/2020 10:45 AM',
        status: 'Draft'
    },
    {
        name: 'Peter Parker',
        description: 'Some Description',
        createdAt: '12/04/2020 07:45 AM',
        status: 'Processing'
    },
    {
        name: 'Clark Kent',
        description: '',
        createdAt: '10/01/1959 2:00 AM',
        status: 'Processing'
    },
    {
        name: 'Bruce Wayne',
        description: 'Some description',
        createdAt: '12/01/1942 12:00 AM',
        status: 'Processing'
    },
    {
        name: 'Diana Prince',
        description: 'Some description',
        createdAt: '01/03/2020 10:45 AM',
        status: 'Draft'
    },
    {
        name: 'Barry Allen',
        description: 'Some description',
        createdAt: '04/18/1938 10:00 AM',
        status: 'Draft'
    },
    {
        name: 'Hal Jordan',
        description: '',
        createdAt: '01/01/1940 1:00 PM',
        status: 'Processing'
    },
    {
        name: 'Wally West',
        description: '',
        createdAt: '10/01/1959 2:00 AM',
        status: 'Processing'
    },
    {
        name: 'Ben Grimm',
        description: 'Some description',
        createdAt: '01/03/2020 10:45 AM',
        status: 'Draft'
    },
    {
        name: 'Madelyne Pryor',
        description: 'Some Description',
        createdAt: '01/03/2020 10:45 AM',
        status: 'Draft'
    },
    {
        name: 'Charles Xavier',
        description: 'Some description',
        createdAt: '04/18/1938 10:00 AM',
        status: 'Draft'
    },
    {
        name: 'Alfred Pennyworth',
        description: '',
        createdAt: '01/01/1940 1:00 PM',
        status: 'Processing'
    }
];

const FixedHeaderTableExample = (): ReactElement => (
    <ThemeProvider>
        <Typography component="h2" gutterBottom variant="h5">
            Vertically Scrollable Table
        </Typography>
        <TableContainer
            sx={{
                height: 300
            }}
        >
            <Table size="small">
                <TableHead>
                    <TableRow>
                        <TableCell sx={{ width: 300 }}>Name</TableCell>
                        <TableCell sx={{ width: 120 }}>Created</TableCell>
                        <TableCell sx={{ width: 120 }}>Status</TableCell>
                    </TableRow>
                </TableHead>
                <TableBody>
                    {userList.map(
                        (elem, i): ReactElement => (
                            <TableRow key={i}>
                                <TableCell component="th" scope="row">
                                    <Typography
                                        component="a"
                                        href="https://videoamp.com"
                                        variant="button"
                                    >
                                        {elem.name}
                                    </Typography>
                                    <Typography
                                        sx={{
                                            fontSize: '.625rem'
                                        }}
                                        variant="body2"
                                    >
                                        {elem.description}
                                    </Typography>
                                </TableCell>
                                <TableCell>
                                    <Typography
                                        color="inherit"
                                        component="time"
                                        variant="body2"
                                    >
                                        {elem.createdAt}
                                    </Typography>
                                    <Typography
                                        color="inherit"
                                        sx={{
                                            fontSize: '.625rem'
                                        }}
                                        variant="body2"
                                    >
                                        {elem.description}
                                    </Typography>
                                </TableCell>
                                <TableCell
                                    sx={{
                                        fontSize: '0.625rem',
                                        fontWeight: 'var(--font-bold)'
                                    }}
                                >
                                    <Typography
                                        sx={{
                                            color: 'var(--va-grey-600)',
                                            fontWeight: 'var(--font-bold)'
                                        }}
                                        variant="subtitle1"
                                    >
                                        {elem.status}
                                    </Typography>
                                </TableCell>
                            </TableRow>
                        )
                    )}
                </TableBody>
            </Table>
        </TableContainer>
    </ThemeProvider>
);
export default FixedHeaderTableExample;
