import React, { ReactElement, useState } from 'react';

import { Tab, Tabs, ThemeProvider } from '@preamp/rev';

const TabsExample = (): ReactElement => {
    const [value, setValue] = useState(1);

    return (
        <ThemeProvider>
            <Tabs
                data-ui="tabs"
                onChange={(_, nextValue): void => {
                    setValue(nextValue);
                }}
                value={value}
            >
                <Tab data-ui="tab-1" label="Tab 1" value={1} />
                <Tab data-ui="tab-2" label="Tab 2" value={2} />
                <Tab data-ui="tab-3" label="Tab 3" value={3} />
            </Tabs>
        </ThemeProvider>
    );
};

export default TabsExample;
