import React, { ReactElement } from 'react';

import {
    Measure,
    Plan,
    ThemeProvider,
    Timeline,
    TimelineConnector,
    TimelineContent,
    TimelineDot,
    TimelineItem,
    TimelineOppositeContent,
    TimelineSeparator
} from '@preamp/rev';

const events = [
    {
        Icon: Measure,
        time: '30 seconds ago',
        title: 'Lorem ipsum dolor sit amet'
    },
    {
        Icon: Plan,
        time: '15 minutes ago',
        title: 'Consectetur adipiscing elit'
    },
    {
        Icon: Measure,
        time: '3 hours ago',
        title: 'Sed ac neque'
    },
    {
        Icon: Plan,
        time: 'yesterday',
        title: 'Sit amet eros volutpat mattis'
    }
];

export const TimelineExample = (): ReactElement => (
    <ThemeProvider>
        <Timeline>
            {events.map(
                ({ Icon, time, title }, i): ReactElement => (
                    <TimelineItem key={i}>
                        <TimelineOppositeContent>
                            {time}
                        </TimelineOppositeContent>
                        <TimelineSeparator>
                            <TimelineDot>
                                <Icon fontSize="inherit" />
                            </TimelineDot>
                            {i !== events.length - 1 && <TimelineConnector />}
                        </TimelineSeparator>
                        <TimelineContent>{title}</TimelineContent>
                    </TimelineItem>
                )
            )}
        </Timeline>
    </ThemeProvider>
);

export default TimelineExample;
