import React, { ReactElement, useState } from 'react';

import { Button, ThemeProvider, Toolbar, Typography } from '@preamp/rev';

const FooterExample = (): ReactElement => {
    const [action, setAction] = useState('Initial state');
    return (
        <ThemeProvider>
            <Typography component="h2" gutterBottom variant="h5">
                Toolbar Footer
            </Typography>
            <Toolbar
                disableGutters
                sx={{
                    borderTop: '1px solid var(--va-grey-300)',
                    display: 'flex',
                    gap: 1,
                    justifyContent: 'flex-end'
                }}
                variant="dense"
            >
                <Typography>{action}</Typography>
                <Button
                    color="secondary"
                    data-ui="secondary"
                    onClick={(): void => {
                        setAction('You clicked the secondary button');
                    }}
                >
                    Secondary
                </Button>
                <Button
                    data-ui="primary"
                    onClick={(): void => {
                        setAction('You clicked the primary button');
                    }}
                >
                    Primary
                </Button>
            </Toolbar>
        </ThemeProvider>
    );
};

export default FooterExample;
