import React, { ReactElement } from 'react';
import { Box, Button, Grid, ThemeProvider, Tooltip } from '@preamp/rev';

const PositionedTooltipsExample = (): ReactElement => {
    return (
        <ThemeProvider>
            <Box sx={{ width: 500 }}>
                <Grid container justifyContent="center">
                    <Grid item>
                        <Tooltip placement="top-start" title="Add">
                            <Button variant="text">TOP-START</Button>
                        </Tooltip>
                        <Tooltip placement="top" title="Add">
                            <Button sx={{ mx: '1rem' }} variant="text">
                                TOP
                            </Button>
                        </Tooltip>
                        <Tooltip placement="top-end" title="Add">
                            <Button variant="text">TOP-END</Button>
                        </Tooltip>
                    </Grid>
                </Grid>
                <Grid container>
                    <Grid
                        alignItems="flex-start"
                        container
                        direction="column"
                        item
                        xs={6}
                    >
                        <Tooltip placement="left-start" title="Add">
                            <Button variant="text">LEFT-START</Button>
                        </Tooltip>
                        <Tooltip placement="left" title="Add">
                            <Button sx={{ my: '1rem' }} variant="text">
                                LEFT
                            </Button>
                        </Tooltip>
                        <Tooltip placement="left-end" title="Add">
                            <Button variant="text">LEFT-END</Button>
                        </Tooltip>
                    </Grid>
                    <Grid
                        alignItems="flex-end"
                        container
                        direction="column"
                        item
                        xs={6}
                    >
                        <Grid item>
                            <Tooltip placement="right-start" title="Add">
                                <Button variant="text">RIGHT-START</Button>
                            </Tooltip>
                        </Grid>
                        <Grid item>
                            <Tooltip placement="right" title="Add">
                                <Button sx={{ my: '1rem' }} variant="text">
                                    RIGHT
                                </Button>
                            </Tooltip>
                        </Grid>
                        <Grid item>
                            <Tooltip placement="right-end" title="Add">
                                <Button variant="text">RIGHT-END</Button>
                            </Tooltip>
                        </Grid>
                    </Grid>
                </Grid>
                <Grid container justifyContent="center">
                    <Grid item>
                        <Tooltip placement="bottom-start" title="Add">
                            <Button variant="text">BOTTOM-START</Button>
                        </Tooltip>
                        <Tooltip placement="bottom" title="Add">
                            <Button sx={{ m: '1rem' }} variant="text">
                                BOTTOM
                            </Button>
                        </Tooltip>
                        <Tooltip placement="bottom-end" title="Add">
                            <Button variant="text">BOTTOM-END</Button>
                        </Tooltip>
                    </Grid>
                </Grid>
            </Box>
        </ThemeProvider>
    );
};

export default PositionedTooltipsExample;
