import React, { ReactElement } from 'react';
import {
    Button,
    ThemeProvider,
    Tooltip,
    TooltipProps,
    tooltipClasses
} from '@preamp/rev';
import { styled } from '@mui/material/styles';

const CustomWidthTooltip = styled(({ className, ...props }: TooltipProps) => (
    <Tooltip {...props} classes={{ popper: className }} />
))({
    [`& .${tooltipClasses.tooltip}`]: {
        maxWidth: 500
    }
});

const NoMaxWidthTooltip = styled(({ className, ...props }: TooltipProps) => (
    <Tooltip {...props} classes={{ popper: className }} />
))({
    [`& .${tooltipClasses.tooltip}`]: {
        maxWidth: 'none'
    }
});

const longText = `
Aliquam eget finibus ante, non facilisis lectus. Sed vitae dignissim est, vel aliquam tellus.
Praesent non nunc mollis, fermentum neque at, semper arcu.
Nullam eget est sed sem iaculis gravida eget vitae justo.
`;
const VariableWidthExample = (): ReactElement => {
    return (
        <ThemeProvider>
            <Tooltip title={longText}>
                <Button sx={{ m: 1 }} variant="text">
                    DEFAULT WIDTH [300px]
                </Button>
            </Tooltip>
            <CustomWidthTooltip title={longText}>
                <Button sx={{ m: 1 }} variant="text">
                    CUSTOM WIDTH [500px]
                </Button>
            </CustomWidthTooltip>
            <NoMaxWidthTooltip title={longText}>
                <Button sx={{ m: 1 }} variant="text">
                    NO WRAPPING
                </Button>
            </NoMaxWidthTooltip>
        </ThemeProvider>
    );
};

export default VariableWidthExample;
