import * as React from 'react';

import { OptionsType, OptionType, Select } from '@preamp/select';

const debug = [
    {
        label: 'Group 1',
        options: [
            {
                group: {
                    label: 'Group 1',
                    value: 'group_1'
                },
                label: 'Group 1: 02/14/2022',
                value: 20220214
            },
            {
                group: {
                    label: 'Group 1',
                    value: 'group_1'
                },
                label: 'Group 1: 12/27/2021',
                value: 20211227
            }
        ]
    },
    {
        label: 'Group 2',
        options: [
            {
                group: {
                    label: 'Group 2',
                    value: 'group_2'
                },
                label: 'Group 2: 01/31/2022',
                value: 20220131
            },
            {
                group: {
                    label: 'Group 2',
                    value: 'group_2'
                },
                label: 'Group 2: 12/27/2021',
                value: 20211227
            }
        ]
    },
    {
        label: 'Group 3',
        options: [
            {
                group: {
                    label: 'Group 3',
                    value: 'group_3'
                },
                label: 'Group 3: 12/27/2021',
                value: 20211227
            }
        ]
    }
];

const CustomSelect: React.FunctionComponent = (): React.ReactElement => {
    const isOptionSelected = (
        option: OptionType,
        selectValue: OptionsType<OptionType>
    ): boolean => {
        return selectValue.length > 0
            ? selectValue[0].group.value === option.group.value &&
                  selectValue[0].value === option.value
            : false;
    };

    return (
        <div className="max-w-md">
            <h3>Select with custom option selected</h3>
            <section className="mb-6">
                <Select
                    isOptional={true}
                    isOptionSelected={isOptionSelected}
                    label="Field label"
                    options={debug}
                />
            </section>
        </div>
    );
};

export default CustomSelect;
