import React from 'react';

import { StackSelect, StackSelectOptionType } from '@preamp/select';

const data: StackSelectOptionType[] = [
    {
        label: 'Radio Select Item 1',
        name: 'radio-group-test',
        value: 1
    },
    {
        label: 'Radio Select Item 2',
        name: 'radio-group-test',
        value: 2
    },
    {
        label: 'Radio Select Item 3',
        name: 'radio-group-test',
        value: 3,
        isDisabled: true
    },
    {
        label: 'Radio Select Item 4',
        name: 'radio-group-test',
        value: 4,
        isDisabled: true
    }
];

const RadioSelect: React.FC = (): React.ReactElement => {
    const [selected, setSelected] = React.useState<number>(4);

    function handleChange(_: string, value: number): void {
        setSelected(value);
    }

    return (
        <section className="max-w-xs">
            <StackSelect
                id="radio-stack-select"
                isOptional
                label="Radio Select"
                onChange={handleChange}
                options={data}
                selected={selected}
            />
        </section>
    );
};

export default RadioSelect;
