import React from 'react';

import { StackSelect, StackSelectOptionType } from '@preamp/select';

const data: StackSelectOptionType[] = [
    {
        label:
            'Lorem ipsumdolorsitametconsecteturadipiscingelit123ajhdlakjdhfkajdhfhdskjhdskjh',
        name: 'color-1',
        value: 'item-1',
        color: '#ff8a80'
    },
    {
        label:
            'Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua',
        name: 'color-2',
        value: 'item-2',
        color: '#FF80AB'
    },
    {
        label:
            'Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris',
        name: 'color-3',
        value: 'item-3',
        color: '#EA80FC'
    },
    {
        label:
            'Nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit',
        name: 'color-4',
        value: 'item-4',
        color: '#B388FF'
    },
    {
        label: 'In voluptate velit esse cillum dolore eu fugiat nulla pariatur',
        name: 'color-5',
        value: 'item-5',
        color: '#8C9EFF',
        isDisabled: true
    },
    {
        label:
            'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum',
        name: 'color-6',
        value: 'item-6',
        color: '#82B1FF',
        isDisabled: true
    }
];

const ColorSelectWOverflow: React.FC = (): React.ReactElement => {
    const [selected, setSelected] = React.useState<Set<string>>(
        new Set([data[2].name, data[3].name, data[5].name])
    );

    function handleChange(name: string, _: string, checked: boolean): void {
        const newSelectedOptions: Set<string> = new Set(selected);
        if (checked) {
            newSelectedOptions.add(name);
        } else {
            newSelectedOptions.delete(name);
        }
        setSelected(newSelectedOptions);
    }

    return (
        <section className="max-w-xs">
            <StackSelect
                id="checkbox-dv-overflow-stack-select"
                isMulti
                label="Color Select w/ Overflow"
                onChange={handleChange}
                options={data}
                selected={selected}
            />
        </section>
    );
};

export default ColorSelectWOverflow;
