import React, { ReactElement } from 'react';

import { AxisCell, BarCell } from '@preamp/tables';

const BAR_COLOR = 'var(--waveform-default-900)';
const MARK = 50;
const MAX_VALUE = 100;
const TICK_COUNT = 5;

/**
 * Bars with format, axis and mark
 */
function BarCellWithFormatAxisAndMarkExample(): ReactElement<HTMLElement> {
    return (
        <>
            {[10, 50, 45, 100, 20, 70, 56, 30].map(
                (x: number, idx: number): ReactElement<HTMLElement> => (
                    <div className="mb-5" key={'cell-' + idx}>
                        <BarCell
                            color={BAR_COLOR}
                            limit={MARK}
                            maxValue={MAX_VALUE}
                            numberFormat="$0,00.00"
                            tickCount={TICK_COUNT}
                            value={x}
                        />
                    </div>
                )
            )}
            <AxisCell
                limit={MARK}
                maxValue={MAX_VALUE}
                numberFormat="$0,00"
                tickCount={TICK_COUNT}
            />
        </>
    );
}

export default BarCellWithFormatAxisAndMarkExample;
