import React, { Fragment, ReactElement } from 'react';

import { AxisCell, BarCell, DEFAULT_BAR_LABEL_WIDTH } from '@preamp/tables';

const LIMIT = 0;
const MAX_VALUE = 200;
const VALUE = 180;

function resolveTitle(width: string | number): string {
    return width
        ? (width as string)
        : `${String(width)} (defaulted to ${DEFAULT_BAR_LABEL_WIDTH})`;
}

/**
 * Custom label widths
 */
function BarCellCustomLabelWidthsExample(): ReactElement<HTMLElement> {
    return (
        <>
            {[undefined, null, 0, 200, '5rem', '150px', '50%'].map(
                (width: string | number): ReactElement => (
                    <Fragment key={String(width)}>
                        <p className="va-caption">
                            Label width = {resolveTitle(width)}
                        </p>
                        <div className="my-5">
                            <BarCell
                                color="var(--waveform-default-500)"
                                labelWidth={width}
                                limit={LIMIT}
                                maxValue={MAX_VALUE}
                                value={VALUE}
                            />
                        </div>
                        <AxisCell
                            labelWidth={width}
                            limit={LIMIT}
                            maxValue={MAX_VALUE}
                        />
                    </Fragment>
                )
            )}
        </>
    );
}

export default BarCellCustomLabelWidthsExample;
