import React, { ReactElement } from 'react';

import { CustomMessageCell, IconPosition } from '@preamp/tables';
import { Audiences, Zap } from '@preamp/signal';

/**
 * Basic example
 */

function CustomMessageCellExample(): ReactElement<HTMLElement> {
    return (
        <>
            <CustomMessageCell className="mb-5">
                This is a custom message cell without an icon.
            </CustomMessageCell>

            <CustomMessageCell className="mb-5" icon={<Zap />}>
                This is a custom message cell with an icon on the RIGHT side.
            </CustomMessageCell>

            <CustomMessageCell
                icon={<Audiences />}
                iconPosition={IconPosition.Left}
            >
                This is a custom message cell with an icon on the LEFT side.
            </CustomMessageCell>
        </>
    );
}

export default CustomMessageCellExample;
