import React from 'react';

import { LinkCell } from '@preamp/tables';

const LinkCellExample = (): React.ReactNode => {
    const onClick = (event: React.MouseEvent): void => {
        event.preventDefault();
        const anchor = event.target as HTMLAnchorElement;
        alert(anchor.textContent);
    };

    return (
        <LinkCell
            content="This is a custom LinkCell Component"
            href="#"
            onClick={onClick}
        />
    );
};

export default LinkCellExample;
