import React from 'react';

import { NameDescriptionCell, StatusIndicator } from '@preamp/tables';

const NameDescriptionCellExample: React.SFC = (): React.ReactElement => {
    return (
        <div>
            <NameDescriptionCell
                description={
                    'Lorem ipsum dolor sit amet, ad quo hinc postulant instructior, prompta imperdiet argumentum me'
                }
                name="John Doe"
            />
            <NameDescriptionCell
                description={
                    'Lorem ipsum dolor sit amet, ad quo hinc postulant instructior, prompta imperdiet argumentum me'
                }
                isIndicatorShown={true}
                name="Pending Status"
                status={StatusIndicator.Pending}
            />
            <NameDescriptionCell
                description={
                    'Lorem ipsum dolor sit amet, ad quo hinc postulant instructior, prompta imperdiet argumentum me'
                }
                isIndicatorShown={true}
                name="Failing Status"
                status={StatusIndicator.Failing}
            />
            <NameDescriptionCell
                description={
                    'Lorem ipsum dolor sit amet, ad quo hinc postulant instructior, prompta imperdiet argumentum me'
                }
                indicatorColor="#85C1E9"
                isIndicatorShown={true}
                name="Custom Color"
            />
            <NameDescriptionCell
                description={
                    'Lorem ipsum dolor sit amet, ad quo hinc postulant instructior, prompta imperdiet argumentum me'
                }
                indicatorColor="green"
                isIndicatorShown={true}
                name="Custom Color with Name Click"
                nameUrl="https://videoamp.com"
            />
        </div>
    );
};

export default NameDescriptionCellExample;
