import React from 'react';

import { NumberCell, NumberFormat } from '@preamp/tables';

const NumberCellExample: React.SFC = (): React.ReactElement => {
    return (
        <>
            <div className="my-2">
                <NumberCell description="Basic Amount" value={12345678} />
            </div>
            <div className="my-2">
                <NumberCell
                    decimalPlaces={4}
                    description="With Decimal"
                    value={12345678.1358}
                />
            </div>
            <div className="my-2">
                <NumberCell
                    decimalPlaces={3}
                    description="Percent"
                    format={NumberFormat.Percent}
                    value={0.123456}
                />
            </div>
            <div className="my-2">
                <NumberCell
                    decimalPlaces={2}
                    description="Currency"
                    format={NumberFormat.Currency}
                    value={123456.78}
                />
            </div>
            <div className="my-2">
                <NumberCell
                    decimalPlaces={4}
                    description="With Suffix"
                    suffix={<span>HH</span>}
                    value={12345678.1358}
                />
            </div>
        </>
    );
};

export default NumberCellExample;
