import React from 'react';

import { IconButton } from '@preamp/core';
import { RowActionsCell } from '@preamp/tables';

const RowActionsCellExample: React.SFC = (): React.ReactElement => {
    function onClickDelete(): void {
        // eslint-disable-next-line no-console
        console.log('DELETED');
    }
    function onClickEdit(): void {
        // eslint-disable-next-line no-console
        console.log('Edit');
    }
    const RowActions: React.ReactNode[] = [
        <IconButton icon="delete" key="delete" onClick={onClickDelete} />,
        <IconButton icon="edit" key="edit" onClick={onClickEdit} />
    ];

    return <RowActionsCell rowActions={RowActions} />;
};

export default RowActionsCellExample;
