import React from 'react';

import { SelectCell, SelectType } from '@preamp/tables';

interface IOption {
    value: string;
    label: string;
}

interface SelectCellExampleState {
    selectedOption: IOption;
}

class SelectCellExample extends React.Component<{}, SelectCellExampleState> {
    state: SelectCellExampleState = {
        selectedOption: { value: 'green', label: 'green' }
    };

    onChange = (selectedOption: IOption): void => {
        this.setState({ selectedOption: selectedOption });
    };

    render(): React.ReactNode {
        return (
            <>
                <SelectCell
                    onChange={this.onChange}
                    options={[
                        { value: 'green', label: 'green' },
                        { value: 'forest', label: 'forest' },
                        { value: 'olive', label: 'olive' },
                        { value: 'sage', label: 'sage' }
                    ]}
                    selectType={SelectType.Compact}
                    value={this.state.selectedOption}
                />
            </>
        );
    }
}

export default SelectCellExample;
