import React from 'react';

import { EmptyState } from '@preamp/tables';

interface GettingStartedState {
    count: number;
}

class GettingStarted extends React.Component<{}, GettingStartedState> {
    state: GettingStartedState = {
        count: 0
    };

    onClick = (): void => {
        this.setState({ count: this.state.count + 1 });
    };

    render(): React.ReactNode {
        return (
            <>
                <div>You Clicked the button {this.state.count} times</div>
                <EmptyState
                    buttonChildren="Create Item"
                    mainTitle="Let's Get Started!"
                    onClick={this.onClick}
                    subText="Nothing has been created yet, start by creating an item below."
                />
            </>
        );
    }
}

export default GettingStarted;
