import React from 'react';

import {
    DataTable,
    IDataTableColumn,
    IDataTableRowGroup,
    IDataTableRowGroupHeader
} from '@preamp/tables';

enum rowGroupHeaderEnum {
    Family = 'family',
    Animal = 'animal'
}

enum columnEnum {
    FirstName = 'firstName',
    LastName = 'lastName',
    Age = 'age',
    Location = 'location',
    Date = 'date',
    Oct1 = 'oct1',
    Oct8 = 'oct8',
    Oct15 = 'oct15',
    Oct22 = 'oct22',
    Oct29 = 'oct29',
    Nov5 = 'nov5',
    Nov12 = 'nov12',
    Nov19 = 'nov19',
    Nov26 = 'nov26',
    Dec3 = 'dec3'
}

const columns: IDataTableColumn[] = [
    {
        identifier: columnEnum.FirstName,
        header: 'First Name'
    },
    {
        identifier: columnEnum.LastName,
        header: 'Last Name'
    },
    {
        identifier: columnEnum.Age,
        header: 'Age'
    },
    {
        identifier: columnEnum.Location,
        header: 'Location'
    },
    {
        identifier: columnEnum.Date,
        header: 'Date'
    },
    {
        identifier: columnEnum.Oct1,
        header: 'oct1'
    },
    {
        identifier: columnEnum.Oct8,
        header: 'oct8'
    },
    {
        identifier: columnEnum.Oct15,
        header: 'oct15'
    },
    {
        identifier: columnEnum.Oct22,
        header: 'oct22'
    },
    {
        identifier: columnEnum.Oct29,
        header: 'oct29'
    },
    {
        identifier: columnEnum.Nov5,
        header: 'nov5'
    },
    {
        identifier: columnEnum.Nov12,
        header: 'nov12'
    },
    {
        identifier: columnEnum.Nov19,
        header: 'nov19'
    },
    {
        identifier: columnEnum.Nov26,
        header: 'nov26'
    },
    {
        identifier: columnEnum.Dec3,
        header: 'dec3'
    }
];

const rowGroupHeaders: IDataTableRowGroupHeader[] = [
    {
        identifier: rowGroupHeaderEnum.Family,
        header: 'FAMILY',
        fixedWidth: 120
    },
    {
        identifier: rowGroupHeaderEnum.Animal,
        header: 'ANIMAL'
    }
];

const rows: IDataTableRowGroup[] = [
    {
        identifier: 'SAMUELSON',
        [rowGroupHeaderEnum.Family]: 'SAMUELSON',
        [rowGroupHeaderEnum.Animal]: 'PUG',
        rows: [
            {
                identifier: 1,
                [columnEnum.FirstName]: 'Bob',
                [columnEnum.LastName]: 'Samuelson',
                [columnEnum.Age]: 42,
                [columnEnum.Location]: 'CA',
                [columnEnum.Date]: '11/17/1976',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            },
            {
                identifier: 2,
                [columnEnum.FirstName]: 'Brenda',
                [columnEnum.LastName]: 'Samuelson',
                [columnEnum.Age]: 42,
                [columnEnum.Location]: 'CA',
                [columnEnum.Date]: '11/17/1976',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            }
        ]
    },
    {
        identifier: 'GAUDIOSO',
        [rowGroupHeaderEnum.Family]: 'GAUDIOSO',
        [rowGroupHeaderEnum.Animal]: 'CALICO CAT',
        rows: [
            {
                identifier: 3,
                [columnEnum.FirstName]: 'Amy',
                [columnEnum.LastName]: 'Gaudioso',
                [columnEnum.Age]: 26,
                [columnEnum.Location]: 'MA',
                [columnEnum.Date]: '10/20/1992',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            },
            {
                identifier: 4,
                [columnEnum.FirstName]: 'Arnold',
                [columnEnum.LastName]: 'Gaudioso',
                [columnEnum.Age]: 26,
                [columnEnum.Location]: 'MA',
                [columnEnum.Date]: '10/20/1992',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            }
        ]
    },
    {
        identifier: 'GIUFFRIDA',
        [rowGroupHeaderEnum.Family]: 'GIUFFRIDA',
        [rowGroupHeaderEnum.Animal]: 'ORANGE CAT',
        rows: [
            {
                identifier: 5,
                [columnEnum.FirstName]: 'Juan',
                [columnEnum.LastName]: 'Giuffrida',
                [columnEnum.Age]: 32,
                [columnEnum.Location]: 'TX',
                [columnEnum.Date]: '9/15/1986',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            },
            {
                identifier: 6,
                [columnEnum.FirstName]: 'Justin',
                [columnEnum.LastName]: 'Giuffrida',
                [columnEnum.Age]: 32,
                [columnEnum.Location]: 'TX',
                [columnEnum.Date]: '9/15/1986',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            }
        ]
    },
    {
        identifier: 'UNG',
        [rowGroupHeaderEnum.Family]: 'UNG',
        [rowGroupHeaderEnum.Animal]: 'CHIHUAHUA',
        rows: [
            {
                identifier: 7,
                [columnEnum.FirstName]: 'Doug',
                [columnEnum.LastName]: 'Ung',
                [columnEnum.Age]: 37,
                [columnEnum.Location]: 'NY',
                [columnEnum.Date]: '12/9/1981',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            },
            {
                identifier: 8,
                [columnEnum.FirstName]: 'Donald',
                [columnEnum.LastName]: 'Ung',
                [columnEnum.Age]: 37,
                [columnEnum.Location]: 'NY',
                [columnEnum.Date]: '12/9/1981',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            }
        ]
    },
    {
        identifier: 'BEHRENS',
        [rowGroupHeaderEnum.Family]: 'BEHRENS',
        [rowGroupHeaderEnum.Animal]: 'DOXIN',
        rows: [
            {
                identifier: 9,
                [columnEnum.FirstName]: 'Ben',
                [columnEnum.LastName]: 'Behrens',
                [columnEnum.Age]: 35,
                [columnEnum.Location]: 'NC',
                [columnEnum.Date]: '8/3/1983',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            },
            {
                identifier: 10,
                [columnEnum.FirstName]: 'Brady',
                [columnEnum.LastName]: 'Behrens',
                [columnEnum.Age]: 35,
                [columnEnum.Location]: 'NC',
                [columnEnum.Date]: '8/3/1983',
                [columnEnum.Oct1]: 23456,
                [columnEnum.Oct8]: 23456,
                [columnEnum.Oct15]: 23456,
                [columnEnum.Oct22]: 23456,
                [columnEnum.Oct29]: 23456,
                [columnEnum.Nov5]: 23456,
                [columnEnum.Nov12]: 23456,
                [columnEnum.Nov19]: 23456,
                [columnEnum.Nov26]: 23456,
                [columnEnum.Dec3]: 23456
            }
        ]
    }
];

class BasicDataTable extends React.Component {
    render(): React.ReactNode {
        return (
            <>
                <div>GroupedRows Data Table</div>
                <DataTable
                    columns={columns}
                    dataUI="grouped-rows-data-table"
                    rowGroupHeaders={rowGroupHeaders}
                    rows={rows}
                />
            </>
        );
    }
}

export default BasicDataTable;
