import React from 'react';

import { DataTable, DataTableTheme, IDataTableColumn } from '@preamp/tables';

enum columnEnum {
    Length = 'length',
    Goal = 'goal',
    Current = 'current'
}

interface BasicDataTableRow {
    identifier: number;
    [columnEnum.Length]: string;
    [columnEnum.Goal]: number;
    [columnEnum.Current]: number;
}

const columns: IDataTableColumn[] = [
    {
        identifier: columnEnum.Length,
        header: 'Length'
    },
    {
        identifier: columnEnum.Goal,
        header: 'Goal GRPS'
    },
    {
        identifier: columnEnum.Current,
        header: 'Current GRPS'
    }
];

const rows: BasicDataTableRow[] = [
    {
        identifier: 1,
        [columnEnum.Length]: ':15 secs',
        [columnEnum.Goal]: 1.1,
        [columnEnum.Current]: 1.1
    },
    {
        identifier: 2,
        [columnEnum.Length]: ':30 secs',
        [columnEnum.Goal]: 1.1,
        [columnEnum.Current]: 1.1
    },
    {
        identifier: 3,
        [columnEnum.Length]: ':60 secs',
        [columnEnum.Goal]: 1.1,
        [columnEnum.Current]: 1.1
    }
];

class PanelDataTable extends React.Component {
    render(): React.ReactNode {
        return (
            <>
                <div className="mt-6 mb-2">Data Table with a Panel theme</div>
                <DataTable
                    columns={columns}
                    dataUI="basic-data-table"
                    rows={rows}
                    theme={DataTableTheme.Panel}
                />
            </>
        );
    }
}

export default PanelDataTable;
