import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

export const BarchartAxisTitleExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Axis Titles</h4>
            <p className="mt-2 mb-3">
                Axis titles can be added via extra attributes
                (xAxisTitle/yAxisTitle)
            </p>
            <BarChart
                data={basicData}
                xAxisTitle="Team Members"
                yAxisTitle="Lines Of Code"
            />
        </section>
    );
};

export default BarchartAxisTitleExample;
