import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

export const BarchartDomainPaddingExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Domain Padding</h4>
            <p className="mt-2 mb-3">
                Padding can also be added to the top of the chart to maintain
                some spacing for the highest data values. The value for this
                prop is in the same units as the data.
            </p>
            <BarChart
                data={basicData}
                xAxisTitle="Team Members"
                yAxisdomainPadding={15000}
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default BarchartDomainPaddingExample;
