import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

export const BarchartCustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The BarChart accepts width and height props to control its
                    size.
                </p>
                <BarChart
                    data={basicData}
                    height={150}
                    width={400}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <BarChart
                    data={basicData}
                    width={2000}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
        </section>
    );
};

export default BarchartCustomSizeExample;
