import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

const BarResizeableExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Resizeable Charts</h4>
        <div className="mt-2 mb-3">
            By default, charts are static sizes, autoWidth will make charts
            automatically expand to fit their container&apos;s width.
        </div>
        <div
            style={{
                resize: 'both',
                overflow: 'scroll',
                minHeight: '65px',
                padding: '8px',
                boxSizing: 'border-box'
            }}
        >
            <BarChart
                autoHeight
                data={basicData}
                margin={{ top: 10, right: 20, bottom: 20, left: 20 }}
                minWidth={800}
            />
        </div>
    </section>
);

export default BarResizeableExample;
