import React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

export const TooltipValueFormatExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Format Tooltip Values</h4>
            <p className="mt-2 mb-3">
                Set custom format for values in tooltip using tooltipNumFormat
                prop
            </p>
            <BarChart data={basicData} tooltipNumFormat=".3s" />
        </section>
    );
};

export default TooltipValueFormatExample;
