import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const multicolor: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ],
        color: 'var(--waveform-magenta-500)'
    },
    {
        name: 'Sharks',
        data: [
            ['Jeff Lennin', 152343],
            ['Germain ', 155838]
        ],
        color: 'var(--waveform-magenta-900)'
    }
];

export const BarCustomColorsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the BarChart or adding a color
                property to a single data object.
            </p>
            <BarChart
                data={multicolor}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default BarCustomColorsExample;
