import React from 'react';

import { BarChart, PlotData, PlotValue } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 152321]
        ]
    }
];

/**
 * A Basic BarChart with onClick callBack function on each bar.
 */

export const BarsWithOnClick: React.FC = (): React.ReactElement => {
    const [state, setState]: any = React.useState({
        name: '',
        value: 0,
        reactId: 0,
        rectHeight: 0
    });
    function onClick(
        value: PlotValue,
        idx: number,
        rect: ClientRect,
        event?: Event
    ): void {
        setState((): any => ({
            name: '',
            value: value[1],
            reactId: idx,
            rectHeight: rect.height
        }));
        // eslint-disable-next-line no-console
        console.log('event', event);
    }

    return (
        <>
            <BarChart data={basicData} onClick={onClick} />
            <br />
            <br />
            <p>
                Rect Clicked: {state.name} Value: {state.value} Id:
                {state.reactId} Height: {state.rectHeight}
            </p>
        </>
    );
};

export default BarsWithOnClick;
