import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343],
            ['Amy Gaudioso', 155838],
            ['Ben Behrens', 142747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 143255],
            ['Doug Ung', 131998],
            ['Helen Kim', 153558],
            ['Juan Giuffrida', 123020],
            ['This is a Very Very Long Name', 152321]
        ]
    }
];

export const BarchartAxisTitleExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Horizontal Bars</h4>
            <p className="mt-2 mb-3">
                The BarChart&apos;s orientation can be changed through the
                isHorizontal flag.
            </p>
            <BarChart
                data={basicData}
                isHorizontal={true}
                showMetricLine={true}
                xAxisTitle="Lines Of Code"
            />
        </section>
    );
};

export default BarchartAxisTitleExample;
