import React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const percentageData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 152343, { percentage: 0.11944901170708988 }],
            ['Amy Gaudioso', 155838, { percentage: 0.12218936929435203 }],
            ['Ben Behrens', 142747, { percentage: '11%' }],
            ['Bob Samuelson', 120301, { percentage: 0.09432553879977826 }],
            ['Daniel Raynes', 143255, { percentage: 0.11232329790078416 }],
            ['Doug Ung', 131998, { percentage: 0.10349691582358526 }],
            ['Helen Kim', 153558, { percentage: 0.12040166820738274 }],
            ['Juan Giuffrida', 123020, { percentage: 0.09645745075393157 }],
            [
                'Vera Carrillo-Marquez',
                152321,
                { percentage: 0.11943176195975948 }
            ]
        ]
    }
];

export const PercentageTooltipBarChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Percentage Tooltip Values</h4>
            Data items with a percentage meta value will display their overall
            percentage in the tooltip. Both numeric values and string values are
            accepted.
            <BarChart
                autoWidth
                data={percentageData}
                showMetricLine={true}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default PercentageTooltipBarChart;
