import React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Frequency',
        data: [
            ['Week 1', 5],
            ['Week 2', 3.5],
            ['Week 3', 6.5],
            ['Week 4', 2.5],
            ['Week 5', 0],
            ['Week 6', 7.1],
            ['Week 8', 6],
            ['Week 9', 7.2],
            ['Week 10', 0],
            ['Week 11', 2],
            ['Week 12', 3.25],
            ['Week 13', 5]
        ]
    }
];

export const BarChartWithRange: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Barchart with Focus regions</h4>
            <p className="mt-2 mb-3">
                Focus regions allow for a user to view optimal performance
                within a graph. Depending on the use case, the area within the
                focus region indicates optimal or non-optimal performance.
            </p>
            <BarChart
                data={basicData}
                paddingOuter={0.5}
                range={[3, 7]}
                yLabelFormat={v => `${v}x`}
            />
        </section>
    );
};

export default BarChartWithRange;
