import React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Frequency',
        data: [
            ['Week 1', 5],
            ['Week 2', 3.5],
            ['Week 3', 6.5],
            ['Week 4', 2.5],
            ['Week 5', 0],
            ['Week 6', 7.1],
            ['Week 8', 6],
            ['Week 9', 7.2],
            ['Week 10', 0],
            ['Week 11', 2],
            ['Week 12', 3.25],
            ['Week 13', 5]
        ]
    }
];

export const BarChartWithRange: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Barchart with Focus regions and custom colors</h4>
            <p className="mt-2 mb-3">Focus region with customized bar colors</p>
            <BarChart
                colors={[
                    'var(--va-deep-orange-200)',
                    'var(--va-light-green-600)',
                    'var(--va-green-700)',
                    'var(--va-red-800)'
                ]}
                data={basicData}
                paddingOuter={0.5}
                range={[3, 7]}
                yLabelFormat={v => `${v}x`}
            />
        </section>
    );
};

export default BarChartWithRange;
