import * as React from 'react';

import { BarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', 12343],
            ['Amy Gaudioso', 125838],
            ['Ben Behrens', 112747],
            ['Bob Samuelson', 120301],
            ['Daniel Raynes', 113255],
            ['Doug Ung', 101998],
            ['Helen Kim', 123558],
            ['Juan Giuffrida', 123020],
            ['Vera Carrillo-Marquez', 112321]
        ]
    }
];

/**
 * A Basic BarChart without YAxis using shouldShowYAxis prop.
 */
export const BasicBarChartWithoutYAxis: React.FC = (): React.ReactElement => {
    return (
        <BarChart
            data={basicData}
            isHorizontal
            shouldShowYAxis={false}
            width={500}
        />
    );
};

export default BasicBarChartWithoutYAxis;
