import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 95]],
            ['Amy Gaudioso', [155838, 97]],
            ['Ben Behrens', [142747, 89]],
            ['Bob Samuelson', [120301, 75]],
            ['Daniel Raynes', [143255, 89]],
            ['Doug Ung', [131998, 82]],
            ['Helen Kim', [153558, 96]],
            ['Juan Giuffrida', [123020, 77]],
            ['Vera Carrillo-Marquez', [152321, 95]]
        ]
    }
];

export const BarLineChartLegendsExample: React.FC = (): React.ReactElement => (
    <>
        <section className="mt-5">
            <h5>Line legend</h5>
            <p className="mt-2 mb-3">
                The y2LabelLegend prop can be used to customize the line chart
                label. If this prop is not set, the y2AxisTitle prop will be
                used. Otherwise, a default value will be displayed.
            </p>
        </section>
        <BarLineChart data={basicData} y2LabelLegend="Percentage" />
    </>
);

export default BarLineChartLegendsExample;
