import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ]
    }
];

export const BarLineChartAxisTitlesExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Axis Titles</h4>
            <p className="mt-2 mb-3">
                Axis titles can be added via extra attributes
                (xAxisTitle/yAxisTitle/y2AxisTitle)
            </p>
            <BarLineChart
                data={basicData}
                xAxisTitle="Team Members"
                y2AxisTitle="Commits"
                yAxisTitle="Lines Of Code"
            />
        </section>
    );
};

export default BarLineChartAxisTitlesExample;
