import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ]
    }
];

export const BarLineChartDomainPaddingExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Domain Padding</h4>
            <p className="mt-2 mb-3">
                Padding can also be added to the top of the chart to maintain
                some spacing for the highest data values in the right Y-axis.
                The value for these props (yAxisdomainPadding and
                y2AxisDomainPadding) are in the same units as the data.
            </p>
            <BarLineChart
                data={basicData}
                xAxisTitle="Team Members"
                y2AxisDomainPadding={300}
                y2AxisTitle="Commits"
                yAxisdomainPadding={15000}
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default BarLineChartDomainPaddingExample;
