import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ]
    }
];

export const BarLineChartCustomSizesExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The BarLineChart accepts width and height props to control
                    its size.
                </p>
                <BarLineChart
                    autoWidth={false}
                    data={basicData}
                    height={150}
                    width={400}
                    xAxisTitle="Team Members"
                    y2AxisTitle="Commits"
                    yAxisTitle="Lines of Code"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <BarLineChart
                    autoWidth={false}
                    data={basicData}
                    width={2000}
                    xAxisTitle="Team Members"
                    y2AxisTitle="Commits"
                    yAxisTitle="Lines of Code"
                />
            </div>
        </section>
    );
};

export default BarLineChartCustomSizesExample;
