import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ]
    }
];

const BarLineChartResizeableExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Resizeable Charts</h4>
        <div className="mt-2 mb-3">
            By default, charts are static sizes, autoWidth will make charts
            automatically expand to fit their container&apos;s width.
        </div>
        <div
            style={{
                resize: 'both',
                overflow: 'scroll',
                minHeight: '65px',
                padding: '8px',
                boxSizing: 'border-box'
            }}
        >
            <BarLineChart
                autoHeight
                data={basicData}
                margin={{ top: 10, right: 20, bottom: 20, left: 20 }}
                minWidth={800}
            />
        </div>
    </section>
);

export default BarLineChartResizeableExample;
