import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ]
    }
];

export const BasicBarLineChartWithoutY2Axis: React.FC = (): React.ReactElement => {
    return (
        <>
            <section className="mt-5">
                <h4>Hide right y-axis</h4>
            </section>
            <BarLineChart data={basicData} shouldShowY2Axis={false} />
        </>
    );
};

export default BasicBarLineChartWithoutY2Axis;
