import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

const multicolor: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]]
        ],
        color: 'var(--waveform-royal-500)'
    },
    {
        name: 'Updated',
        data: [
            ['Jeff Lennin', [100000, 75]],
            ['Germain ', [145000, 50]]
        ],
        color: 'var(--waveform-royal-900)'
    }
];

export const BarLineChartCustomColorsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the BarChart or adding a color
                property to a single data object.
            </p>
            <BarLineChart
                data={multicolor}
                xAxisTitle="Team Members"
                y2AxisTitle="Commits"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default BarLineChartCustomColorsExample;
