import React from 'react';

import { BarLineChart, PlotData } from '@preamp/waveform';

interface AllFeatureBarLineState {
    isLoading: boolean;
    isLoadingMoreData: boolean;
    data: PlotData[];
}

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano', [152343, 102]],
            ['Amy Gaudioso', [155838, 120]],
            ['Ben Behrens', [142747, 245]],
            ['Bob Samuelson', [120301, 100]],
            ['Daniel Raynes', [143255, 77]],
            ['Doug Ung', [131998, 89]],
            ['Helen Kim', [153558, 300]],
            ['Juan Giuffrida', [123020, 59]],
            ['Vera Carrillo-Marquez', [152321, 93]],
            ['Matt Rodriguez', [102321, 63]],
            ['Adam Molanoa', [152343, 102]],
            ['Amy Gaudiosoa', [155838, 120]],
            ['Ben Behrensa', [142747, 245]],
            ['Bob Samuelsona', [120301, 100]],
            ['Daniel Raynesa', [143255, 77]],
            ['Doug Unga', [131998, 89]],
            ['Helen Kima', [153558, 300]],
            ['Juan Giuffridaa', [123020, 59]],
            ['Vera Carrillo-Marqueza', [152321, 93]],
            ['Matt Rodrigueza', [102321, 63]],
            ['Adam Molanob', [152343, 102]],
            ['Amy Gaudiosob', [155838, 120]],
            ['Ben Behrensb', [142747, 245]],
            ['Bob Samuelsonb', [120301, 100]],
            ['Daniel Raynesb', [143255, 77]],
            ['Doug Ungb', [131998, 89]],
            ['Helen Kimb', [153558, 300]],
            ['Juan Giuffridab', [123020, 59]],
            ['Vera Carrillo-Marquezb', [152321, 93]],
            ['Matt Rodriguezb', [102321, 63]],
            ['Adam Molanoc', [152343, 102]],
            ['Amy Gaudiosoc', [155838, 120]],
            ['Ben Behrensc', [142747, 245]],
            ['Bob Samuelsonc', [120301, 100]],
            ['Daniel Raynesc', [143255, 77]],
            ['Doug Ungc', [131998, 89]],
            ['Helen Kimc', [153558, 300]],
            ['Juan Giuffridac', [123020, 59]],
            ['Vera Carrillo-Marquezc', [152321, 93]],
            ['Matt Rodriguezc', [102321, 63]],
            ['Adam Molanod', [152343, 102]],
            ['Amy Gaudiosod', [155838, 120]],
            ['Ben Behrensd', [142747, 245]],
            ['Bob Samuelsond', [120301, 100]],
            ['Daniel Raynesd', [143255, 77]],
            ['Doug Ungd', [131998, 89]],
            ['Helen Kimd', [153558, 300]],
            ['Juan Giuffridad', [123020, 59]],
            ['Vera Carrillo-Marquezd', [152321, 93]],
            ['Matt Rodriguezd', [102321, 63]],
            ['Adam Molanoe', [152343, 102]],
            ['Amy Gaudiosoe', [155838, 120]],
            ['Ben Behrense', [142747, 245]],
            ['Bob Samuelsone', [120301, 100]],
            ['Daniel Raynese', [143255, 77]],
            ['Doug Unge', [131998, 89]],
            ['Helen Kime', [153558, 300]],
            ['Juan Giuffridae', [123020, 59]],
            ['Vera Carrillo-Marqueze', [152321, 93]],
            ['Matt Rodrigueze', [102321, 63]],
            ['Adam Molanof', [152343, 102]],
            ['Amy Gaudiosof', [155838, 120]],
            ['Ben Behrensf', [142747, 245]],
            ['Bob Samuelsonf', [120301, 100]],
            ['Daniel Raynesf', [143255, 77]],
            ['Doug Ungf', [131998, 89]],
            ['Helen Kimf', [153558, 300]],
            ['Juan Giuffridaf', [123020, 59]],
            ['Vera Carrillo-Marquezf', [152321, 93]],
            ['Matt Rodriguezf', [102321, 63]],
            ['Adam Molanog', [152343, 102]],
            ['Amy Gaudiosog', [155838, 120]],
            ['Ben Behrensg', [142747, 245]],
            ['Bob Samuelsong', [120301, 100]],
            ['Daniel Raynesg', [143255, 77]],
            ['Doug Ungg', [131998, 89]],
            ['Helen Kimg', [153558, 300]],
            ['Juan Giuffridag', [123020, 59]],
            ['Vera Carrillo-Marquezg', [152321, 93]],
            ['Matt Rodriguezg', [102321, 63]],
            ['Adam Molanoh', [152343, 102]],
            ['Amy Gaudiosoh', [155838, 120]],
            ['Ben Behrensh', [142747, 245]],
            ['Bob Samuelsonh', [120301, 100]],
            ['Daniel Raynesh', [143255, 77]],
            ['Doug Ungh', [131998, 89]],
            ['Helen Kimh', [153558, 300]],
            ['Juan Giuffridah', [123020, 59]],
            ['Vera Carrillo-Marquezh', [152321, 93]],
            ['Matt Rodriguezh', [102321, 63]],
            ['Adam Molanoi', [152343, 102]],
            ['Amy Gaudiosoi', [155838, 120]],
            ['Ben Behrensi', [142747, 245]],
            ['Bob Samuelsoni', [120301, 100]],
            ['Daniel Raynesi', [143255, 77]],
            ['Doug Ungi', [131998, 89]],
            ['Helen Kimi', [153558, 300]],
            ['Juan Giuffridai', [123020, 59]],
            ['Vera Carrillo-Marquezi', [152321, 93]],
            ['Matt Rodriguezi', [102321, 63]],
            ['Adam Molanoi', [152343, 102]],
            ['Amy Gaudiosoi', [155838, 120]],
            ['Ben Behrensi', [142747, 245]],
            ['Bob Samuelsoni', [120301, 100]],
            ['Daniel Raynesi', [143255, 77]],
            ['Doug Ungi', [131998, 89]],
            ['Helen Kimi', [153558, 300]],
            ['Juan Giuffridai', [123020, 59]],
            ['Vera Carrillo-Marquezi', [152321, 93]],
            ['Matt Rodriguezi', [102321, 63]],
            ['Adam Molanoj', [152343, 102]],
            ['Amy Gaudiosoj', [155838, 120]],
            ['Ben Behrensj', [142747, 245]],
            ['Bob Samuelsonj', [120301, 100]],
            ['Daniel Raynesj', [143255, 77]],
            ['Doug Ungj', [131998, 89]],
            ['Helen Kimj', [153558, 300]],
            ['Juan Giuffridaj', [123020, 59]],
            ['Vera Carrillo-Marquezj', [152321, 93]],
            ['Matt Rodriguezj', [102321, 63]],
            ['Adam Molanoh', [152343, 102]],
            ['Amy Gaudiosoh', [155838, 120]],
            ['Ben Behrensh', [142747, 245]],
            ['Bob Samuelsonh', [120301, 100]],
            ['Daniel Raynesh', [143255, 77]],
            ['Doug Ungh', [131998, 89]],
            ['Helen Kimh', [153558, 300]],
            ['Juan Giuffridah', [123020, 59]],
            ['Vera Carrillo-Marquezh', [152321, 93]],
            ['Matt Rodriguezh', [102321, 63]],
            ['Adam Molanok', [152343, 102]],
            ['Amy Gaudiosok', [155838, 120]],
            ['Ben Behrensk', [142747, 245]],
            ['Bob Samuelsonk', [120301, 100]],
            ['Daniel Raynesk', [143255, 77]],
            ['Doug Ungk', [131998, 89]],
            ['Helen Kimk', [153558, 300]],
            ['Juan Giuffridak', [123020, 59]],
            ['Vera Carrillo-Marquezk', [152321, 93]],
            ['Matt Rodriguezk', [102321, 63]],
            ['Adam Molanol', [152343, 102]],
            ['Amy Gaudiosol', [155838, 120]],
            ['Ben Behrensl', [142747, 245]],
            ['Bob Samuelsonl', [120301, 100]],
            ['Daniel Raynesl', [143255, 77]],
            ['Doug Ungl', [131998, 89]],
            ['Helen Kiml', [153558, 300]],
            ['Juan Giuffridal', [123020, 59]],
            ['Vera Carrillo-Marquezl', [152321, 93]],
            ['Matt Rodriguezl', [102321, 63]],
            ['Adam Molanoo', [152343, 102]],
            ['Amy Gaudiosoo', [155838, 120]],
            ['Ben Behrenso', [142747, 245]],
            ['Bob Samuelsono', [120301, 100]],
            ['Daniel Rayneso', [143255, 77]],
            ['Doug Ungo', [131998, 89]],
            ['Helen Kimo', [153558, 300]],
            ['Juan Giuffridao', [123020, 59]],
            ['Vera Carrillo-Marquezo', [152321, 93]],
            ['Matt Rodriguezo', [102321, 63]],
            ['Adam Molanop', [152343, 102]],
            ['Amy Gaudiosop', [155838, 120]],
            ['Ben Behrensp', [142747, 245]],
            ['Bob Samuelsonp', [120301, 100]],
            ['Daniel Raynesp', [143255, 77]],
            ['Doug Ungp', [131998, 89]],
            ['Helen Kimp', [153558, 300]],
            ['Juan Giuffridap', [123020, 59]],
            ['Vera Carrillo-Marquezp', [152321, 93]],
            ['Matt Rodriguezp', [102321, 63]],
            ['Adam Molanou', [152343, 102]],
            ['Amy Gaudiosou', [155838, 120]],
            ['Ben Behrensu', [142747, 245]],
            ['Bob Samuelsou', [120301, 100]],
            ['Daniel Rayneu', [143255, 77]],
            ['Doug Ungu', [131998, 89]],
            ['Helen Kimu', [153558, 300]],
            ['Juan Giuffridau', [123020, 59]],
            ['Vera Carrillo-Marquezu', [152321, 93]],
            ['Matt Rodriguezu', [102321, 63]],
            ['Adam Molanow', [152343, 102]],
            ['Amy Gaudiosow', [155838, 120]],
            ['Ben Behrensw', [142747, 245]],
            ['Bob Samuelsonw', [120301, 100]],
            ['Daniel Raynesw', [143255, 77]],
            ['Doug Ungw', [131998, 89]],
            ['Helen Kimw', [153558, 300]],
            ['Juan Giuffridaw', [123020, 59]],
            ['Vera Carrillo-Marquezw', [152321, 93]],
            ['Matt Rodriguezw', [102321, 63]],
            ['Adam Molano1', [152343, 102]],
            ['Amy Gaudioso1', [155838, 120]],
            ['Ben Behrens1', [142747, 245]],
            ['Bob Samuelsoni1', [120301, 100]],
            ['Daniel Raynesi1', [143255, 77]],
            ['Doug Ungi1', [131998, 89]],
            ['Helen Kimi1', [153558, 300]],
            ['Juan Giuffridai1', [123020, 59]],
            ['Vera Carrillo-Marquezi1', [152321, 93]],
            ['Matt Rodriguezi1', [102321, 63]],
            ['Adam Molano2', [152343, 102]],
            ['Amy Gaudiosoi2', [155838, 120]],
            ['Ben Behrensi2', [142747, 245]],
            ['Bob Samuelsoni2', [120301, 100]],
            ['Daniel Raynesi2', [143255, 77]],
            ['Doug Ungi2', [131998, 89]],
            ['Helen Kimi2', [153558, 300]],
            ['Juan Giuffridai2', [123020, 59]],
            ['Vera Carrillo-Marquezi2', [152321, 93]],
            ['Matt Rodriguezi2', [102321, 63]],
            ['Adam Molanoj3', [152343, 102]],
            ['Amy Gaudiosoj3', [155838, 120]],
            ['Ben Behrensj3', [142747, 245]],
            ['Bob Samuelsonj3', [120301, 100]],
            ['Daniel Raynesj3', [143255, 77]],
            ['Doug Ungj3', [131998, 89]],
            ['Helen Kimj3', [153558, 300]],
            ['Juan Giuffridaj3', [123020, 59]],
            ['Vera Carrillo-Marquez3', [152321, 93]],
            ['Matt Rodriguezj3', [102321, 63]],
            ['Adam Molanoh4', [152343, 102]],
            ['Amy Gaudiosoh4', [155838, 120]],
            ['Ben Behrensh4', [142747, 245]],
            ['Bob Samuelsonh4', [120301, 100]],
            ['Daniel Raynesh4', [143255, 77]],
            ['Doug Ungh4', [131998, 89]],
            ['Helen Kimh4', [153558, 300]],
            ['Juan Giuffridah4', [123020, 59]],
            ['Vera Carrillo-Marquezh4', [152321, 93]],
            ['Matt Rodriguezh4', [102321, 63]],
            ['Adam Molanok5', [152343, 102]],
            ['Amy Gaudiosok5', [155838, 120]],
            ['Ben Behrensk5', [142747, 245]],
            ['Bob Samuelsonk5', [120301, 100]],
            ['Daniel Raynesk5', [143255, 77]],
            ['Doug Ungk5', [131998, 89]],
            ['Helen Kimk5', [153558, 300]],
            ['Juan Giuffridak5', [123020, 59]],
            ['Vera Carrillo-Marquezk5', [152321, 93]],
            ['Matt Rodriguezk5', [102321, 63]],
            ['Adam Molanol6', [152343, 102]],
            ['Amy Gaudiosol6', [155838, 120]],
            ['Ben Behrensl6', [142747, 245]],
            ['Bob Samuelsonl6', [120301, 100]],
            ['Daniel Raynesl6', [143255, 77]],
            ['Doug Ungl6', [131998, 89]],
            ['Helen Kiml6', [153558, 300]],
            ['Juan Giuffridal6', [123020, 59]],
            ['Vera Carrillo-Marquezl6', [152321, 93]],
            ['Matt Rodriguezl6', [102321, 63]],
            ['Adam Molanoo1', [152343, 102]],
            ['Amy Gaudiosoo1', [155838, 120]],
            ['Ben Behrenso1', [142747, 245]],
            ['Bob Samuelsono1', [120301, 100]],
            ['Daniel Rayneso1', [143255, 77]],
            ['Doug Ungo1', [131998, 89]],
            ['Helen Kimo1', [153558, 300]],
            ['Juan Giuffridao1', [123020, 59]],
            ['Vera Carrillo-Marquezo1', [152321, 93]],
            ['Matt Rodriguezo1', [102321, 63]],
            ['Adam Molanop1', [152343, 102]],
            ['Amy Gaudiosop1', [155838, 120]],
            ['Ben Behrensp1', [142747, 245]],
            ['Bob Samuelsonp1', [120301, 100]],
            ['Daniel Raynesp1', [143255, 77]],
            ['Doug Ungp1', [131998, 89]],
            ['Helen Kimp1', [153558, 300]],
            ['Juan Giuffridap1', [123020, 59]],
            ['Vera Carrillo-Marquezp1', [152321, 93]],
            ['Matt Rodriguezp1', [102321, 63]],
            ['Adam Molanou1', [152343, 102]],
            ['Amy Gaudiosou1', [155838, 120]],
            ['Ben Behrensu1', [142747, 245]],
            ['Bob Samuelsou1', [120301, 100]],
            ['Daniel Rayneu1', [143255, 77]],
            ['Doug Ungu1', [131998, 89]],
            ['Helen Kimu1', [153558, 300]],
            ['Juan Giuffridau1', [123020, 59]],
            ['Vera Carrillo-Marquezu1', [152321, 93]],
            ['Matt Rodriguezu1', [102321, 63]],
            ['Adam Molanow1', [152343, 102]],
            ['Amy Gaudiosow1', [155838, 120]],
            ['Ben Behrensw1', [142747, 245]],
            ['Bob Samuelsonw1', [120301, 100]],
            ['Daniel Raynesw1', [143255, 77]],
            ['Doug Ungw1', [131998, 89]],
            ['Helen Kimw1', [153558, 300]],
            ['Juan Giuffridaw1', [123020, 59]],
            ['Vera Carrillo-Marquezw1', [152321, 93]],
            ['Matt Rodriguezw1', [102321, 63]],
            ['Adam Molanoi2', [152343, 102]],
            ['Amy Gaudiosoi2', [155838, 120]],
            ['Ben Behrensi2', [142747, 245]],
            ['Bob Samuelsoni2', [120301, 100]],
            ['Daniel Raynesi2', [143255, 77]],
            ['Doug Ungi2', [131998, 89]],
            ['Helen Kimi2', [153558, 300]],
            ['Juan Giuffridai2', [123020, 59]],
            ['Vera Carrillo-Marquezi2', [152321, 93]],
            ['Matt Rodriguezi2', [102321, 63]],
            ['Adam Molanoi3', [152343, 102]],
            ['Amy Gaudiosoi3', [155838, 120]],
            ['Ben Behrensi3', [142747, 245]],
            ['Bob Samuelsoni3', [120301, 100]],
            ['Daniel Raynesi3', [143255, 77]],
            ['Doug Ungi3', [131998, 89]],
            ['Helen Kimi3', [153558, 300]],
            ['Juan Giuffridai3', [123020, 59]],
            ['Vera Carrillo-Marquezi3', [152321, 93]],
            ['Matt Rodriguezi3', [102321, 63]],
            ['Adam Molanoj2', [152343, 102]],
            ['Amy Gaudiosoj2', [155838, 120]],
            ['Ben Behrensj2', [142747, 245]],
            ['Bob Samuelsonj2', [120301, 100]],
            ['Daniel Raynesj2', [143255, 77]],
            ['Doug Ungj2', [131998, 89]],
            ['Helen Kimj2', [153558, 300]],
            ['Juan Giuffridaj2', [123020, 59]],
            ['Vera Carrillo-Marquezj2', [152321, 93]],
            ['Matt Rodriguezj2', [102321, 63]],
            ['Adam Molanoh2', [152343, 102]],
            ['Amy Gaudiosoh2', [155838, 120]],
            ['Ben Behrensh2', [142747, 245]],
            ['Bob Samuelsonh2', [120301, 100]],
            ['Daniel Raynesh2', [143255, 77]],
            ['Doug Ungh2', [131998, 89]],
            ['Helen Kimh2', [153558, 300]],
            ['Juan Giuffridah2', [123020, 59]],
            ['Vera Carrillo-Marquezh2', [152321, 93]],
            ['Matt Rodriguezh2', [102321, 63]],
            ['Adam Molanok2', [152343, 102]],
            ['Amy Gaudiosok2', [155838, 120]],
            ['Ben Behrensk2', [142747, 245]],
            ['Bob Samuelsonk2', [120301, 100]],
            ['Daniel Raynesk2', [143255, 77]],
            ['Doug Ungk2', [131998, 89]],
            ['Helen Kimk2', [153558, 300]],
            ['Juan Giuffridak2', [123020, 59]],
            ['Vera Carrillo-Marquezk2', [152321, 93]],
            ['Matt Rodriguezk2', [102321, 63]],
            ['Adam Molanol2', [152343, 102]],
            ['Amy Gaudiosol2', [155838, 120]],
            ['Ben Behrensl2', [142747, 245]],
            ['Bob Samuelsonl2', [120301, 100]],
            ['Daniel Raynesl2', [143255, 77]],
            ['Doug Ungl2', [131998, 89]],
            ['Helen Kiml2', [153558, 300]],
            ['Juan Giuffridal2', [123020, 59]],
            ['Vera Carrillo-Marquezl2', [152321, 93]],
            ['Matt Rodriguezl2', [102321, 63]],
            ['Adam Molanoo2', [152343, 102]],
            ['Amy Gaudiosoo2', [155838, 120]],
            ['Ben Behrenso2', [142747, 245]],
            ['Bob Samuelsono2', [120301, 100]],
            ['Daniel Rayneso2', [143255, 77]],
            ['Doug Ungo2', [131998, 89]],
            ['Helen Kimo2', [153558, 300]],
            ['Juan Giuffridao2', [123020, 59]],
            ['Vera Carrillo-Marquezo2', [152321, 93]],
            ['Matt Rodriguezo2', [102321, 63]],
            ['Adam Molanop2', [152343, 102]],
            ['Amy Gaudiosop2', [155838, 120]],
            ['Ben Behrensp2', [142747, 245]],
            ['Bob Samuelsonp2', [120301, 100]],
            ['Daniel Raynesp2', [143255, 77]],
            ['Doug Ungp2', [131998, 89]],
            ['Helen Kimp2', [153558, 300]],
            ['Juan Giuffridap2', [123020, 59]],
            ['Vera Carrillo-Marquezp2', [152321, 93]],
            ['Matt Rodriguezp2', [102321, 63]],
            ['Adam Molanou2', [152343, 102]],
            ['Amy Gaudiosou2', [155838, 120]],
            ['Ben Behrensu2', [142747, 245]],
            ['Bob Samuelsou2', [120301, 100]],
            ['Daniel Rayneu2', [143255, 77]],
            ['Doug Ungu2', [131998, 89]],
            ['Helen Kimu2', [153558, 300]],
            ['Juan Giuffridau2', [123020, 59]],
            ['Vera Carrillo-Marquezu2', [152321, 93]],
            ['Matt Rodriguezu2', [102321, 63]],
            ['Adam Molanow2', [152343, 102]],
            ['Amy Gaudiosow2', [155838, 120]],
            ['Ben Behrensw2', [142747, 245]],
            ['Bob Samuelsonw2', [120301, 100]],
            ['Daniel Raynesw2', [143255, 77]],
            ['Doug Ungw2', [131998, 89]],
            ['Helen Kimw2', [153558, 300]],
            ['Juan Giuffridaw2', [123020, 59]],
            ['Vera Carrillo-Marquezw2', [152321, 93]],
            ['Matt Rodriguezw2', [102321, 63]]
        ]
    }
];

export const BarLineChartInfiniteScrollExample: React.FC = (): React.ReactElement => {
    const [state, setState] = React.useState<AllFeatureBarLineState>({
        isLoading: false,
        isLoadingMoreData: false,
        data: []
    });

    function appendMoreRows(): void {
        const { data } = state;
        const newData = basicData[0].data.slice(0, data[0].data.length + 100);
        setState(
            (prevState: AllFeatureBarLineState): AllFeatureBarLineState => ({
                ...prevState,
                data: [{ ...basicData[0], data: newData }],
                isLoadingMoreData: false
            })
        );
    }

    function onScrollToRight(): void {
        if (state.data[0].data.length < basicData[0].data.length) {
            setState(
                (prevState: AllFeatureBarLineState): AllFeatureBarLineState => {
                    setTimeout((): void => {
                        appendMoreRows();
                    }, 1500);
                    return {
                        ...prevState,
                        isLoadingMoreData: true
                    };
                }
            );
        }
    }

    // mock initial loading of data
    React.useEffect((): void => {
        setState(
            (prevState: AllFeatureBarLineState): AllFeatureBarLineState => ({
                ...prevState,
                isLoading: true
            })
        );
        window.setTimeout((): void => {
            setState(
                (
                    prevState: AllFeatureBarLineState
                ): AllFeatureBarLineState => ({
                    ...prevState,
                    isLoading: false,
                    data: [
                        {
                            ...basicData[0],
                            data: basicData[0].data.slice(0, 100)
                        }
                    ]
                })
            );
        }, 3000);
    }, []);

    return (
        <>
            <section className="mt-5">
                <h5>Infinite Scroll BarLineChart</h5>
            </section>
            <BarLineChart
                data={state.data}
                isLoading={state.isLoading}
                isLoadingMoreData={state.isLoadingMoreData}
                onScrollToRight={onScrollToRight}
            />
        </>
    );
};

export default BarLineChartInfiniteScrollExample;
