import React from 'react';

import { BubbleChart } from '@preamp/waveform';
import { smallBubbleData } from './data/smallBubble';

/**
 * A Basic BubbleChart - only data is required to create a basic chart.
 */
export const BasicBubbleChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Bubble Charts</h4>
            <p className="mt-2 mb-3">
                Axis titles can be added via extra attributes
                (xAxisTitle/yAxisTitle)
            </p>
            <BubbleChart
                autoWidth
                data={smallBubbleData.slice(0, 2)}
                dataUI="basic_bubble-chart"
                xAxisTitle="Comparison Index"
                yAxisTitle="Base Index"
            />
        </section>
    );
};

export default BasicBubbleChart;
