import React from 'react';

import { BubbleChart } from '@preamp/waveform';
import { smallBubbleData } from './data/smallBubble';

export const BubbleChartQuadrantLabelsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Quadrant Labels</h4>
            <p className="mt-2">
                The BubbleChart&apos;s quadrant labels can be set through the
                quadrantLabels property.
            </p>

            <BubbleChart
                autoWidth
                data={smallBubbleData.slice(0, 2)}
                dataUI="bubble-chart-1"
                quadrantLabels={[
                    'Both Audiences are somewhat even in this Area',
                    'Your Comparison Audience Owns this Quadrant',
                    'Both Audiences are somewhat even in this Area',
                    'Your Base Audience Owns this Area'
                ]}
                xAxisTitle="Comparison Index"
                xTickAlignToData={false}
                yAxisTitle="Base Index"
            />
        </section>
    );
};

export default BubbleChartQuadrantLabelsExample;
