import * as React from 'react';

import { LineChart } from '@preamp/waveform';

import { smallData } from './data/small';

export const CustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The LineChart accepts width and height props to control its
                    size.
                </p>
                <LineChart
                    data={smallData}
                    height={150}
                    width={400}
                    xAxisTitle="time"
                    xLabelFormat="%b"
                    yAxisTitle="pets"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <LineChart
                    data={smallData}
                    width={3000}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
        </section>
    );
};

export default CustomSizeExample;
