import React from 'react';

import { LineChart } from '@preamp/waveform';

import { weeklyData } from './data/weekly';

/**
 * Align to Data LineChart - force x axis ticks and gridlines to line up with the data.
 */
export const AlignToDataLineChart: React.FC = (): React.ReactElement => {
    return (
        <div>
            <p>Without alignment</p>
            <LineChart data={weeklyData.slice(0, 2)} xTickAlignToData={false} />
            <p>With alignment</p>
            <LineChart data={weeklyData.slice(0, 2)} xTickAlignToData />
        </div>
    );
};

export default AlignToDataLineChart;
