import * as React from 'react';

import { LineChart, PlotData, TimeValue } from '@preamp/waveform';

import { smallData } from './data/small';

const [firstSmall, ...restData] = smallData;

const singlePointData: PlotData<TimeValue>[] = [
    { ...firstSmall, data: firstSmall.data.slice(1, 2) },
    ...restData
];

const LineChartSingleDataPoint: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Single Data Points</h4>
            <p className="mt-2 mb-3">
                Data with a single data point will be displayed as single
                circles.
            </p>
            <LineChart
                data={singlePointData}
                dataUI="single-data-point"
                xAxisTitle="time"
                yAxisTitle="semi-rare pets"
            />
        </section>
    );
};

export default LineChartSingleDataPoint;
