import React, { ReactElement } from 'react';

import { CurveFunction, LineChart } from '@preamp/waveform';

import { smallData } from './data/small';

export const CurveLineChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>LineChart with a d3 curve function</h4>
            <p className="mt-2 mb-5">
                Support values of <code>curve</code> include:
            </p>
            <ul>
                {Object.keys(CurveFunction).map(
                    (curve: string): ReactElement => (
                        <li key={curve}>
                            <code>{curve}</code>
                        </li>
                    )
                )}
            </ul>
            <LineChart
                curve={CurveFunction.MonotoneX}
                data={smallData.slice(0, 2)}
            />
        </section>
    );
};

export default CurveLineChart;
