import React, { FunctionComponent, ReactElement } from 'react';

import { LineChart, LinePlotData, LineStyle } from '@preamp/waveform';

const data: LinePlotData[] = [
    {
        name: 'Dotted',
        data: [
            [new Date(2018, 0, 1), 1],
            [new Date(2019, 0, 1), 2],
            [new Date(2020, 0, 1), 3]
        ],
        lineStyle: LineStyle.Dotted
    },
    {
        name: 'Solid',
        data: [
            [new Date(2018, 0, 1), 2],
            [new Date(2019, 0, 1), 3],
            [new Date(2020, 0, 1), 4]
        ],
        lineStyle: LineStyle.Solid
    },
    {
        name: 'Dashed',
        data: [
            [new Date(2018, 0, 1), 3],
            [new Date(2019, 0, 1), 4],
            [new Date(2020, 0, 1), 5]
        ],
        lineStyle: LineStyle.Dashed
    },
    {
        name: 'Dashdot',
        data: [
            [new Date(2018, 0, 1), 4],
            [new Date(2019, 0, 1), 5],
            [new Date(2020, 0, 1), 6]
        ],
        lineStyle: LineStyle.Dashdot
    },
    {
        name: 'Default',
        data: [
            [new Date(2018, 0, 1), 5],
            [new Date(2019, 0, 1), 6],
            [new Date(2020, 0, 1), 7]
        ]
        // By default: LineStyle.Solid
    },
    {
        name: 'Custom',
        data: [
            [new Date(2018, 0, 1), 6],
            [new Date(2019, 0, 1), 7],
            [new Date(2020, 0, 1), 8]
        ],
        lineStyle: [30, 5, 0.5, 5, 0.5, 5, 0.5, 5] // dash, dot, dot, dot, dash, dot, dot, dot, dash, ...
    }
];

/**
 * LineChart with line styles: Dashed, Dotted, Dashdot, Solid (default) or a custom value (array of numbers).
 */
export const LineStylesLineChartExample: FunctionComponent = (): ReactElement => (
    <LineChart data={data} />
);

export default LineStylesLineChartExample;
