import React, { ReactElement, FC } from 'react';

import { CurveFunction, LineChart } from '@preamp/waveform';

import { numberValueType } from './data/numberValueType';

export const NonDateXAxisExample: FC = (): ReactElement => {
    return (
        <section className="mt-5">
            <h4>Non Date X-Axis(Number Data) Example</h4>
            <div className="mt-2 mb-3">
                Display a LineChart with non Date Type X-Axis Values
            </div>

            <LineChart
                curve={CurveFunction.MonotoneX}
                data={numberValueType}
                xAxisTitle="Linear Budget"
                xLabelFormat="$,"
                yAxisTitle="Linear Reach"
                yLabelFormat="~%"
            />
        </section>
    );
};

export default NonDateXAxisExample;
