import React from 'react';

import { LineChart, LinePointShape, PlotData } from '@preamp/waveform';

export const data: PlotData[] = [
    {
        name: 'Line with Optimal Points',
        data: [
            [0, 1],
            [1, 5],
            [
                3,
                3,
                {
                    radiusSize: 10,
                    customTooltipTitle: 'Optimal Spend'
                }
            ],
            [8, 2]
        ]
    },
    {
        name: 'Custom Digital Tactic 1',
        data: [
            [4, 2],
            [2, 2],
            [5, 1, { shapeSize: 10 }],
            [6, 1]
        ],
        color: 'var(--va-grey-600)',
        linePointShape: LinePointShape.Diamond
    },
    {
        name: 'Custom Digital Tactic 2',
        data: [[1, 1, { shapeSize: 8 }]],
        color: 'var(--va-grey-400)',
        linePointShape: LinePointShape.Diamond
    }
];

/**
 * Custom Point LineChart - add custom size, shape, and tooltip title
 * for certain highlighted points.
 * For point shape, default is a circle; custom option is a diamond.
 */
export const CustomPointChart: React.FC = (): React.ReactElement => {
    return <LineChart data={data} />;
};

export default CustomPointChart;
