import * as React from 'react';

import { LollipopChart } from '@preamp/waveform';

import { basicData } from './data/basic';

export const LollipopDomainPaddingExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Domain Padding</h4>
            <p className="mt-2 mb-3">
                Padding can also be added to the top of the chart to maintain
                some spacing for the highest data values. The value for this
                prop is in the same units as the data.
            </p>
            <LollipopChart
                data={basicData}
                xAxisTitle="Team Members"
                yAxisdomainPadding={15000}
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default LollipopDomainPaddingExample;
