import * as React from 'react';

import { LollipopChart } from '@preamp/waveform';

import { basicData } from './data/basic';
import { featureData } from './data/feature';

export const LollipopFeatureDataExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Featured Data</h4>
            <p className="mt-2 mb-3">
                An additional set of circles can be added through the feature
                prop, these circles are used for comparing metrics for a single
                entity.
            </p>
            <LollipopChart
                data={basicData}
                feature={featureData}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default LollipopFeatureDataExample;
