import * as React from 'react';

import { CategoryValue, PlotData, LollipopChart } from '@preamp/waveform';

import { basicData } from './data/basic';
import { featureData } from './data/feature';

const colorFeatureData: PlotData<CategoryValue> = { ...featureData };
colorFeatureData.color = 'var(--waveform-warning-500)';

export const LollipopCustomColorsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the LollipopChart or adding a
                color property to a single data object.
            </p>
            <LollipopChart
                colors={['var(--va-blue-A100)']}
                data={basicData}
                feature={colorFeatureData}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default LollipopCustomColorsExample;
