import * as React from 'react';

import { LollipopChart } from '@preamp/waveform';

import { basicData } from './data/basic';
import { featureData } from './data/feature';

export const LollipopCustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The LineChart accepts width and height props to control its
                    size.
                </p>
                <LollipopChart
                    data={basicData}
                    feature={featureData}
                    height={150}
                    width={400}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <LollipopChart
                    data={basicData}
                    feature={featureData}
                    width={3000}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
        </section>
    );
};

export default LollipopCustomSizeExample;
