import * as React from 'react';

import { LollipopChart } from '@preamp/waveform';

import { bigData } from './data/big';

export const DataDeterminingOverflowExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Automatic Overflow</h4>
                <p className="mt-2 mb-3">
                    LollipopCharts with more than 30 data points will calculate
                    a width and automatically overflow to avoid crowding data.
                </p>
                <LollipopChart
                    data={bigData}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
            <div className="mt-4 mb-4">
                <p className="mt-2 mb-3">
                    This can be optionally overridden through the shouldOverflow
                    prop.
                </p>
                <LollipopChart
                    data={bigData}
                    shouldDataDetermineWidth={false}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
        </section>
    );
};

export default DataDeterminingOverflowExample;
