import React from 'react';

import { CategoryValue, PlotData, LollipopChart } from '@preamp/waveform';

import { basicData } from './data/basic';

const data: PlotData<CategoryValue> = {
    ...basicData,
    name: 'Lines of Code Added'
};

export const TooltipValueFormatExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Format Tooltip Values</h4>
            <p className="mt-2 mb-3">
                Set custom format for values in tooltip using tooltipNumFormat
                prop
            </p>
            <LollipopChart data={data} tooltipNumFormat=".3s" />
        </section>
    );
};

export default TooltipValueFormatExample;
