import { times } from 'lodash';

import { CategoryValue, PlotData } from '@preamp/waveform';

function buildData(): any[] {
    const exampleData: any[] = [
        ['Adam Molano', 152343],
        ['Amy Gaudioso', 155838],
        ['Ben Behrens', 142747],
        ['Bob Samuelson', 120301],
        ['Daniel Raynes', 143255],
        ['Doug Ung', 131998],
        ['Helen Kim', 153558],
        ['Juan Giuffrida', 123020],
        ['Vera Carrillo-Marquez', 152321]
    ];

    return [
        ...times(4, (i: number): any =>
            exampleData.map(([name, value]: any): any => [
                `${name} ${i + 1}`,
                value
            ])
        ).reduce(
            (data: any[], currValue: any): any => [...data, ...currValue],
            []
        )
    ];
}

export const bigData: PlotData<CategoryValue> = {
    name: 'Added',
    data: buildData()
};
