import { times } from 'lodash';

import { CategoryValue, PlotData } from '@preamp/waveform';

function buildData(): any[] {
    const exampleData: any[] = [
        ['Adam Molano', 252343],
        ['Amy Gaudioso', 255838],
        ['Ben Behrens', 242747],
        ['Bob Samuelson', 220301],
        ['Daniel Raynes', 243255],
        ['Doug Ung', 231998],
        ['Helen Kim', 253558],
        ['Juan Giuffrida', 223020],
        ['Vera Carrillo-Marquez', 252321]
    ];

    return [
        ...times(4, (i: number): any =>
            exampleData.map(([name, value]: any): any => [
                `${name} ${i + 1}`,
                value
            ])
        ).reduce(
            (data: any[], currValue: any): any => [...data, ...currValue],
            []
        )
    ];
}

export const bigFeatureData: PlotData<CategoryValue> = {
    name: 'Removed',
    data: buildData()
};
