import React from 'react';

import { MekkoChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Mariokart Winners',
        data: [
            ['Baby Mario', 20],
            ['Peach', 14],
            ['Yoshi', 24],
            ['Toad', 10],
            ['Wario', 12]
        ]
    },
    {
        name: 'Mariokart Losers',
        data: [
            ['Luigi', 5],
            ['Bowser', 8],
            ['Birdo', 10],
            ['Waluigi', 8]
        ]
    }
];

export const CustomColorMekkoChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-6">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the MekkoChart or providing
                custom groupings
            </p>
            <MekkoChart
                autoWidth
                colors={[
                    'var(--waveform-sky-500)',
                    'var(--waveform-violet-500)'
                ]}
                data={multiData}
            />
        </section>
    );
};

export default CustomColorMekkoChart;
