import React from 'react';

import { MekkoChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Mariokart Winners',
        data: [
            ['Baby Mario', 20],
            ['Peach', 14],
            ['Yoshi', 24],
            ['Toad', 10],
            ['Wario', 12]
        ]
    },
    {
        name: 'Mariokart Losers',
        data: [
            ['Luigi', 5],
            ['Bowser', 8],
            ['Birdo', 10],
            ['Waluigi', 8]
        ]
    }
];

export const CustomSizesMekkoChart: React.FC = (): React.ReactElement => {
    return (
        <>
            <section className="mt-6">
                <h4>Custom Colors</h4>
                <p className="mt-2 mb-3">
                    MekkoChart accepts width and height props to control its
                    size.
                </p>
                <MekkoChart data={multiData} height={150} width={600} />
            </section>
            <section className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically
                </p>
                <MekkoChart data={multiData} width={2000} />
            </section>
        </>
    );
};

export default CustomSizesMekkoChart;
