import React from 'react';

import { MekkoChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Mariokart Winners',
        data: [
            ['Baby Mario', 20],
            ['Peach', 14],
            ['Yoshi', 24],
            ['Toad', 10],
            ['Wario', 12]
        ]
    },
    {
        name: 'Mariokart Losers',
        data: [
            ['Luigi', 5],
            ['Bowser', 8],
            ['Birdo', 10],
            ['Waluigi', 8]
        ]
    }
];

export const ResizableMekkoChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-6">
            <h4>Resizable Charts</h4>
            <p className="mt-2 mb-3">
                By default, charts are static sizes, autoWidth will make charts
                automatically expand to fit their container&apos;s width.
            </p>
            <div
                style={{
                    boxSizing: 'border-box',
                    minHeight: '65px',
                    overflow: 'hidden',
                    padding: '3px',
                    resize: 'both'
                }}
            >
                <MekkoChart
                    autoHeight
                    autoWidth
                    data={multiData}
                    minWidth={500}
                />
            </div>
        </section>
    );
};

export default ResizableMekkoChart;
