import React from 'react';

import { MekkoChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Mariokart Losers',
        data: [['Luigi', 1]]
    },
    {
        name: 'Mariokart Winners',
        data: [
            ['Baby Mario', 20],
            ['Peach', 14],
            ['Yoshi', 24],
            ['Toad', 1],
            ['Wario', 12]
        ]
    },
    {
        name: 'Mariokart Ultimate Losers',
        data: [['Diddy Kong', 1]]
    }
];

export const MinWidthMekkoChart: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-6">
            <h4>Minimum Width/Height Items</h4>
            <p className="mt-2 mb-3">
                Small sections with very little data will always be set to a
                minimum width or height to avoid hiding information.
            </p>
            <MekkoChart autoWidth data={multiData} />
        </section>
    );
};

export default MinWidthMekkoChart;
