import React from 'react';

import { MekkoChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Mariokart Winners',
        data: [
            ['Baby Mario', 20],
            ['Peach', 14],
            ['Yoshi', 24],
            ['Toad', 10],
            ['Wario', 12]
        ]
    },
    {
        name: 'Mariokart Losers',
        data: [
            ['Luigi', 5],
            ['Bowser', 8],
            ['Birdo', 10],
            ['Waluigi', 8]
        ]
    }
];

export const TransformerMekkoChart: React.FC = (): React.ReactElement => {
    const valueTransform = (value: number): number => value / 2;

    return (
        <section className="mt-6">
            <p className="mb-3">A MarimekkoChart using value transformer.</p>
            <MekkoChart
                autoWidth
                data={multiData}
                tooltipNumFormat=",.0f"
                valueTransform={valueTransform}
            />
        </section>
    );
};

export default TransformerMekkoChart;
