import * as React from 'react';

import { MultiBarChart } from '@preamp/waveform';
import { multiData } from './data/multi';

export const BarchartDomainPaddingExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Domain Padding</h4>
            <p className="mt-2 mb-3">
                Padding can also be added to the top of the chart to maintain
                some spacing for the highest data values. The value for this
                prop is in the same units as the data.
            </p>
            <MultiBarChart
                data={multiData}
                xAxisTitle="Team Members"
                yAxisdomainPadding={15000}
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default BarchartDomainPaddingExample;
