import * as React from 'react';

import { MultiBarChart } from '@preamp/waveform';
import { multiData } from './data/multi';

export const MultiBarCustomColorsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the BarChart or adding a color
                property to a single data object.
            </p>
            <MultiBarChart
                colors={[
                    'var(--waveform-sky-300)',
                    'var(--waveform-royal-300)',
                    'var(--waveform-error-500)'
                ]}
                data={multiData}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </section>
    );
};

export default MultiBarCustomColorsExample;
