import * as React from 'react';

import { MultiBarChart } from '@preamp/waveform';
import { multiData } from './data/multi';

export const MultiBarchartCustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The MultiBarChart accepts width and height props to control
                    its size.
                </p>
                <MultiBarChart
                    autoWidth={false}
                    data={multiData}
                    height={150}
                    shouldDataDetermineWidth={false}
                    width={600}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <MultiBarChart
                    autoWidth
                    data={multiData}
                    width={2000}
                    xAxisTitle="Team Members"
                    yAxisTitle="Lines of Code"
                />
            </div>
        </section>
    );
};

export default MultiBarchartCustomSizeExample;
