import * as React from 'react';

import { MultiBarChart } from '@preamp/waveform';
import { multiData } from './data/multi';

const MultiBarResizeableExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Resizeable Charts</h4>
        <div className="mt-2 mb-3">
            By default, charts are static sizes, autoWidth will make charts
            automatically expand to fit their container&apos;s width.
        </div>
        <div
            style={{
                resize: 'both',
                overflow: 'scroll',
                minHeight: '65px',
                padding: '8px',
                boxSizing: 'border-box'
            }}
        >
            <MultiBarChart
                autoHeight
                data={multiData}
                margin={{ top: 10, right: 20, bottom: 20, left: 20 }}
                minWidth={500}
            />
        </div>
    </section>
);

export default MultiBarResizeableExample;
