import * as React from 'react';

import { MultiBarChart } from '@preamp/waveform';

import { bigData } from './data/big';

export const MultiBarDataDeterminingOverflowExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Automatic Overflow</h4>
                <p className="mt-2 mb-3">
                    BarCharts with more than 30 data points will calculate a
                    width and automatically overflow to avoid crowding data.
                </p>
                <MultiBarChart
                    autoWidth
                    data={bigData}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
            <div className="mt-4 mb-4">
                <p className="mt-2 mb-3">
                    This can be optionally overridden through the shouldOverflow
                    prop. It doesn&apos;t respect the minimum and maximum values
                    established
                </p>
                <MultiBarChart
                    data={bigData}
                    shouldDataDetermineWidth={false}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
        </section>
    );
};

export default MultiBarDataDeterminingOverflowExample;
