import * as React from 'react';

import { MultiBarChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[] = [
    {
        name: 'Added',
        data: [
            ['Adam Molano (Columbia Office)', 152343],
            ['Amy Gaudioso (SM Office)', 155838],
            ['Ben Behrens (SM Office)', 142747],
            ['Bob Samuelson (York Office)', 120301],
            ['Daniel Raynes (Baltimore Office)', 143255],
            ['Doug Ung (SM Office)', 131998],
            ['Helen Kim (SM Office)', 153558],
            ['Juan Giuffrida (York Office)', 123020],
            ['Vera Carrillo-Marquez (Boston Office)', 152321]
        ]
    },
    {
        name: 'Removed',
        data: [
            ['Adam Molano (Columbia Office)', 182343],
            ['Amy Gaudioso (SM Office)', 125838],
            ['Ben Behrens (SM Office)', 162747],
            ['Bob Samuelson (York Office)', 100301],
            ['Daniel Raynes (Baltimore Office)', 93255],
            ['Doug Ung (SM Office)', 191998],
            ['Helen Kim (SM Office)', 123558],
            ['Juan Giuffrida (York Office)', 83020],
            ['Vera Carrillo-Marquez (Boston Office)', 142321]
        ]
    }
];

export const BarLongLabelExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Automatic Label Truncation</h4>
        Axis tick labels longer than 30 characters will be truncated in the
        middle to show the beginning and end of labels. A tooltip on hover will
        show the full name of the label.
        <MultiBarChart
            data={basicData}
            xAxisTitle="Team Members"
            yAxisTitle="Lines Of Code"
        />
    </section>
);

export default BarLongLabelExample;
