import React from 'react';

import { MultiBarChart, PlotData } from '@preamp/waveform';

const customData: PlotData[] = [
    {
        name: 'Cats',
        data: [
            ['Adam Molano', 152343, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142747, { id: 2 }],
            ['Bob Samuelson', 120301, { id: 3 }],
            ['Daniel Raynes', 143255, { id: 4 }],
            ['Doug Ung', 131998, { id: 5 }],
            ['Helen Kim', 153558, { id: 6 }],
            ['Juan Giuffrida', 123020, { id: 7 }],
            ['Vera Carrillo-Marquez', 152321, { id: 8 }]
        ]
    },
    {
        name: 'Dogs',
        data: [
            ['Adam Molano', 155838, { id: 0 }],
            ['Amy Gaudioso', 142747, { id: 1 }],
            ['Ben Behrens', 120301, { id: 2 }],
            ['Bob Samuelson', 143255, { id: 3 }],
            ['Daniel Raynes', 131998, { id: 4 }],
            ['Doug Ung', 153558, { id: 5 }],
            ['Helen Kim', 123020, { id: 6 }],
            ['Juan Giuffrida', 152321, { id: 7 }],
            ['Vera Carrillo-Marquez', 155843, { id: 8 }]
        ]
    },
    {
        name: 'Birds',
        data: [
            ['Adam Molano', 142747, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142747, { id: 2 }],
            ['Bob Samuelson', 120301, { id: 3 }],
            ['Daniel Raynes', 143255, { id: 4 }],
            ['Doug Ung', 131998, { id: 5 }],
            ['Helen Kim', 153558, { id: 6 }],
            ['Juan Giuffrida', 123020, { id: 7 }],
            ['Vera Carrillo-Marquez', 152221, { id: 8 }]
        ]
    },
    {
        name: 'Fish',
        data: [
            ['Adam Molano', 154343, { id: 0 }],
            ['Amy Gaudioso', 165838, { id: 1 }],
            ['Ben Behrens', 142947, { id: 2 }],
            ['Bob Samuelson', 125301, { id: 3 }],
            ['Daniel Raynes', 143155, { id: 4 }],
            ['Doug Ung', 131798, { id: 5 }],
            ['Helen Kim', 153358, { id: 6 }],
            ['Juan Giuffrida', 123920, { id: 7 }],
            ['Vera Carrillo-Marquez', 152329, { id: 8 }]
        ]
    },
    {
        name: 'Goats',
        data: [
            ['Adam Molano', 152348, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142746, { id: 2 }],
            ['Bob Samuelson', 120304, { id: 3 }],
            ['Daniel Raynes', 143253, { id: 4 }],
            ['Doug Ung', 135993, { id: 5 }],
            ['Helen Kim', 133587, { id: 6 }],
            ['Juan Giuffrida', 133587, { id: 7 }],
            ['Vera Carrillo-Marquez', 152624, { id: 8 }]
        ]
    }
];

export const MultiBarChartWithMetricLine: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Bar Charts with Metric Line</h4>
            <p className="mt-2 mb-3">
                The MultiBarChart&apos;s has an optional metric line feature
                that is used to allow users to compare bar values more easily.
            </p>
            <h3>Vertical Bars</h3>
            <MultiBarChart data={customData} showMetricLine />
            <MultiBarChart data={customData} showMetricLine stacked />
            <h3>Horizontal Bars</h3>
            <MultiBarChart data={customData} isHorizontal showMetricLine />
            <MultiBarChart
                data={customData}
                isHorizontal
                showMetricLine
                stacked
            />
        </section>
    );
};

export default MultiBarChartWithMetricLine;
