import React from 'react';

import { MultiBarChart, PlotData } from '@preamp/waveform';

const chartData: PlotData[] = [
    {
        name: 'Cats',
        data: [
            ['Adam Molano', 152343, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142747, { id: 2 }]
        ]
    },
    {
        name: 'Dogs',
        data: [
            ['Adam Molano', 155838, { id: 0 }],
            ['Amy Gaudioso', 142747, { id: 1 }],
            ['Ben Behrens', 120301, { id: 2 }]
        ]
    },
    {
        name: 'Birds',
        data: [
            ['Adam Molano', 142747, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142747, { id: 2 }]
        ]
    },
    {
        name: 'Fish',
        data: [
            ['Adam Molano', 154343, { id: 0 }],
            ['Amy Gaudioso', 165838, { id: 1 }],
            ['Ben Behrens', 142947, { id: 2 }]
        ]
    },
    {
        name: 'Goats',
        data: [
            ['Adam Molano', 152348, { id: 0 }],
            ['Amy Gaudioso', 155838, { id: 1 }],
            ['Ben Behrens', 142746, { id: 2 }]
        ]
    }
];

export const MultiBarChartTopXAxisExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>X-axis at the top of the chart</h4>
            <p className="mt-2">
                MultiBarChart can display the x-axis at the top of the chart.
            </p>

            <h5 className="mt-5">* Automatic x-axis ticks</h5>
            <MultiBarChart data={chartData} isHorizontal shouldShowXAxisAtTop />

            <h5 className="mt-5">* Custom x-axis ticks</h5>
            <MultiBarChart
                data={chartData}
                isHorizontal
                shouldShowXAxisAtTop
                xTicks={[100000]}
            />
        </section>
    );
};

export default MultiBarChartTopXAxisExample;
