import React from 'react';

import { MultiBarChart, PlotData } from '@preamp/waveform';

const multiData: PlotData[] = [
    {
        name: 'Cats',
        data: [
            ['Adam Molano', 0, { id: 0 }],
            ['Amy Gaudioso', 0, { id: 1 }],
            ['Ben Behrens', 0, { id: 2 }],
            ['Bob Samuelson', 0, { id: 3 }],
            ['Daniel Raynes', 0, { id: 4 }],
            ['Doug Ung', 0, { id: 5 }],
            ['Helen Kim', 0, { id: 6 }],
            ['Juan Giuffrida', 0, { id: 7 }],
            ['Vera Carrillo-Marquez', 0, { id: 8 }],
            ['Adam Molano', 0, { id: 9 }]
        ]
    },
    {
        name: 'Dogs',
        data: [
            ['Adam Molano', 0, { id: 0 }],
            ['Amy Gaudioso', 0, { id: 1 }],
            ['Ben Behrens', 0, { id: 2 }],
            ['Bob Samuelson', 0, { id: 3 }],
            ['Daniel Raynes', 0, { id: 4 }],
            ['Doug Ung', 0, { id: 5 }],
            ['Helen Kim', 0, { id: 6 }],
            ['Juan Giuffrida', 0, { id: 7 }],
            ['Vera Carrillo-Marquez', 0, { id: 8 }],
            ['Adam Molano', 0, { id: 9 }]
        ]
    },
    {
        name: 'Birds',
        data: [
            ['Adam Molano', 0, { id: 0 }],
            ['Amy Gaudioso', 0, { id: 1 }],
            ['Ben Behrens', 0, { id: 2 }],
            ['Bob Samuelson', 0, { id: 3 }],
            ['Daniel Raynes', 0, { id: 4 }],
            ['Doug Ung', 0, { id: 5 }],
            ['Helen Kim', 0, { id: 6 }],
            ['Juan Giuffrida', 0, { id: 7 }],
            ['Vera Carrillo-Marquez', 0, { id: 8 }],
            ['Adam Molano', 0, { id: 9 }]
        ]
    }
];

/**
 * MultiBarChart where all data points are 0.
 */
export const AllZerosMultiBarChart: React.FC = (): React.ReactElement => {
    return <MultiBarChart data={multiData} />;
};

export default AllZerosMultiBarChart;
