import React from 'react';

import { PieChart, CategoryValue } from '@preamp/waveform';

const data: CategoryValue[] = [
    ['Dachshund', 68],
    ['Chihuahua', 48],
    ['Beagle', 38],
    ['Pomeranian', 26]
];

/**
 * A basic PieChart and alternate Donut style
 */
export const BasicPieChart: React.FC = (): React.ReactElement => (
    <>
        <PieChart className="my-8" data={data} />
        <PieChart
            className="my-8"
            data={data}
            isDonut
            shouldShowLegend={false}
            tooltipNumFormat=",.2f"
        />
    </>
);

export default BasicPieChart;
