import React from 'react';

import { PieChart, CategoryValue } from '@preamp/waveform';

const data: CategoryValue[] = [
    ['Dachshund', 68, { color: 'var(--waveform-sky-200)', percentage: 0.32 }],
    ['Chihuahua', 48, { color: 'var(--waveform-royal-200)', percentage: 0.23 }],
    ['Beagle', 38, { color: 'var(--waveform-violet-200)', percentage: 0.18 }],
    [
        'Pomeranian',
        26,
        { color: 'var(--waveform-magenta-200)', percentage: 0.12 }
    ],
    ['Corgi', 32, { color: 'var(--waveform-warning-200)', percentage: 0.15 }]
];

/**
 * A resizable PieChart with custom colors
 */
export const ResizeablePieChart: React.FC = (): React.ReactElement => {
    return (
        <>
            <div
                style={{
                    boxSizing: 'border-box',
                    minHeight: '65px',
                    overflow: 'scroll',
                    padding: '8px',
                    resize: 'both'
                }}
            >
                <PieChart autoHeight autoWidth data={data} isDonut />
            </div>
        </>
    );
};

export default ResizeablePieChart;
