import * as React from 'react';

import { ScatterChart } from '@preamp/waveform';

import { smallData } from './data/small';

export const ScatterCustomColorsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through providing an array of
                colors to the the colors prop of the ScatterChart or adding a
                color property to a single data object.
            </p>
            <ScatterChart
                colors={[
                    'var(--waveform-default-500)',
                    'var(--waveform-violet-500)',
                    'var(--waveform-magenta-500)',
                    'var(--waveform-success-500)',
                    'var(--waveform-sky-500)'
                ]}
                data={smallData.slice(0, 4)}
                xAxisTitle="Farenheit"
                yAxisTitle="Profit"
            />
        </section>
    );
};

export default ScatterCustomColorsExample;
