import * as React from 'react';

import { ScatterChart } from '@preamp/waveform';

import { smallData } from './data/small';

export const ScatterCustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The LineChart accepts width and height props to control its
                    size.
                </p>
                <ScatterChart
                    data={smallData.slice(2, 3)}
                    height={150}
                    width={400}
                    xAxisTitle="Farenheit"
                    yAxisTitle="Profit"
                />
            </div>
        </section>
    );
};

export default ScatterCustomSizeExample;
