import * as React from 'react';

import { ScatterChart } from '@preamp/waveform';

import { moreProfitData } from './data/moreProfit';

export const ScatterLabelFormatsExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Axis Label Formatting</h4>
        <div className="mt-2 mb-3">
            Axis tick label formats can be customized through providing the
            xLabelFormat/yLabelFormat props.
            <br />
            X-Axis and Y-Axis labels consist of formatted strings and accept a
            format string to be used with d3&apos;s{' '}
            <a
                href="https://github.com/d3/d3-format#api-reference"
                rel="noopener noreferrer"
                target="_blank"
            >
                format
            </a>
            .
        </div>

        <ScatterChart data={moreProfitData} yLabelFormat="$~" />
    </section>
);

export default ScatterLabelFormatsExample;
