import * as React from 'react';

import { ScatterChart } from '@preamp/waveform';

import { smallData } from './data/small';

export const ScatterResizeableExample: React.FC = (): React.ReactElement => (
    <section className="mt-5">
        <h4>Resizeable Charts</h4>
        <div className="mt-2 mb-3">
            By default, charts are static sizes, autoWidth and autoHeight will
            make charts automatically expand to fit their container&apos;s width
            and height.
        </div>
        <div
            style={{
                resize: 'both',
                overflow: 'scroll',
                minHeight: '65px',
                padding: '8px',
                boxSizing: 'border-box'
            }}
        >
            <ScatterChart
                autoHeight
                autoWidth
                data={smallData.slice(0, 1)}
                margin={{ top: 10, right: 20, bottom: 20, left: 20 }}
                minWidth={500}
                xAxisTitle="Team Members"
                yAxisTitle="Lines of Code"
            />
        </div>
    </section>
);

export default ScatterResizeableExample;
