import * as React from 'react';

import { PlotData, StackedAreaChart } from '@preamp/waveform';

import { smallData } from '../LineChart/data/small';

const colorData: PlotData[] = [
    ...smallData,
    {
        name: 'Sharks',
        color: 'var(--waveform-error-500',
        data: [
            [new Date(2018, 0, 1), 99000],
            [new Date(2018, 1, 1), 80000],
            [new Date(2018, 2, 1), 70000],
            [new Date(2018, 3, 1), 75000],
            [new Date(2018, 4, 1), 80000],
            [new Date(2018, 5, 1), 50000],
            [new Date(2018, 6, 1), 65000],
            [new Date(2018, 7, 1), 37000],
            [new Date(2018, 8, 1), 24005],
            [new Date(2018, 9, 1), 30000],
            [new Date(2018, 10, 1), 5000],
            [new Date(2018, 11, 1), 0]
        ]
    }
];

const StackedAreaChartCustomColorExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Custom Colors</h4>
            <p className="mt-2 mb-3">
                Colors can customized either through passing the colors prop to
                StackedAreaChart or adding a color property to a single line
                data object.
            </p>
            <StackedAreaChart
                colors={[
                    'var(--waveform-default-500)',
                    'var(--waveform-violet-500)',
                    'var(--waveform-royal-500)',
                    'var(--waveform-success-500)',
                    'var(--waveform-sky-500)'
                ]}
                data={colorData}
                yAxisTitle="Pets"
            />
        </section>
    );
};

export default StackedAreaChartCustomColorExample;
