import * as React from 'react';

import { StackedAreaChart } from '@preamp/waveform';

import { smallData } from '../LineChart/data/small';

const StackedAreaChartLabelFormatsExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Axis Label Formatting</h4>
            <div className="mt-2 mb-3">
                Axis tick label formats can be customized through providing the
                xLabelFormat/yLabelFormat props.
                <h5 className="mt-3">xLabelFormat</h5>
                X-Axis labels consist of formatted dates and accept a format
                string to be used with d3&apos;s{' '}
                <a
                    href="https://github.com/d3/d3-time-format#api-reference"
                    rel="noopener noreferrer"
                    target="_blank"
                >
                    timeFormat
                </a>
                <h5 className="mt-3">yLabelFormat</h5>
                Y-Axis labels are formatted numbers and accept a format string
                to be used with d3&apos;s{' '}
                <a
                    href="https://github.com/d3/d3-format#api-reference"
                    rel="noopener noreferrer"
                    target="_blank"
                >
                    format
                </a>
            </div>

            <StackedAreaChart
                data={smallData}
                xAxisTitle="by month"
                xLabelFormat="%B"
                yAxisTitle="pet cost"
                yLabelFormat="$~s"
            />
        </section>
    );
};

export default StackedAreaChartLabelFormatsExample;
