import * as React from 'react';

import { StackedAreaChart } from '@preamp/waveform';

import { smallData } from '../LineChart/data/small';

const StackedAreaChartCustomSizeExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Custom Sizes</h4>
                <p className="mt-2 mb-3">
                    The StackedAreaChart accepts width and height props to
                    control its size.
                </p>
                <StackedAreaChart
                    data={smallData}
                    height={150}
                    width={400}
                    xAxisTitle="time"
                    xLabelFormat="%b"
                    yAxisTitle="pets"
                />
            </div>
            <div className="mt-3">
                <p className="mt-2 mb-3">
                    Charts with widths larger than its container will have a
                    horizontal scroll automatically.
                </p>
                <StackedAreaChart
                    data={smallData}
                    width={3000}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
        </section>
    );
};

export default StackedAreaChartCustomSizeExample;
