import * as React from 'react';

import { StackedAreaChart } from '@preamp/waveform';

import { largeData } from '../LineChart/data/large';

const StackedAreaChartAutomaticOverflowExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <div>
                <h4>Automatic Overflow</h4>
                <p className="mt-2 mb-3">
                    StackedAreaCharts with more than 30 data points will
                    calculate a width and automatically overflow to avoid
                    crowding data.
                </p>
                <StackedAreaChart
                    data={largeData}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
            <div className="mt-4 mb-4">
                <p className="mt-2 mb-3">
                    This can be optionally overridden through the
                    shouldDataDetermineWidth prop.
                </p>
                <StackedAreaChart
                    data={largeData}
                    shouldDataDetermineWidth={false}
                    xAxisTitle="time"
                    yAxisTitle="pets"
                />
            </div>
        </section>
    );
};

export default StackedAreaChartAutomaticOverflowExample;
