import React from 'react';

import { StackedAreaChart } from '@preamp/waveform';

import { smallData } from '../LineChart/data/small';
/**
 * Resizable StackedAreaChart
 */
const ResponsiveStackedAreaChart: React.FC = (): React.ReactElement => {
    return (
        <div
            style={{
                resize: 'both',
                overflow: 'scroll',
                minHeight: '65px',
                padding: '3px',
                boxSizing: 'border-box'
            }}
        >
            <StackedAreaChart
                autoHeight
                autoWidth
                data={smallData.slice(0, 2)}
                maxHeight={600}
                maxWidth={900}
                minHeight={100}
                minWidth={500}
            />
        </div>
    );
};

export default ResponsiveStackedAreaChart;
