import React from 'react';

import { StackedAreaChart } from '@preamp/waveform';

import { weeklyData } from '../LineChart/data/weekly';
/**
 * Align to Data LineChart - force x axis ticks and gridlines to line up with the data.
 */
const AlignToDataStackedAreaChart: React.FC = (): React.ReactElement => {
    return (
        <div>
            <p>Without alignment</p>
            <StackedAreaChart
                data={weeklyData.slice(0, 2)}
                xTickAlignToData={false}
            />
            <p>With alignment</p>
            <StackedAreaChart data={weeklyData.slice(0, 2)} xTickAlignToData />
        </div>
    );
};

export default AlignToDataStackedAreaChart;
