import React from 'react';

import { TornadoChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[][] = [
    [
        {
            name: 'Cats',
            data: [
                ['Adam Molano', 102343, { id: 0 }],
                ['Amy Gaudioso', 95838, { id: 1 }],
                ['Ben Behrens', 14274, { id: 2 }],
                ['Bob Samuelson', 120301, { id: 3 }],
                ['Daniel Raynes', 143200, { id: 4 }],
                ['Doug Ung', 131998, { id: 5 }],
                ['Helen Kim', 153002, { id: 6 }],
                ['Juan Giuffrida', 123020, { id: 7 }],
                ['Vera Carrillo-Marquez', 152321, { id: 8 }]
            ]
        }
    ],
    [
        {
            name: 'Cats',
            data: [
                ['Adam Molano', 142747, { id: 0 }],
                ['Amy Gaudioso', 155838, { id: 1 }],
                ['Ben Behrens', 142701, { id: 2 }],
                ['Bob Samuelson', 70301, { id: 3 }],
                ['Daniel Raynes', 143209, { id: 4 }],
                ['Doug Ung', 131998, { id: 5 }],
                ['Helen Kim', 153558, { id: 6 }],
                ['Juan Giuffrida', 12300, { id: 7 }],
                ['Vera Carrillo-Marquez', 152221, { id: 8 }]
            ]
        }
    ]
];

/**
 * A Basic TornadoChart - only data is required to create a basic Tornado chart.
 */
export const BasicTornadoChart: React.FC = (): React.ReactElement => {
    return (
        <TornadoChart
            data={basicData}
            groupTitles={['GROUP NAME 1', 'GROUP NAME 2']}
            xAxisTitle="Team Members"
        />
    );
};

export default BasicTornadoChart;
