import React from 'react';

import { TornadoChart, PlotData } from '@preamp/waveform';

const basicData: PlotData[][] = [
    [
        {
            name: 'Cats',
            data: [
                ['Adam Molano', 152343, { id: 0 }],
                ['Amy Gaudioso', 155838, { id: 1 }],
                ['Ben Behrens', 142747, { id: 2 }],
                ['Bob Samuelson', 120301, { id: 3 }],
                ['Daniel Raynes', 143255, { id: 4 }],
                ['Doug Ung', 131998, { id: 5 }],
                ['Helen Kim', 153558, { id: 6 }],
                ['Juan Giuffrida', 123020, { id: 7 }],
                ['Vera Carrillo-Marquez', 152321, { id: 8 }]
            ]
        },
        {
            name: 'Dogs',
            data: [
                ['Adam Molano', 155838, { id: 0 }],
                ['Amy Gaudioso', 142747, { id: 1 }],
                ['Ben Behrens', 120301, { id: 2 }],
                ['Bob Samuelson', 143255, { id: 3 }],
                ['Daniel Raynes', 131998, { id: 4 }],
                ['Doug Ung', 153558, { id: 5 }],
                ['Helen Kim', 123020, { id: 6 }],
                ['Juan Giuffrida', 152321, { id: 7 }],
                ['Vera Carrillo-Marquez', 155843, { id: 8 }]
            ]
        }
    ],
    [
        {
            name: 'Cats',
            data: [
                ['Adam Molano', 142747, { id: 0 }],
                ['Amy Gaudioso', 155838, { id: 1 }],
                ['Ben Behrens', 142747, { id: 2 }],
                ['Bob Samuelson', 120301, { id: 3 }],
                ['Daniel Raynes', 143255, { id: 4 }],
                ['Doug Ung', 131998, { id: 5 }],
                ['Helen Kim', 153558, { id: 6 }],
                ['Juan Giuffrida', 123020, { id: 7 }],
                ['Vera Carrillo-Marquez', 152221, { id: 8 }]
            ]
        },
        {
            name: 'Dogs',
            data: [
                ['Adam Molano', 154343, { id: 0 }],
                ['Amy Gaudioso', 165838, { id: 1 }],
                ['Ben Behrens', 142947, { id: 2 }],
                ['Bob Samuelson', 125301, { id: 3 }],
                ['Daniel Raynes', 143155, { id: 4 }],
                ['Doug Ung', 131798, { id: 5 }],
                ['Helen Kim', 153358, { id: 6 }],
                ['Juan Giuffrida', 123920, { id: 7 }],
                ['Vera Carrillo-Marquez', 152329, { id: 8 }]
            ]
        }
    ]
];

/**
 * A MultiBar TornadoChart - only data is required to create a Multibar  Tornado chart.
 */
export const BasicMultiTornadoChart: React.FC = (): React.ReactElement => {
    return (
        <TornadoChart
            data={basicData}
            groupTitles={['GROUP NAME 1', 'GROUP NAME 2']}
            xAxisTitle="Team Members"
        />
    );
};

export default BasicMultiTornadoChart;
