import React from 'react';

import { TrendLineChart, TrendLineChartPlotData } from '@preamp/waveform';

const basicData: TrendLineChartPlotData[] = [
    {
        name:
            'TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH',
        data: [
            [new Date(2018, 0, 1), 13],
            [new Date(2018, 1, 1), 6],
            [new Date(2018, 2, 1), 9],
            [new Date(2018, 3, 1), 8],
            [new Date(2018, 4, 1), 10],
            [new Date(2018, 5, 1), 12],
            [new Date(2018, 6, 1), 13],
            [new Date(2018, 7, 1), 11],
            [new Date(2018, 8, 1), 10],
            [new Date(2018, 9, 1), 9],
            [new Date(2018, 10, 1), 8],
            [new Date(2018, 11, 1), 7]
        ]
    },
    {
        name:
            'TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH',
        data: [
            [new Date(2018, 0, 1), 1],
            [new Date(2018, 1, 1), 8],
            [new Date(2018, 2, 1), 2],
            [new Date(2018, 3, 1), 5],
            [new Date(2018, 4, 1), 1],
            [new Date(2018, 5, 1), 10],
            [new Date(2018, 6, 1), 9],
            [new Date(2018, 7, 1), 9],
            [new Date(2018, 8, 1), 10],
            [new Date(2018, 9, 1), 4],
            [new Date(2018, 10, 1), 9],
            [new Date(2018, 11, 1), 2]
        ]
    }
];

const forecastData: TrendLineChartPlotData[] = [
    {
        name:
            'TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH',
        data: [
            [new Date(2019, 0, 1), 10],
            [new Date(2019, 1, 1), 9],
            [new Date(2019, 2, 1), 8],
            [new Date(2019, 3, 1), 7],
            [new Date(2019, 4, 1), 9],
            [new Date(2019, 5, 1), 10]
        ]
    },
    {
        name:
            'TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH TARGET & OPTIMAL FREQUENCY CROSS-SCREEN HH REACH',
        data: [
            [new Date(2019, 0, 1), 1],
            [new Date(2019, 1, 1), 5],
            [new Date(2019, 2, 1), 7],
            [new Date(2019, 3, 1), 3],
            [new Date(2019, 4, 1), 7],
            [new Date(2019, 5, 1), 6]
        ]
    }
];

export const LongAxisTitlesTrendLineChartExample: React.FC = (): React.ReactElement => {
    return (
        <section className="mt-5">
            <h4>Long Axis Titles</h4>
            <TrendLineChart
                autoWidth
                data={basicData}
                dataUI="long-axis-titles-example"
                forecastData={forecastData}
                xLabelFormat={'%m/%d/%Y'}
                xTicks={[
                    new Date(2018, 0, 1),
                    new Date(2018, 4, 1),
                    new Date(2018, 5, 1),
                    new Date(2018, 6, 1),
                    new Date(2019, 0, 1),
                    new Date(2019, 5, 1)
                ]}
            />
        </section>
    );
};

export default LongAxisTitlesTrendLineChartExample;
