import React from 'react';

import { SetValue, VennDiagram } from '@preamp/waveform';

/**
 * A VennDiagram with custom colors.
 */
export const CustomColorsVennDiagram: React.FC = (): React.ReactElement => {
    const data: SetValue[] = [
        [
            ['A'],
            60,
            {
                color: 'rgb(141, 175, 188)',
                outlineColor: 'rgb(255, 255, 255)'
            }
        ],
        [
            ['B'],
            30,
            {
                color: 'rgb(150, 219, 230)',
                outlineColor: 'rgb(255, 255, 255)'
            }
        ],
        [
            ['A', 'B'],
            15,
            {
                color: 'rgb(212, 111, 108)',
                outlineColor: 'rgb(255, 255, 255)'
            }
        ]
    ];

    return (
        <section>
            <VennDiagram data={data} />
        </section>
    );
};

export default CustomColorsVennDiagram;
