import React from 'react';

import { SetValue, VennDiagram } from '@preamp/waveform';

/**
 * A VennDiagram with many overlapping sets.
 */
export const ManySetsVennDiagram: React.FC = (): React.ReactElement => {
    const data: SetValue[] = [
        [['A'], 28],
        [['B'], 35],
        [['C'], 108],
        [['D'], 106],
        [['A', 'B'], 1],
        [['A', 'C'], 1],
        [['A', 'D'], 14],
        [['B', 'C'], 6],
        [['B', 'D'], 0],
        [['C', 'D'], 1],
        [['A', 'B', 'C'], 0],
        [['A', 'B', 'D'], 0],
        [['A', 'C', 'D'], 1],
        [['B', 'C', 'D'], 0],
        [['A', 'B', 'C', 'D'], 0]
    ];

    return (
        <section>
            <VennDiagram data={data} />
        </section>
    );
};

export default ManySetsVennDiagram;
