import * as React from 'react';

import { Legend, PlotData } from '@preamp/waveform';

/**
 * A Legend component for charts, used internally on charts as the legend.
 * Uses custom colors if specified on data, otherwise uses the default color order.
 */
export const LegendExample: React.FC = (): React.ReactElement => {
    const data: PlotData[] = [
        {
            name: 'Item 1',
            data: []
        },
        {
            name: 'Item 2',
            data: []
        },
        {
            name: 'Item 3',
            data: []
        }
    ];

    return (
        <section className="mt-10">
            <Legend data={data} />
        </section>
    );
};

export default LegendExample;
