import * as React from 'react';

import { Legend, PlotData } from '@preamp/waveform';

/**
 * The Legend will be aligned according to with able space, when the legend is very large it will be truncated with an ellipsis.
 */
export const LegendAlignmentAccordingSizeExample: React.FC = (): React.ReactElement => {
    const largeData: PlotData[] = [
        {
            name: 'Cat',
            data: []
        },
        {
            name: 'Nova Scotia Duck Tolling Retriever',
            data: []
        },
        {
            name: 'Leser Sulphur-crested Cockatoo',
            data: []
        },
        {
            name:
                'This is another Animal with a very long name that will not able to show, In this case the legend going to truncate',
            data: []
        },
        {
            name: 'Fish',
            data: []
        }
    ];

    return (
        <section className="mt-10 w-36">
            <Legend data={largeData} />
        </section>
    );
};

export default LegendAlignmentAccordingSizeExample;
